<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Frame_admin
 * 
 * Публикация/скрытие элемента
 */
class Frame_admin
{
	/**
	 * @var object основной объект системы
	 */
	public $diafan;

	/**
	 * @var string таблица в базе данных
	 */
	public $table;

	/**
	 * @var array поля таблицы с типами
	 */
	public $variable_table = array();

	/**
	 * @var array переводимые поля
	 */
	public $language_names = array();

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;	
	}

	/**
	 * Публикует/скрывает элемент
	 * 
	 * @return boolean
	 */
	public function act_module()
	{
		// Прошел ли пользователь проверку идентификационного хэша
		if (! $this->diafan->_user->checked)
		{
			echo "{error: 'ERROR'}";
			exit;
		}

		//проверка прав пользователя на активацию/блокирование
		if ($this->diafan->admin_roles('act'))
		{
			echo "{error: 'ERROR'}";
			exit;
		}

		//учитывается языковая версия, если это необходимо
		$lang = in_array("act", $this->language_names) ? _LANG : '';
		$ids = array();

		if (! empty($_POST["id"]))
		{
			if ($this->config_module["parent"])
			{
				$ids = $this->diafan->get_children($_POST["id"], $this->table, array(), FALSE);
			}
			$ids[] = intval($_POST["id"]);
		}
		else
		{
			foreach ($_POST["ids"] as $id)
			{
				$id = intval($id);
				if (! in_array($id, $ids))
				{
					if ($this->config_module["parent"])
					{
						$array = $this->diafan->get_children($id, $this->table, array(), FALSE);
						$ids   = array_merge($ids, $array);
					}
					$ids[] = $id;
				}
			}
		}
		if ($ids)
		{
			DB::query("UPDATE {".$this->table."} SET act".$lang."='"
			          .($_POST["action"] == "block" ? "1".(! empty($this->variable_table["timeedit"]) ? "', timeedit='".time() : '') : '0')
					  ."' WHERE id IN (".implode(',', $ids).")"
			);
		}
		if ($this->config_module['category'])
		{
			DB::query("UPDATE {".str_replace('_category', '', $this->table)."} SET act".$lang."='"
			          .($_POST["action"] == "block" ? "1".(! empty($this->variable_table["timeedit"]) ? "', timeedit='".time() : '') : '0')
					  ."' WHERE cat_id IN (".implode(',', $ids).")"
			);
		}
		if ($dirr = @opendir(ABSOLUTE_PATH.'modules'))
		{
			while (($module = readdir($dirr)) !== false)
			{
				if (file_exists(ABSOLUTE_PATH.'modules/'.$module.'/admin/'.$module.'.admin.act.php'))
				{
					include_once(ABSOLUTE_PATH.'modules/'.$module.'/admin/'.$module.'.admin.act.php');
					$func = 'act';
					$class = ucfirst($module).'_admin_act';
					if (method_exists($class, $func))
					{
						eval($class.'::'.$func.'($this, $this->table, $ids, '.($_POST["action"] == "block" ? 1 : 0).');');
					}
				}
			}
		}
		$this->diafan->_cache->delete("", $this->diafan->module);

		include_once(ABSOLUTE_PATH.'plugins/json.php');
		$result["redirect"] = URL;
		echo to_json($result);

		return TRUE;
	}
}