<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Frame_admin
 * 
 * Обработка Ajax-запросов
 */
class Frame_admin extends Theme_admin
{
	/**
	 * @var object основной объект системы
	 */
	public $diafan;

	/**
	 * @var array результаты, передаваемы Ajaxом
	 */
	private $result;

	/**
	 * @var string SQL-условия для списка
	 */
	protected $where;

	/**
	 * @var array настройки отображения
	 */
	public $config_module;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;	
	}
	
	public function ajax_module()
	{
		if ($this->diafan->include_class)
		{
			$init = new $this->diafan->include_class($this);
		}
	}

	/**
	 * Подгружает список для сортировки элементов
	 * 
	 * @return void
	 */
	public function sort_module()
	{
		// Прошел ли пользователь проверку идентификационного хэша
		if (! $this->diafan->_user->checked)
		{
			$this->result["error"] = 'ERROR';
			$this->send_json();
		}

		$this->result["hash"] = $this->diafan->_user->get_hash();

		$text = '<select name="sort">';

		//список элементов, которые при сортировке стоят перед редактируемым элементом
		$text .= $this->select_option(
			"sort",
			$this->table,
			"id",
			"name",
			'',
				(! empty($_POST["parent_id"]) ? "parent_id='".$_POST["parent_id"]."' AND " : '')
				.(! empty($_POST["cat_id"]) ? 'cat_id="'.$_POST["cat_id"].'" AND ' : '')
				.(! empty($_POST["site_id"]) ? 'site_id="'.$_POST["site_id"].'" AND ' : '')
				."sort<='".$_POST["sort"]."'"
				.(! empty($this->variable_table["act"]) ? " AND act='1'" : '')
				." AND id<>'".$this->diafan->edit."'"
				.$this->where
				.($this->config_module["trash"] ? " AND trash='0'" : ''),
			'',
			'',
			'',
			(! empty($this->variable_table["act"]) ? 'act DESC,' : '')
			.'sort ASC, id ASC'
		)

		.'<option value="'.$this->diafan->edit.'" selected>----'.($_POST["name"] ? $_POST["name"] : $this->diafan->edit).'---</option>'

		//список элементов, которые при сортировке стоят после редактируемого элемента
		.$this->select_option(
			"sort",
			$this->table,
			"id",
			"name",
			'',
				(! empty($_POST["parent_id"]) ? "parent_id='".$_POST["parent_id"]."' AND " : '')
				.(! empty($_POST["cat_id"]) ? 'cat_id="'.$_POST["cat_id"].'" AND ' : '')
				.(! empty($_POST["site_id"]) ? 'site_id="'.$_POST["site_id"].'" AND ' : '')
				."sort>'".$_POST["sort"]."'"
				.(! empty($this->variable_table["act"]) ? " AND act='1'" : '')
				." AND id<>'".$this->diafan->edit."'"
				.$this->where
				.($this->config_module["trash"] ? " AND trash='0'" : ''),
			'',
			'',
			'',
			(! empty($this->variable_table["act"]) ? 'act DESC,' : '')
			.'sort ASC, id ASC'
		)
		.'<option value="down">----'._ADMIN_ORDERING_DOWN.'---</option></select>';
			
		$this->result["data"]   = $text;
		$this->send_json();
	}

	/**
	 * Подгружает список родителей
	 * 
	 * @return void
	 */
	public function parent_id_module()
	{
		// Прошел ли пользователь проверку идентификационного хэша
		if (! $this->diafan->_user->checked)
		{
			$this->result["error"] = 'ERROR';
			$this->send_json();
		}

		$this->result["hash"] = $this->diafan->_user->get_hash();

		$result = DB::query("SELECT id, name, parent_id FROM {".$this->table."} WHERE trash='0' AND id<>'%d'"
		                    .($this->diafan->module == 'site' ? " AND id<>1" : '')
		                    ." ORDER BY id ASC", $this->diafan->edit);
		while ($row = DB::fetch_array($result))
		{
			$cats[$row["parent_id"]][] = $row;
		}

		$this->result["data"]   =
			'<select name="parent_id" upload="1">
			<option value="">'.($this->diafan->module == 'site' ? _LANG_HOME : '').'</option>'
			.$this->get_options($cats, $cats[0], array($_POST["parent_id"]))
			.'</select>';
		$this->send_json();
	}

	/**
	 * Отдает ответ Ajax
	 * 
	 * @return void
	 */
	private function send_json()
	{
		if ($this->result)
		{
			include_once(ABSOLUTE_PATH.'plugins/json.php');
			echo to_json($this->result);
			exit;
		}
	}

	/**
	 * Возвращает номер элемента, к которому подключается фотография или тэг
	 * 
	 * @return integer
	 */
	private function get_id_element()
	{
		if (! empty($_POST["id"]))
		{
			return intval($_POST["id"]);
		}
		else
		{
			$names  = array();
			$values = array();
			if (! empty($_POST["parent_id"]))
			{
				$names[]  = "parent_id";
				$values[] = "'".$_POST["parent_id"]."'";
			}
			if (! empty($_POST["cat_id"]))
			{
				$names[]  = "cat_id";
				$values[] = "'".$_POST["cat_id"]."'";
			}
			if (! empty($_POST["site_id"]))
			{
				$names[]  = "site_id";
				$values[] = "'".$_POST["site_id"]."'";
			}

			DB::query("INSERT INTO {".$this->table."} (".implode(', ', $names).") VALUES (".implode(', ', $values).")");

			return DB::next_id($this->table);
		}
	}
}