<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Frame_admin
 * 
 * Редактирование элемента
 */
class Frame_admin extends Theme_admin
{
	/**
	 * @var object основной объект системы
	 */
	public $diafan;

	/**
	 * @var string таблица в базе данных
	 */
	public $table;

	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file;

	/**
	 * @var array зависимости между полями
	 */
	public $show_tr_click_checkbox;

	/**
	 * @var array настройки отображения
	 */
	public $config_module = array();

	/**
	 * @var array поля таблицы с типами
	 */
	public $variable_table = array();

	/**
	 * @var array дополнительные поля
	 */
	public $variable_other = array();

	/**
	 * @var boolean кнопка "Дополнительно" выведена
	 */
	private $variable_other_white = FALSE;

	/**
	 * @var array варианты значений переменной с типом список, которые берутся из таблицы
	 */
	public $select = array();

	/**
	 * @var array варианты значений переменной с типом список
	 */
	public $select_arr = array();

	/**
	 * @var array переводимые поля
	 */
	public $language_names = array();

	/**
	 * @var array значения полей
	 */
	public $values = array();

	/**
	 * @var integer счетчик
	 */
	public $k = 0;

	/**
	 * @var string название текущего поля
	 */
	public $key;

	/**
	 * @var mixed значение текущего поля
	 */
	public $value;

	/**
	 * @var boolean JS-библиотека для работы с календарем подключена
	 */
	protected $show_datepicker;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;	
	}

	/**
	 * Генерирует форму редактирования/добавления элемента
	 * 
	 * @return boolean
	 */
	public function edit_module()
	{
		//проверка прав на редиктирование
		if ($this->diafan->admin_roles('edit') && $this->diafan->edit)
		{
			$this->diafan->redirect_js(URL);
			return FALSE;
		}
		
		//проверка прав на добавление
		if ($this->diafan->admin_roles('addnew') && $this->diafan->addnew)
		{
			$this->diafan->redirect_js(URL);
			return FALSE;
		}

		$this->prepare_values();
		
		echo '
		<form METHOD="POST" action="'.URL.(! $this->diafan->addnew ? 'save'.$this->diafan->edit : 'savenew1').'/" enctype="multipart/form-data" id="save">
			<input type="hidden" name="noOut" id="noOut" value="0">
			<input type="hidden" name="save_post" value="1">
			<input type="hidden" name="check_hash_user" value="'.$this->diafan->_user->get_hash().'">
			<input type="hidden" name="id" value="'.(! $this->diafan->addnew ? $this->diafan->edit : '').'">
			<input type="hidden" name="action" value="">';
		
		if ($this->config_module['tab_card'])
		{
			foreach ($this->variable_table as $title => $variable_table)
			{
				echo '<div class="tab_card_title"><a href="javascript:void(0)" rel="'.$title.'">'.$this->variable_names($title).'</a></div>';
			}

			foreach ($this->variable_table as $title => $variable_table)
			{
				if (empty($js))
				{
					$js = '<script language="javascript" type="text/javascript">tab_active("'.$title.'");</script>';
				}
				$this->show_table($variable_table, $title);
			}
			echo $js;
			
		}
		else
		{
			$this->show_table($this->variable_table);
		}
		
		echo '
		<table class="table_edit">
			<tr>
				<td class="td_first">
					'.($this->diafan->admin_roles('save') ? '' : '
					<input type="submit" value="'._LANG_SAVE.'" class="button"'
					.(! $this->config_module["config"] ? ' onClick="$(\'#noOut\').val(\'1\')"' : '').'>
					').'
				</td>
				<td>
					'.(! $this->config_module["config"] && ! $this->config_module["no_out"] && ! $this->diafan->admin_roles('save') ? '
					<input type="submit" value="'._ADMIN_SAVE_AND_OUT_TO_LIST.'" class="button">
					':'').'
					'.(! $this->config_module["config"] && ! $this->config_module["no_out"] ? '
					<input type="button" onClick="document.location=\''.URL.'\'" class="button" value="'._ADMIN_OUT_TO_LIST.'">
					':'').'
				</td>
			</tr>
		</table>
	</form>';
		return TRUE;
	}

	/**
	 * Подготавливает значения для формы
	 * 
	 * @return boolean
	 */
	private function prepare_values()
	{
		$this->values = $this->get_values();
		
		if ($this->config_module["config"])
		{
			if ($this->config_module['tab_card'])
			{
				foreach ($this->variable_table as $title => $variable_table)
				{	
					foreach ($variable_table as $k => $v)
					{
						if (empty($this->values[$k]))
						{
							$this->values[$k] = $this->diafan->configmodules($k);
						}
					}
				}
			}
			else
			{
				foreach ($this->variable_table as $k => $v)
				{
					if (empty($this->values[$k]))
					{
						$this->values[$k] = $this->diafan->configmodules($k);
					}
				} 	
			}  	
		}		
		elseif (! $this->diafan->addnew && ! $this->values)
		{
			$this->values = DB::fetch_array(DB::query("SELECT * FROM {".$this->table."} WHERE id = %d"
			                                          .($this->table == "param" ? " AND module_name='".str_replace('param', '', $this->file)."'" : '')
			                                          .($this->config_module["trash"] ? " AND trash='0'" : ''),
			                                          $this->diafan->edit
			                                         ));
			if (empty($this->values))
			{
				$this->diafan->redirect_js(URL);
				return FALSE;
			}
		}
		return TRUE;
	}

	/**
	 * Формирует таблицу с формой
	 * 
	 * @return boolean true
	 */
	private function show_table($variable_table, $title = '')
	{
		
		echo
		($title ? '
		<div id="'.$title.'" class="tab_card">' : '').'
		<table class="table_edit">
			<tr>
				<td class="td_first"><b>'._ADMIN_PROPERTY.'</b></td>
				<td><b>'._ADMIN_VALUE.'</b></td>
			</tr>';

		foreach ($variable_table as $this->key => $type)
		{
			$this->k++;
			$key = $this->key.(! $this->config_module["config"] && in_array($this->key, $this->language_names) ? _LANG : '');
			
			$this->value = (! empty($this->values[$key]) ? $this->values[$key] : '');
		  	$func = 'edit_'.str_replace('-', '_', $this->key).'_module'.($this->config_module["config"] ? '_config' : '');
			if (method_exists($this, $func))
			{
				$this->$func();
			}

			elseif ($type == 'module')
			{
				if (file_exists(ABSOLUTE_PATH.'modules/'.$this->key.'/admin/'.$this->key.'.admin.edit.php'))
				{
					include_once(ABSOLUTE_PATH.'modules/'.$this->key.'/admin/'.$this->key.'.admin.edit.php');
					$func = 'edit'.($this->config_module["config"] ? '_config' : '');
					$class = ucfirst($this->key).'_admin_edit';
					if (method_exists($class, $func))
					{
						eval($class.'::'.$func.'($this);');
					}
				}
			}

			elseif ($type == 'title')
			{
				echo '
				<tr'.$this->get_other().'>
				    <td class="td_first"><b>'.$this->variable_names().'</b> '.$this->show_help_row().'</td>
					<td></td>
				</tr>';
			}

			elseif ($type == 'password')
			{
				echo '
				<tr'.$this->get_other().'>
					<td class="td_first">'.$this->variable_names().'</td>
					<td>
						<input type="password" name="'.$this->key.'" size="40" value="">
						'.$this->show_help_row().'
					</td>
				</tr>';
			}

			elseif ($type == 'text')
			{
				echo '
				<tr'.$this->get_other().'>
					<td class="td_first">'.$this->variable_names().'</td>
					<td>
						<input type="text" name="'. $this->key.'" size="40" value="'
						.(! $this->diafan->addnew ? str_replace('"', '&quot;', $this->value) : '')
						.'">
						'.$this->show_help_row().'
					</td>
				</tr>';
			}

			elseif ($type == 'disabled')
			{
				echo '
				<tr'.$this->get_other().'>
					<td class="td_first">'.$this->variable_names().'</td>
					<td>
						<input type="text" name="'. $this->key.'" size="40" value="'
						.(! $this->diafan->addnew ? str_replace('"', '&quot;', $this->value) : '')
						.'" disabled>
						'.$this->show_help_row().'
					</td>
				</tr>';
			}

			elseif ($type == 'date')
			{
				if (! $this->show_datepicker)
				{
					echo '
					<link rel="stylesheet" href="'.BASE_PATH.'css/timecalendar.css" />
					<script type="text/javascript" src="'.BASE_PATH.'js/timecalendar.js"></script>';
					$this->show_datepicker = TRUE;
				}
				echo '
				<tr'.$this->get_other().'>
					<td class="td_first">'.$this->variable_names().'</td>
					<td>
						<input type="text" id="filed_'.$this->key.'" name="'.$this->key.'" size="40" value="'
						.(! $this->diafan->addnew ? date("d.m.Y", $this->value) : date("d.m.Y"))
						.'" class="timecalendar" showTime="false">
						'.$this->show_help_row().'
					</td>
				</tr>';
			}

			elseif ($type == 'datetime')
			{
				if (! $this->show_datepicker)
				{
					echo '
					<link rel="stylesheet" href="'.BASE_PATH.'css/timecalendar.css" />
					<script type="text/javascript" src="'.BASE_PATH.'js/timecalendar.js"></script>';
					$this->show_datepicker = TRUE;
				}
				echo '
				<tr'.$this->get_other().'>
					<td class="td_first">'.$this->variable_names().'</td>
					<td>
						<input type="text" id="filed_'.$this->key.'" name="'.$this->key.'" size="40" value="'
						.($this->value ? date("d.m.Y H:i", $this->value) : date("d.m.Y H:i"))
						.'" class="timecalendar">
						'.$this->show_help_row().'
					</td>
				</tr>';
			}

			elseif ($type == 'numtext')
			{
				echo '
				<tr'.$this->get_other().'>
					<td class="td_first">'.$this->variable_names().'</td>
					<td>
						<input type="text" name="'.$this->key.'" size="20" value="'
						.(! $this->diafan->addnew ? $this->value : '')
						.'" class="inpnum">'.$this->show_help_row().'
					</td>
				</tr>';
			}

			elseif ($type == 'floattext')
			{
				echo '
				<tr'.$this->get_other().'>
					<td class="td_first">'.$this->variable_names().'</td>
					<td>
						<input type="text" name="'.$this->key.'" size="20" value="'
						.(! $this->diafan->addnew && $this->value ? number_format($this->value, 2, ',', '') : '')
						.'" class="inpnum">
						'.$this->show_help_row().'
					</td>
				</tr>';
			}

			elseif ($type == 'textarea')
			{
				echo '
				<tr'.$this->get_other().'>
					<td class="td_first">'.$this->variable_names().'</td>
					<td>
						<textarea name="'.$this->key.'" cols="60" rows="5">'
						.(! $this->diafan->addnew ? str_replace(array('<', '>', '"'), array('&lt;', '&gt;', '&quot;'), $this->value) : '')
						.'</textarea>'
						.$this->show_help_row().'
					</td>
				</tr>';
			}

			elseif ($type == 'checkbox')
			{
				echo '
				<tr'.$this->get_other().'>
					<td class="td_first">'.$this->variable_names().'</td>
					<td>
						<input type="checkbox" name="'.$this->key.'" value="1"'
						.(! $this->diafan->addnew && $this->value == 1 ? " checked" : '')
						.$this->show_tr_click_checkbox()
						.'>
						'.$this->show_help_row().'
					</td>
				</tr>';
			}

			elseif ($type == 'select')
			{
				if (! empty($this->select[$this->key]) || ! empty($this->select_arr[$this->key]))
				{
					echo '
					<tr'.$this->get_other().'>
						<td class="td_first">'.$this->variable_names().'</td>
						<td>
							<select name="'.$this->key.'">'
							.(!empty($this->select[$this->key][4])?
							'<option value="">'.$this->select[$this->key][4].'</option>':'')
							.$this->select_option(
								$this->key,
								(! empty($this->select[$this->key][0]) ? $this->select[$this->key][0] : ''),
								(! empty($this->select[$this->key][1]) ? $this->select[$this->key][1] : ''),
								(! empty($this->select[$this->key][2]) ? $this->select[$this->key][2] : ''),
								(empty($this->diafan->addnew)
								? $this->value
								: (! empty($this->select[$this->key][3]) ? $this->select[$this->key][3] : '')
								),
								(! empty($this->select[$this->key][5]) ? $this->select[$this->key][5] : ''),
								(! empty($this->select[$this->key][6]) ? $this->select[$this->key][6] : '')
							)
							.'</select>
							'.$this->show_help_row().'
						</td>
					</tr>';
				}
			}

			elseif ($type == 'editor')
			{
				echo '
				<tr'.$this->get_other().'>
					<td colspan="2">'
						.($this->variable_names() ? $this->variable_names().$this->show_help_row().'<br>' : '')
						.'<textarea name="'.$this->key.'" style="width:100%; height:'
						.(! empty($this->editor_height[$this->key]) ? $this->editor_height[$this->key] : '400').'px"'
						.(HTMLEDITOR ? ' class="htmleditor"' : '').'>'
						.(! $this->diafan->addnew ? str_replace(array('<', '>', '"'), array('&lt;', '&gt;', '&quot;'), str_replace('&', '&amp;', $this->value)) : '')
						.'</textarea>
					</td>
				</tr>';
			}

			elseif ($type == 'hr')
			{
				echo '
				<tr'.$this->get_other().'>
					<td colspan="2">
						<hr>
					</td>
				</tr>';
			}
		  
			elseif ($type == 'none')
			{
			}
			echo "\n";
		}
		echo
		'</table>'.($title ? '</div>' : '');
		return TRUE;
	}

	/**
	 * Получает значения полей для формы (альтернативный метод)
	 * 
	 * @return array
	 */
	protected function get_values()
	{
		return array();
	}

	/**
	 * Определяет название поля, отображаемое для пользователя
	 * 
	 * @return string
	 */
	public function variable_names($key = '')
	{
		$key = ($key
		       ? ($this->config_module["config"] ? str_replace('-', '_', $key) : $key)
		       : ($this->config_module["config"] ? str_replace('-', '_', $this->key) : $this->key)
		       );
		
		$const  = strtoupper('_ADMIN_'.$this->file.'_'.$key);
		$const2 = strtoupper('_ADMIN_'.$key.($this->config_module["config"] ? '_CONFIG' : ''));

		if (defined($const))
		{
			return constant($const);
		}
		elseif (defined($const2))
		{
			return constant($const2);
		}
	}

	/**
	 * Определяет подсказки для полей
	 * 
	 * @param string $key название текущего поля
	 * @return string
	 */
	public function show_help_row($key = '')
	{
		if (! $key)
		{
			$key = $this->key;
		}
		$const  = strtoupper('_ADMIN_'.$this->file.'_'.$key.'_HELP');
		$const2 = strtoupper('_ADMIN_'.$key.($this->config_module["config"] ? '_CONFIG' : '').'_HELP');
		if (! defined($const) && ! defined($const2))
		{
			return '';
		}
		
		return ' <a href="#" onClick="javascript:show_div(\'help'.$key.'\'); return false;"><img src="'.BASE_PATH.'adm/img/quest.gif"></a>'
		.'<div id="help'.$key.'" class="help_row">'.(defined($const) ? constant($const) : constant($const2)).'</div>';
	}

	/**
	 * Определяет поле как дополнительное
	 * 
	 * @param string $key название текущего поля
	 * @return string
	 */
	public function get_other($key = '')
	{
		if (! $key)
		{
			$key = $this->key;
		}
		$text = '';
		if (! empty($this->variable_other[$key]))
		{
			if ($this->variable_other && ! $this->variable_other_white)
			{
				$text .= ' id="other_button">
					<td></td>
					<td align="left">
						<a href="javascript:void(0)" class="href show_other_block">'._ADMIN_OTHER_FIELDS.'</a>
					</td>
				</tr><tr';
				$this->variable_other_white = TRUE;
			}
			$text .= ' class="other"';
		}
		$text .= ' id="'.$key.'"';
		return $text;
	}

	/**
	 * Определяет связанные поля
	 *
	 * @param string $key название текущего поля
	 * @return string
	 */
	public function show_tr_click_checkbox($key = '')
	{
		if (! $key)
		{
			$key = $this->key;
		}
		return 
			(! empty($this->show_tr_click_checkbox[$key])
			 ? ' class="show_tr_click_checkbox" rel="#'
			   .(is_array($this->show_tr_click_checkbox[$key])
			     ? implode(",#", $this->show_tr_click_checkbox[$key])
			     : $this->show_tr_click_checkbox[$key]
			    )
			    .'"'
			 : ''
			);
	}
	
	
	//----------------------------------------------------------------------//
	//функции редактирования полей

	/**
	 * Редактирование поля "Категория"
	 * 
	 * @return boolean
	 */
	protected function edit_cat_id_module()
	{
		if (! $this->config_module["element"])
		{
			return FALSE;
		}
		if (! $this->value)
		{
			$this->value = $this->diafan->cat;
		}
		echo '
		<tr'.$this->get_other().' valign="top">
			<td class="td_first">'.$this->variable_names().'</td>
			<td>
				<select name="'.$this->key.'">';
				$marker = "&nbsp;&nbsp;";
				if ($this->config_module["category_flat"])
				{
					$result = DB::query("SELECT id, name FROM {%s_category} WHERE trash='0'", $this->table);
					while ($row = DB::fetch_array($result))
					{
						$cats[0][] = $row;
					}
				}
				else
				{
					$result = DB::query("SELECT id, name, parent_id FROM {%s_category} WHERE trash='0'".($this->config_module["element_multiple"] ? " ORDER BY sort ASC" : ""), $this->table);
					while ($row = DB::fetch_array($result))
					{
						$cats[$row["parent_id"]][] = $row;
					}
				}

		echo $this->get_options($cats, $cats[0], array($this->value))
		.'</select>'.$this->show_help_row();

		if ($this->config_module["element_multiple"])
		{
			$values = array();
			if (! $this->diafan->addnew)
			{
				$result = DB::query("SELECT cat_id FROM {%s_category_rel} WHERE element_id='%d'", $this->table, $this->diafan->edit);
				while ($row = DB::fetch_array($result))
				{
					if ($row["cat_id"] != $this->value)
					{
						$values[] = $row["cat_id"];
					}
				}
			}
			echo '
			<br>
			<input type="checkbox" value="1" class="show_tr_click_checkbox" rel="#cat_ids"'.($values ? ' checked' : '').'>
			'._ADMIN_CAT_IDS.'
			<div id="cat_ids">
			<select name="cat_ids[]" multiple="multiple">';
			if (! empty($cats))
			{
				echo $this->get_options($cats, $cats[0], $values);
			}
			echo '</select>
			</div>';
		}
		echo '
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Принадлежит"
	 * 
	 * @return boolean
	 */
	protected function edit_parent_id_module()
	{
		if ($this->diafan->addnew)
		{
			$this->value = $this->diafan->parent;
		}

		echo '
		<tr'.$this->get_other().' valign="top">
			<td class="td_first">'.$this->variable_names().'</td>
			<td>
			<span class="change_parent_id">
			<a href="#">'.(! $this->value ? ($this->diafan->module == 'site' ? _LANG_HOME : "&mdash;") : DB::query_result("SELECT name FROM {".$this->table."} WHERE id=%d", $this->value)).'</a>
			<input name="parent_id" type="hidden" value="'.$this->value.'">
			</span>
			'.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Страницы"
	 * 
	 * @return boolean
	 */
	protected function edit_site_id_module()
	{
		if ($this->config_module["element"])
		{
			return FALSE;
		}
		if (! $this->value)
		{
			$this->value = $this->diafan->site;
		}

		echo '
		<tr'.$this->get_other().' valign="top">
			<td class="td_first">'.$this->variable_names().'</td>
			<td>
				<select name="'.$this->key.'">';
		$result = DB::query("SELECT id, name FROM {site} WHERE trash='0' AND addmodule='%s' ORDER BY id ASC", $this->diafan->module);
		while ($row = DB::fetch_array($result))
		{
			$cats[0][] = $row;
		}
		echo $this->get_options($cats, $cats[0], array($this->value)).'
				</select>
				'.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Сортировка"
	 * 
	 * @return boolean
	 */
	private function edit_sort_module()
	{
		if ($this->diafan->addnew || ! empty($this->variable_table["act"]) && empty($this->values["act"]))
		{
			return FALSE;
		}

		echo '
		<tr'.$this->get_other().'>
			<td class="td_first">'.$this->variable_names().'</td>
			<td>
				<span class="change_sort">
				<a href="#" sname="'.$this->values["name"].'" sort="'.$this->value.'"'
				.($this->config_module["element"] ? ' cat_id="'.$this->values["cat_id"].'"' : '')
				.($this->config_module["parent"] ? ' parent_id="'.$this->values["parent_id"].'"' : '')
				.($this->config_module["element_site"] ? ' site_id="'.$this->values["site_id"].'"' : '')
				.'>'.($this->values["name"] ? $this->values["name"] : $this->diafan->edit).'</a>
				<input name="sort" type="hidden" value="'.$this->value.'">
				</span>
				'.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Псевдоссылка"
	 * 
	 * @return boolean true
	 */
	protected function edit_rewrite_module()
	{
		$rewrite =  '';
		if (! $this->diafan->addnew)
		{
			if ($this->config_module["category"])
			{
				$rewrite = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='%s' AND cat_id=%d",
							    $this->diafan->module, $this->diafan->edit);
			}
			elseif ($this->diafan->module == "site")
			{
				$rewrite = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='%s' AND site_id=%d",
							    $this->diafan->module, $this->diafan->edit);
			}
			else
			{
				$rewrite = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='%s' AND element_id=%d",
							    $this->diafan->module, $this->diafan->edit);
			}
		}
		$rewrite_site = '';
		if (! $rewrite && $this->diafan->module != "site")
		{
			if ($this->diafan->addnew)
			{
				$this->values["parent_id"] = $this->diafan->parent;
				$this->values["cat_id"]    = $this->diafan->cat;
				if ($this->config_module["element"] && $this->values["cat_id"])
				{
					$this->values["site_id"] = DB::query_result("SELECT site_id FROM {".$this->table."_category} WHERE id=%d", $this->diafan->cat);
				}
				elseif ($this->diafan->site)
				{
					$this->values["site_id"] = $this->diafan->site;
				}
				elseif (DB::query_result("SELECT COUNT(*) FROM {site} WHERE addmodule='%s' AND trash='0' AND [act]='1'", $this->diafan->module) == 1)
				{
					$this->values["site_id"] = DB::query_result("SELECT id FROM {site} WHERE addmodule='%s' AND trash='0' AND [act]='1'", $this->diafan->module);
				}
			}
			if ($this->config_module["element"] && $this->values["cat_id"])
			{
				if (! $rewrite_site = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='%s' AND cat_id=%d",
							        $this->diafan->module, $this->values["cat_id"]))
				{
					$rewrite_site = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='site' AND site_id=%d",
									 $this->values["site_id"]);
				}
				
			}
			elseif ($this->config_module["category"])
			{
				if ((! $this->values["parent_id"]
				   || ! $rewrite_site = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='%s' AND cat_id=%d",
									 $this->diafan->module, $this->values["parent_id"])) && ! empty($this->values["site_id"]))
				{
					$rewrite_site = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='site' AND site_id=%d",
									 $this->values["site_id"]);
				}
			}
			elseif (! empty($this->values["site_id"]))
			{
				$rewrite_site = DB::query_result("SELECT rewrite FROM {rewrite} WHERE module_name='site' AND site_id=%d",
								 $this->values["site_id"]);
			}
		}
		echo '
		<tr'.$this->get_other().'>
			<td class="td_first">'.$this->variable_names().'</td>
			<td>
				http://'.BASE_URL.'/'.($rewrite_site ? $rewrite_site.'/' : '').'<input type="text" name="rewrite" size="40" value="'.$rewrite.'">/'.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Время редактирования"
	 * 
	 * @return boolean true
	 */
	private function edit_timeedit_module()
	{
		$timeedit = ($this->value ? $this->value : time());
		
		echo '
		<tr'.$this->get_other().'>
			<td class="td_first">
				'.$this->variable_names().'
			</td>
			<td>
				'.date("D, d M Y H:i:s", $timeedit)
				.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Номер страницы"
	 * @return boolean true
	 */
	protected function edit_number_module()
	{
		if (! $this->diafan->edit)
		{
			return FALSE;
		}
		echo '<tr'.$this->get_other().'>
			<td class="td_first">
				'.$this->variable_names().'
			</td>
			<td style="color:#999999;font-weight:bold">
				id='.$this->diafan->edit.' '.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}
	
	//----------------------------------------------------------------------//
	//функции редактирования конфигурации

	/**
	 * Редактирование поля "Электронный адрес" для конфигурации модуля
	 * 
	 * @return boolean true
	 */
	private function edit_emailconf_module_config()
	{
		
		$this->select_arr["emailconf"] = array(
			0 => EMAIL_CONFIG,
			1 => _LANG_OTHER
		);
		
		echo '
		<tr'.$this->get_other().'>
			<td class="td_first">'.$this->variable_names().'</td>
			<td>
				<select name="'.$this->key.'" class="show_select_div" rel="emailtext" id="text_em">'
					.$this->select_option($this->key, '', '', '', $this->value)
				.'</select>
				<div id="emailtext">
					<br>
					<input type="text" name="email" size="20" value="'.(! empty($this->values["email"]) ? $this->values["email"] : '').'">
					'.$this->variable_names("email").'
				</div>'.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Электронный адрес администратора" для конфигурации модуля
	 * 
	 * @return boolean true
	 */
	private function edit_emailconfadmin_module_config()
	{
		
		$this->select_arr["emailconfadmin"] = array(
			0 => EMAIL_CONFIG,
			1 => _LANG_OTHER
		);
		
		echo '
		<tr'.$this->get_other().'>
			<td class="td_first">'.$this->variable_names().'</td>
			<td>
				<select name="'.$this->key.'" class="show_select_div" rel="emailadmintext">
					'.$this->select_option($this->key, '', '', '', $this->value).'
				</select>
				<div id="emailadmintext">
					<br>
					<input type="text" name="email_admin" size="20" value="'.(! empty($this->values["email_admin"]) ? $this->values["email_admin"] : '').'"> 
					'.$this->variable_names("email_admin").'
				</div>
				'.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Использовать описание элемента"
	 * 
	 * @return boolean true
	 */
	private function edit_text_element_module_config()
	{
		echo '
		<tr'.$this->get_other().'>
			<td class="td_first">'.$this->variable_names().'</td>
			<td>
				<select name="'.$this->key.'">
					'.$this->select_option($this->key, '', '', '',$this->value).'
				</select>
				<div'.($this->value == 2 ? ' class="hide"' : '').'>
					<br>
					<input type="text" name="shorttext_element" size="10" value="'.$this->values["shorttext_element"].'" class="inpnum"> '
					.$this->variable_names("shorttext_element").'
				</div>';
		echo $this->show_help_row().'
			</td>
		</tr>';

		return TRUE;
	}

	/**
	 * Редактирование поля "Использовать описание группы"
	 * 
	 * @return boolean true
	 */
	private function edit_text_module_config()
	{
		echo '
		<tr'.$this->get_other().'>
			<td class="td_first">'.$this->variable_names().'</td>
			<td>
				<select name="'.$this->key.'">'
					.$this->select_option($this->key, '', '', '', $this->value)
				.'</select>
				<div'.($this->value == 2 ? ' class="hide"' : '').'>
					<br>
					<input type="text" name="shorttext" size="10" value="'.$this->values["shorttext"].'" class="inpnum"> '
					.$this->variable_names("shorttext").'
				</div>';
				?>
				<script language="javascript" type="text/javascript">
				$('select[name=text], select[name=text_element]').change(function(){
					if ($(this).val() == 2)
					{
						$(this).next('div').show();
					}
					else
					{
						$(this).next('div').hide();
					}
				});
				</script>
				<?php
				echo $this->show_help_row().'
			</td>
		</tr>';

		return TRUE;
	}
}