<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Frame_admin
 * 
 * Сортировка
 */
class Frame_admin
{
	/**
	 * @var object основной объект системы
	 */
	public $diafan;

	/**
	 * @var string таблица в базе данных
	 */
	public $table;

	/**
	 * @var array настройки отображения
	 */
	public $config_module = array();

	/**
	 * @var array поля таблицы с типами
	 */
	public $variable_table = array();

	/**
	 * @var array переводимые поля
	 */
	public $language_names = array();

	/**
	 * @var string SQL-условия для списка
	 */
	protected $where;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;	
	}

	/**
	 * Сортирует элементы
	 * 
	 * @return boolean
	 */
	public function order_module()
	{
		// Прошел ли пользователь проверку идентификационного хэша
		if (! $this->diafan->_user->checked)
		{
			echo "{error: 'ERROR'}";
			return FALSE;
		}
		
		//проверка прав на сортировку
		if ($this->diafan->admin_roles('order'))
		{
			echo "{error: 'ERROR'}";
			return FALSE;
		}

		//учитывается языковая версия, если это необходимо
		$lang = in_array("act", $this->language_names) ? _LANG : '';

		$edit = intval($_POST["id"]);

		$sort = DB::query_result("SELECT sort FROM {".$this->table."} WHERE id='%d'", $edit);

		//для корректной сортировки в таблицы не должно быть несколько элементов с одинаковым значением sort
		if (DB::query_result("SELECT COUNT(id) FROM {".$this->table."} WHERE sort='%d'", $sort) > 1)
		{
			DB::query("UPDATE {".$this->table."} SET sort=sort+1 WHERE sort>='%d' AND id<>'%d'", $sort, $edit);
		}

		//при сотировки нужно учитывать параметр parent_id
		if ($this->config_module["parent"])
		{
			$parent_id = DB::query_result("SELECT parent_id FROM {".$this->table."} where id='%d'", $edit);
		}

		//при сотировки нужно учитывать параметр cat_id
		if ($this->config_module["element"])
		{
			$cat_id = DB::query_result("SELECT cat_id FROM {".$this->table."} where id='%d'", $edit);
		}

		//приоритет при сортировке отдается параметрам cat_id, act, а затем только sort
		$order =
		($this->config_module["act"] ? 'act'.$lang.' '.($_POST["action"] == "up" ? "ASC" : "DESC").',' : '')
		.'sort '.($_POST["action"] == "up" ? "DESC" : "ASC")
		.',id '.($_POST["action"] == "up" ? "DESC" : "ASC")
		;

		//заблокированные элементы и страницы сайта, не показываемы в меню, не сортируются
		$where =
		($this->config_module["act"]      ? " AND act".$lang."='1'"           : '')
		.($this->config_module["trash"]   ? " AND trash='0'"                  : '')
		.($this->config_module["element"] ? " AND cat_id='".$cat_id."'"       : '')
		.($this->config_module["element_site"] && $this->diafan->site ? " AND site_id='".$this->diafan->site."'" : '')
		.($this->config_module["parent"]  ? " AND parent_id='".$parent_id."'" : '')
		.$this->where;

		//выбираем элемент, с которым поменяемся значениями sort		
		$row = DB::fetch_array(DB::query("SELECT id, sort FROM {".$this->table."} WHERE sort".($_POST["action"] == "up" ? '<' : '>')."%d"
		                                 .$where." ORDER BY ".$order." LIMIT 1", $sort));

		DB::query("UPDATE {".$this->table."} SET sort='".$row["sort"]."' WHERE id=%d", $edit);

		DB::query("UPDATE {".$this->table."} SET sort='".$sort."' WHERE id=%d", $row["id"]);

		$this->diafan->_cache->delete("", $this->diafan->rewrite);

		include_once(ABSOLUTE_PATH.'plugins/json.php');
		$result["redirect"] = URL;
		echo to_json($result);

		return TRUE;
	}
}
