<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Theme_admin
 * 
 * Представление в административной части
 */
class Theme_admin
{
	/**
	 * @var object основной объект системы
	 */
	public $diafan;

	/**
	 * @var string таблица в базе данных
	 */
	public $table;

	/**
	 * @var array настройки отображения
	 */
	public $config_module = array();

	/**
	 * @var array варианты значений переменной с типом список, которые берутся из таблицы
	 */
	public $select = array();

	/**
	 * @var array варианты значений переменной с типом список
	 */
	public $select_arr = array();

	/**
	 * @var array вложенные пункты меню
	 */
	public $submenu;

	/**
	 * @var boolean существуют категории
	 */	
	protected $not_empty_categories;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;	
	}

	/**
	 * Выводит контент модуля
	 * @return boolean true
	 */
	public function show_module()
	{
		return TRUE;
	}

	/**
	 * Подключает шаблон
	 * 
	 * @return boolean true
	 */
	public function show_theme()
	{
		if ($this->diafan->_user->id)
		{
			$site_theme = file_get_contents(ABSOLUTE_PATH.'adm/themes/admin.php');
		}
		else
		{
			$site_theme = file_get_contents(ABSOLUTE_PATH.'adm/themes/adminauth.php');
		}
		$this->get_function_in_theme($site_theme);

		echo '<!-- версия '.VERSION_CMS.' '.date("d.m.Y", DATE_UPDATE).'-->';
		return TRUE;
	}

	/**
	 * Парсит шаблон
	 * 
	 * @return boolean true
	 */
	private function get_function_in_theme($text)
	{
		$text = str_replace('<?php if (!defined("DIAFAN")){include("../../includes/404.php");}?>', '', $text);
		$regexp = '/(<insert ([^>]*)>)/im';
		$tokens = preg_split($regexp, $text, -1, PREG_SPLIT_DELIM_CAPTURE);
		$cnt = count($tokens);
		echo $tokens[0];
		$i = 1;
		while ($i < $cnt)
		{
			$i++;
			$att_string = $tokens[$i++];
			$data       = $tokens[$i++];
			$attributes = $this->parse_attributes($att_string);
			$this->start_element($attributes);
			echo $data;
		}
		return TRUE;
	}

	/**
	 * Парсит атрибуты шаблонного тэга
	 * 
	 * @return array
	 */
	private function parse_attributes($string)
	{
		$entities = array(
			'&lt;' 		=> '<',
			'&gt;' 		=> '>',
			'&amp;' 	=> '&',
			'&quot;' 	=> '"',
			'[' 		=> '<',
			']' 		=> '>',
			'`' 		=> '"'
		);
		
		$attributes = array();
		$match = array();
		preg_match_all('/([a-zA-Z_0-9]+)="((?:\\\.|[^"\\\])*)"/U', $string, $match);
		for ($i = 0; $i < count($match[1]); $i++)
		{
			$attributes[strtolower($match[1][$i])] = strtr((string) $match[2][$i], $entities);
		}
		return $attributes;
	}

	/**
	 * Выполняет действие, заданное в шаблонном тэге: выводит информацию или подключает шаблонную функцию
	 *
	 * @param array атрибуты шаблонного тэга
	 * @return boolean true
	 */
	private function start_element($attributes)
	{
		if (empty($attributes['name']))
		{
			if (! empty($attributes['value']) && defined($attributes['value']))
			{
				echo constant($attributes['value']);			
			}
			return;
		}
		
		switch($attributes['name'])
		{
			case "path":
				echo BASE_PATH.'adm/';
			break;

			case "path_url":
				echo BASE_PATH_HREF;
			break;

			case "base_url":
				echo BASE_URL;
			break;

			case "userid":
				echo $this->diafan->_user->id;
			break;

			case "userfio":
				echo $this->diafan->_user->fio;
			break;

			case "errauth":
				switch($this->diafan->_user->errauth)
				{
					case 'wrong_login_or_pass':
						echo '<font color="#FF0000"><b>'._LANG_WRONG_LOGIN_OR_PASS.'</b></font><br>';
					break;

					case 'blocked_30_min':
						echo '<font color="#FF0000"><b>'._LANG_BLOCKED_30_MIN.'</b></font><br>';
					break;

					case 'blocked':
						echo '<font color="#FF0000"><b>'._LANG_LOGIN_BLOCKED.'</b></font><br>';
					break;
				}
			break;

			default:
				if (method_exists($this, $attributes['name']))
				{
					$this->$attributes['name']($attributes);
				}
		}
		return TRUE;
	}

	/**
	 * Выводит заголовок. Используется между тегами <title></title> в шапке сайта
	 * 
	 * @return boolean true
	 */
	private function show_title()
	{
		echo ($this->diafan->name && $this->diafan->_user->id ? $this->diafan->name.' - ' : '')."CMS ".BASE_URL;
		return TRUE;
	}

	/**
	 * Выводит меню
	 * 
	 * @return boolean true
	 */
	private function show_menu()
	{
		echo '<table width="100%" cellpadding="0" cellspacing="0">';
		$groups = array(1 => _ADMIN_GROUP_MENU_1, 2 => _ADMIN_GROUP_MENU_2, 3 => _ADMIN_GROUP_MENU_3);
		$result = DB::query("SELECT id, name, rewrite, group_id FROM {adminsite} WHERE parent_id=0 AND act='1' ORDER BY sort ASC");
		while ($row = DB::fetch_array($result))
		{
			$group[$row["group_id"]][] = $row;
		}
		foreach ($groups as $group_id => $name)
		{
			if (empty($group[$group_id]))
				continue;
			echo '<tr><td colspan="3" class="menu_tr_first">'.$name.'</td></tr>';
			$rows = $group[$group_id];
			foreach ($rows as $row)
			{
				if ($this->diafan->admin_roles('init', $row["rewrite"]))
					continue;

				echo '
				<tr>
					<td'.($rows[0] == $row ? ' class="menu_td"' : '').'>';
					if ($this->diafan->rewrite != $row["rewrite"])
					{
						echo '<a href="'.BASE_PATH_HREF.$row["rewrite"].'/">'.$row["name"].'</a>';
					}
					else
					{
						echo $row["name"];
					}
					echo '</td>
					<td>'
					.(file_exists('adm/img/'.$row["rewrite"].'.gif') ? '<img src="'.BASE_PATH.'adm/img/'.$row["rewrite"].'.gif">' : '')
					.'</td>
					<td class="menu_act">'.($this->diafan->rewrite == $row["rewrite"] ? '<div></div>' : '').'</td>
				</tr>';
			}
		}
		echo '</table>';
		return TRUE;
	}

	/**
	 * Выводит навигации по сайту «Хлебные крошки»
	 * 
	 * @return boolean
	 */
	public function show_path()
	{
		if ($this->diafan->rewrite != "site" || $this->diafan->parent || $this->diafan->edit)
		{
			echo '<div class="path"><a href="'.BASE_PATH_HREF.'">'._ADMIN_SITE.'</a> ';
		}

		if ($this->diafan->rewrite && $this->diafan->rewrite != "site")
		{
			if ($this->diafan->parent_id)
			{
				$parent_adminsite = DB::fetch_array(DB::query("SELECT name, rewrite FROM {adminsite} WHERE id=%d", $this->diafan->parent_id));
				echo '&gt; <a href="'.BASE_PATH_HREF.$parent_adminsite["rewrite"].'/">'.$parent_adminsite["name"].'</a> ';
			}
			if ($this->diafan->parent || $this->diafan->edit && ! strstr($this->diafan->rewrite, '/config') || $this->diafan->site || $this->diafan->cat)
			{
				echo '&gt; <a href="'.BASE_PATH_HREF.$this->diafan->rewrite.'/">'.$this->diafan->name.'</a>';
			}
		}

		if ($this->config_module["element"] && $this->diafan->cat)
		{
			if ($this->config_module["element_multiple"] && $this->diafan->cat)
			{
				$categories = $this->diafan->get_parents($this->diafan->cat, $this->table.'_category');
			}

			$current_link = BASE_PATH_HREF.$this->diafan->rewrite.'/';

			$categories[] = $this->diafan->cat;
			$result = DB::query("SELECT name, id FROM {".$this->table."_category} WHERE id IN (%h)", implode(",", $categories));
			while ($row = DB::fetch_array($result))
			{
				$categories_name[$row["id"]] = $row["name"];
			}

			foreach ($categories as $p)
			{
				echo ' > <a href="'.$current_link.'cat'.$p.'/">'.$categories_name[$p].'</a>';
			}
			$this->diafan->name = $categories_name[$p];
		}

		if ($this->config_module["parent"] && $this->diafan->parent && ! empty($this->variable_table["name"]))
		{
			$parents = $this->diafan->get_parents($this->diafan->parent, $this->table);
			$parents[] = $this->diafan->parent;
			if ($parents)
			{
				$current_link = BASE_PATH_HREF.$this->diafan->rewrite.'/';
				$result = DB::query("SELECT name, id FROM {".$this->table."} WHERE id IN (%h)", implode(",", $parents));
				while ($row = DB::fetch_array($result))
				{
					$parents_name[$row["id"]] = $row["name"];
				}

				foreach ($parents as $p)
				{
					echo ' > <a href="'.$current_link.'parent'.$p.'/">'.$parents_name[$p].'</a>';
				}
			}
		}
		echo '</div>';
		return TRUE;
	}

	/**
	 * Выводит ссылку на конфигурацию модуля
	 * 
	 * @return boolean
	 */
	public function show_config()
	{
		if ($this->diafan->edit && ! strstr($this->diafan->rewrite, '/config'))
		{
			return FALSE;
		}
		if ($this->diafan->parent_id)
		{
			$id = $this->diafan->parent_id;
		}
		else
		{
			$id = $this->diafan->cid;
		}
		$result = DB::query("SELECT id, name, rewrite, act FROM {adminsite} WHERE parent_id=%d ORDER BY sort ASC", $id);
		while ($row = DB::fetch_array($result))
		{
			if ($this->diafan->admin_roles('init', $row["rewrite"]))
				continue;

			if (strstr($row["rewrite"], '/config'))
			{
				$isset_config = $row["rewrite"];
				continue;
			}
			if (! $row["act"])
			{
				continue;
			}
			$this->submenu[] = $row;
		}
		if (empty($isset_config) || $this->diafan->edit)
		{
			return FALSE;
		}
		echo '<div class="config"><a href="'.BASE_PATH_HREF.$isset_config.'/">'._ADMIN_CONFIG_MODULE.'</a></div>';
		return TRUE;
	}

	/**
	 * Выводит подменю
	 * 
	 * @return boolean
	 */
	private function show_submenu()
	{
		if (! $this->submenu)
		{
			return FALSE;
		}
		if (! $this->diafan->configmodules('cat', $this->diafan->module, $this->diafan->site) && count($this->submenu) == 2 && $this->submenu[1]["rewrite"] == $this->diafan->module.'/category'
		   && ! $this->config_module["element"]&& ! $this->config_module["category"])
		{
			return FALSE;
		}
		$k = 0;
		foreach ($this->submenu as $row)
		{
			if (! $this->diafan->configmodules('cat', $this->diafan->module, $this->diafan->site) && $row["rewrite"] == $this->diafan->module.'/category'
			   && ! $this->config_module["element"]&& ! $this->config_module["category"])
			{
				continue;
			}
			if (! $k)
			{
				echo '<div class="submenu">';
			}
			else
			{
				echo ' | ';
			}

			if ($this->diafan->rewrite != $row["rewrite"])
			{
				echo '<a href="'.BASE_PATH_HREF.$row["rewrite"].'/">'.$row["name"].'</a>';
			}
			else
			{
				echo '<span>'.$row["name"].'</span>';
			}
			$k++;
		}
		if ($k)
		{
			echo '</div>';
		}
		return TRUE;
	}

	/**
	 * Выводит ссылки на альтернативные языковые версии сайта
	 * 
	 * @return boolean
	 */
	private function show_language()
	{
		if (count($this->diafan->language_all) < 2)
			return;
		
		foreach ($this->diafan->language_all as $key => $language)
		{
			echo ($language[0] != _LANG ? '<a href="http://'.BASE_URL.'/'.ADMIN_FOLDER.'/'.($language[1] ? $language[1].'/' : '')
			.($_GET["rewrite"] ? $_GET["rewrite"].'/' : '').'">' : '')
			.$language[2].($language[0] != _LANG ? '</a>' : '').' ';
		}
		return TRUE;
	}

	/**
	 * Выводит основной контент страницы
	 * 
	 * @return boolean true
	 */
	private function show_body()
	{
		$this->show_path();
		$this->show_config();
		$this->show_h1();
		$this->show_submenu();
		$this->show_filter();
		$this->show_error_message();
		echo '<div class="hide check_hash_user">'.$this->diafan->_user->get_hash().'</div>';
		$this->show_module_body();
		return TRUE;
	}

	/**
	 * Выводит помощь по странице
	 * 
	 * @return boolean true
	 */
	private function show_help_text()
	{
		echo str_replace('base_path/', BASE_PATH_HREF, $this->diafan->text);
		return TRUE;
	}

	/**
	 * Выводит заголовок страницы H1
	 * 
	 * @return boolean true
	 */
	private function show_h1()
	{
		if (! $this->config_module["config"] && ($this->diafan->edit && $this->diafan->rewrite != "config" || $this->diafan->addnew))
		{
			return;
		}

		if ($this->config_module['element_multiple'] && $this->diafan->cat || $this->config_module['element'] && $this->diafan->module == 'menu')
		{
			$c = '<font class="edit"> ('
			.'<a href="'.BASE_PATH_HREF.$this->diafan->rewrite.'/category/'
			.(! $this->config_module['category_flat'] ? 'parent'.$this->diafan->cat.'/' : '')
			.'edit'.$this->diafan->cat.'/">'
			._ADMIN_EDIT
			.'</a>)</font>';	
		}
		elseif ($this->config_module['element'] && $this->diafan->cat)
		{
			$c = '<font class="edit"> ('
			.'<a href="'.BASE_PATH_HREF.$this->diafan->rewrite.'/edit'.$this->diafan->cat.'/">'
			._ADMIN_EDIT
			.'</a>)</font>';	
		}
		elseif (! $this->config_module["config"] && $this->config_module['element_site'] && $this->diafan->site)
		{
			if ($this->diafan->site)
			{
				$this->diafan->name = DB::title("site", $this->diafan->site, "name"._LANG);
				$c = $this->diafan->site;
			}
			$c = '<font class="edit"> (<a href="'.BASE_PATH_HREF.'site/edit'.$c.'/">'._ADMIN_EDIT.'</a>)</font>';
		}
		elseif ($row = DB::fetch_array(DB::query("SELECT id, name FROM {site} WHERE addmodule='%h'", $this->diafan->rewrite)))
		{
			$this->diafan->name = $row["name"];
			$c = '<font class="edit"> (<a href="'.BASE_PATH_HREF.'site/edit'.$row["id"].'/">изменить</a>)</font>';
		}
		
		echo '<h1>'
			.(file_exists('adm/img/'.$this->diafan->module.'.gif') ? '<img src="'.BASE_PATH.'adm/img/'.$this->diafan->module.'.gif">' : '').' '
			.$this->diafan->name
			.(! empty($c) ? $c : '')
		.'</h1>';
		return TRUE;
	}

	/**
	 * Выводит системное сообщение
	 * 
	 * @return boolean true
	 */
	private function show_error_message()
	{
		$error_mess = '_ADMIN_ERROR_'.$this->diafan->error;
		if (!empty($this->diafan->error) && defined($error_mess))
		{
			echo '<p><font color="red" size="3">'.constant($error_mess).'</font></p>';
		}
		return TRUE;
	}

	/**
	 * Инициирует функцию-действие модуля
	 * 
	 * @return boolean
	 */
	private function show_module_body()
	{
		if ($this->diafan->edit && ! $this->diafan->admin_roles('edit')
		   || $this->diafan->addnew && ! $this->diafan->admin_roles('addnew'))
		{
			$this->edit_module();
			return TRUE;
		}
		if ($this->config_module["config"] && $this->diafan->admin_roles('config'))
		{
			return FALSE;
		}
		if (! $this->diafan->admin_roles('init'))
		{
			if (! empty($this->config_module['search_name']))
			{
				if (! empty($_GET["name"]))
				{
					$name = $this->diafan->get_param($_GET, "name", '', 1);
					$this->where   = " AND name like '%%".$name."%%'";
					$this->get_nav = ($this->get_nav ? '&amp;' : '?').'name='.$name;
				}
			}
			$this->show_module();
			if (! empty($this->config_module['search_name']) &&  (! empty($this->group_actions) || ! empty($_GET["name"])))
			{
				echo '
				<form action="'.BASE_PATH_HREF.$this->diafan->rewrite.'/'.($this->diafan->cat ? 'cat'.$this->diafan->cat.'/' : '').'" method="GET">
					<p>'._ADMIN_NAME.' <input type="text" name="name" value="'.(! empty($name) ? $name : '').'" size="20">
					<input type="submit" value="'._LANG_SEARCH.'"></p>
				</form>';
			}
			return TRUE;
		}
		return FALSE;
	}

	/**
	 * Выводит информацию о CMS
	 * 
	 * @return boolean true
	 */
	public function show_brand($a)
	{
		$number = preg_replace('/[^0-9]+/', '', $a["id"]);
		global $brandtext;
		include_once(ABSOLUTE_PATH.'adm/brand.php');
		echo $brandtext[$number];
		return TRUE;
	}

	/**
	 * Подключает необходимые JS-библиотеки
	 * 
	 * @return boolean true
	 */
	public function show_js()
	{
		echo '
		<script type="text/javascript" src="'.BASE_PATH.'adm/htmleditor/tiny_mce/tiny_mce.js"></script>
		<script type="text/javascript" src="'.BASE_PATH.'adm/htmleditor/tiny_mce/plugins/images/images_init.php"></script>
		<script type="text/javascript" src="'.BASE_PATH.'adm/htmleditor/tiny_mce/config.js"></script>';
		if ($this->diafan->edit)
		{
			echo '
			<script src="'.BASE_PATH.'js/jquery.prettyPhoto.js" type="text/javascript" charset="utf-8"></script>
			<link rel="stylesheet" href="'.BASE_PATH.'css/prettyPhoto.css" type="text/css" media="screen"'
			.' title="prettyPhoto main stylesheet" charset="utf-8" />';
		}
		if (! empty($this->config_module['multiupload']))
		{
			echo '
			<script type="text/javascript" src="'.BASE_PATH.'js/fileuploader.js"></script>
			<script type="text/javascript" src="'.BASE_PATH.'js/multiupload-func.js"></script>
			<link href="'.BASE_PATH.'adm/css/fileuploader.css" rel="stylesheet" type="text/css">';
		}

		return TRUE;
	}

	/**
	 * Формирует HTML-список
	 * 
	 * @return string
	 */
	protected function select_option($key, $table = '', $id = '', $name = '', $value = '', $where = "", $parent_id = "", $parent_value = 0, $marker = '', $order = 'id asc')
	{
		$list = '';
		if ($parent_id && ! $marker)
		{
			$marker = "&nbsp;&nbsp;";
		}
		
		if (! empty($this->select_arr[$key]))
		{
			foreach ($this->select_arr[$key] as $k => $val)
			{
				$list .= '<option value="'.$k.'"'.($value == $k ? ' selected' : '').'>'.($val ? $val : $k).'</option>';
			}
			return $list;
		}
		$result = DB::query("SELECT ".$id.','.$name." FROM {".$table."} ".(! empty($where) ? "WHERE ".$where : '')
		.($parent_id ? ($where ? " AND " : 'WHERE ').$parent_id."='".$parent_value."'" : "")." ORDER BY ".$order);
		
		while ($row = DB::fetch_array($result))
		{
			$list.=
			'<option value="'.$row[$id].'"'.($value == $row[$id] ? ' selected':'').'>'
				.($row[$name] ? $this->diafan->short_text($marker.$row[$name],40) : $row[$id])
			.'</option>'
			
			.($parent_id
			 ? $this->select_option($key, $table, $id, $name, $value, $where, $parent_id, $row[$id], $marker."&nbsp;&nbsp;")
			 : '');
		}
		return $list;
	}

	/**
	 * Формирует теги <option> при редактировании списка
	 *
	 * @param array $cats все возможные значения
	 * @param array $rows возможные значения для текущего уровня
	 * @param array $values значения
	 * @param string $marker отступ для текущего уровня
	 * @return boolean
	 */
	public function get_options($cats, $rows, $values, $marker = '')
	{
		$text = '';
		foreach ($rows as $row)
		{
			$text .=
			'<option value="'.$row["id"].'"'.(in_array($row["id"], $values) ? ' selected' : '').'>'
				.$marker.$this->diafan->short_text($row["name"], 40)
			.'</option>';
			if (! empty($cats[$row["id"]]))
			{
				$text .= $this->get_options($cats, $cats[$row["id"]], $values, $marker.'&nbsp;&nbsp;');
			}
		}
		return $text;
	}

	/**
	 * Фильтр вывода
	 * 
	 * @return boolean
	 */
	private function show_filter()
	{
		if (! $this->config_module['element_site'] && ! $this->config_module['element'])
		{
			return FALSE;
		}
		$p = FALSE;
		if ($this->config_module['element_site'] && (! $this->diafan->edit || strstr($this->diafan->rewrite, '/config')))
		{
			$cats = array();
			$result = DB::query("SELECT id, name FROM {site} WHERE trash='0' AND addmodule='%s' ORDER BY id ASC", $this->diafan->module);
			while ($row = DB::fetch_array($result))
			{
				if ($this->config_module['category'] && ! $this->diafan->configmodules("cat", $this->diafan->module, $row["id"]))
				{
					continue;
				}
				$cats[0][] = $row;
			}
			if (! empty($cats[0]) && count($cats[0]) > 1)
			{
				echo '<p>'._ADMIN_SITE_ID.': <select rel="'.path_module($this->diafan, 0, 0, 0, 0, 1).'" class="redirect" name="site">'
				.'<option value="">'._LANG_ALL.'</option>';
				echo $this->get_options($cats, $cats[0], array($this->diafan->site))
				.'</select> ';
				$p = TRUE;
			}
			elseif (! empty($cats[0]) && count($cats[0]) == 1)
			{
				$this->diafan->site = $cats[0][0]["id"];
			}
		}
		if ($this->config_module['element_multiple'] && ! $this->diafan->edit)
		{
			$cats = array();
			$count = 0;
			$result = DB::query("SELECT id, name, parent_id FROM {".$this->table."_category} WHERE trash='0'"
			                    .($this->diafan->site ? " AND site_id='".$this->diafan->site."'" : "")
			                    ." ORDER BY id ASC");
			while ($row = DB::fetch_array($result))
			{
				$cats[$row["parent_id"]][] = $row;
				$count++;
			}
			if ($count)
			{
				$this->not_empty_categories = TRUE;
			}
			if ($count > 1)
			{
				if (! $p)
				{
					echo '<p>';
					$p = TRUE;
				}
				echo _ADMIN_CAT_ID.': <select rel="'.path_module($this->diafan, 0, 0, 0, 1).'" class="redirect" name="cat">'
				.'<option value="">'._LANG_ALL.'</option>';
				echo $this->get_options($cats, $cats[0], array($this->diafan->cat))
				.'</select> ';
			}
		}
		if ($p)
		{
			echo '</p>';
		}
		return TRUE;
	}
}