<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Config
 * Набор функций для работы c параметрами сайта
 */
class Config
{
	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct(){}

	/**
	 * Сохраняет параметры сайта
	 *
	 * @param array $new_values новые значения параметров сайта
	 * @param array $language_all языки сайта
	 * @return boolean true
	 */
	static public function save($new_values, $language_all)
	{
		$fields = array('DB_URL', 'DB_PREFIX', 'DB_CHARSET', 'EMAIL_CONFIG', 'HTMLEDITOR', 'USERFILES', 'LANGUAGE_BASE', 'VERSION_CMS', 'DATE_UPDATE',
						'DIAFAN_CODE', 'ADMIN_FOLDER', 'USERADMIN', 'MOD_DEVELOPER', 'MOD_DEVELOPER_CACHE', 'MOD_DEVELOPER_PROFILING', 'FTP_HOST', 'FTP_DIR',
						'FTP_LOGIN', 'FTP_PASSWORD', 'SMTP_MAIL', 'SMTP_HOST', 'SMTP_LOGIN', 'SMTP_PASSWORD', 'SMTP_PORT', 'ROUTE_END', 'ROUTE_AUTO_MODULE',
						'ROBOX_LOGIN', 'ROBOX_PASS_1', 'ROBOX_PASS_2', 'ROBOX_PASS_2', 'WM_SECRET', 'WM_SECRET', 'WM_TARGET', 'TIMEZONE');
		foreach ($language_all as $l => $langarr)
		{
			$fields[] = 'TIT'.$langarr[0];
		}
		foreach ($fields as $field)
		{
			if (! isset($new_values[$field]))
			{
				$new_values[$field] = defined($field) ? constant($field): '';
			}
		}
		$text = '<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined(\'DIAFAN\'))
{
	include(dirname(__FILE__).\'/includes/404.php\');
}
define("REVATIVE_PATH", "'.REVATIVE_PATH.'");';
		foreach ($language_all as $l => $langarr)
		{
			$text .= '
define("TIT'.$langarr[0].'", "'.$new_values["TIT".$langarr[0]].'");';
		}
		$text.='

define("DB_URL", "'.$new_values["DB_URL"].'");
define("DB_PREFIX", "'.$new_values["DB_PREFIX"].'");
define("DB_CHARSET", "'.$new_values["DB_CHARSET"].'");

define("EMAIL_CONFIG", "'.$new_values["EMAIL_CONFIG"].'");
define("HTMLEDITOR", '.($new_values["HTMLEDITOR"] ? 'TRUE' : 'FALSE').');
define("USERFILES", "'.$new_values["USERFILES"].'");
define("LANGUAGE_BASE", "'.$new_values["LANGUAGE_BASE"].'");
define("VERSION_CMS", "'.$new_values["VERSION_CMS"].'");
define("DATE_UPDATE", "'.$new_values["DATE_UPDATE"].'");
define("DIAFAN_CODE", "'.$new_values["DIAFAN_CODE"].'");
define("ADMIN_FOLDER", "'.$new_values["ADMIN_FOLDER"].'");
define("USERADMIN", '.($new_values["USERADMIN"] ? 'TRUE' : 'FALSE').');
define("MOD_DEVELOPER", '.($new_values["MOD_DEVELOPER"] ? 'TRUE' : 'FALSE').');
define("MOD_DEVELOPER_CACHE", '.($new_values["MOD_DEVELOPER_CACHE"] ? 'TRUE' : 'FALSE').');
define("MOD_DEVELOPER_PROFILING", '.($new_values["MOD_DEVELOPER_PROFILING"] ? 'TRUE' : 'FALSE').');

define("FTP_HOST", "'.$new_values["FTP_HOST"].'");
define("FTP_DIR", "'.$new_values["FTP_DIR"].'");
define("FTP_LOGIN", "'.$new_values["FTP_LOGIN"].'");
define("FTP_PASSWORD", "'.$new_values["FTP_PASSWORD"].'");

define("SMTP_MAIL", '.($new_values["SMTP_MAIL"] ? 'TRUE' : 'FALSE').');
define("SMTP_HOST", "'.$new_values["SMTP_HOST"].'");
define("SMTP_LOGIN", "'.$new_values["SMTP_LOGIN"].'");
define("SMTP_PASSWORD", "'.$new_values["SMTP_PASSWORD"].'");
define("SMTP_PORT", "'.$new_values["SMTP_PORT"].'");

define("TIMEZONE", "'.$new_values["TIMEZONE"].'");
define("ROUTE_END", "'.$new_values["ROUTE_END"].'");
define("ROUTE_AUTO_MODULE", '.($new_values["ROUTE_AUTO_MODULE"] ? 'TRUE' : 'FALSE').');
'
.($new_values["ROBOX_LOGIN"] ? '
define("ROBOX_LOGIN", "'.$new_values["ROBOX_LOGIN"].'");
' : '').($new_values["ROBOX_PASS_1"] ? '
define("ROBOX_PASS_1", "'.$new_values["ROBOX_PASS_1"].'");
' : '').($new_values["ROBOX_PASS_2"] ? '
define("ROBOX_PASS_2", "'.$new_values["ROBOX_PASS_2"].'");
' : '').($new_values["WM_SECRET"] ? '

define("WM_SECRET", "'.$new_values["WM_SECRET"].'");
' : '').($new_values["WM_TARGET"] ? '
define("WM_TARGET", "'.$new_values["WM_TARGET"].'");' : '');

		$fp = fopen(ABSOLUTE_PATH."config.php", "w");
		fwrite($fp, $text);
		fclose($fp);
		return TRUE;
	}
}