<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(__FILE__)).'includes/404.php');
}

/**
 * Dev
 *
 * Класс для работы в режиме разработки
 */
class Dev
{
	/**
	 * Разрешает/запрещает вывод ошибок
	 *
	 * @return boolean
	*/
	public static function set_error()
	{
		ini_set('display_errors', 'on');
		error_reporting(MOD_DEVELOPER ? E_ALL | E_STRICT : 0);
		return TRUE;
	}

	/**
	 * Активирует профилирование запросов, если это разрешено в параметрах
	 *
	 * @return boolean
	*/
	public static function set_profiling()
	{
		if (! defined('MOD_DEVELOPER_PROFILING') || ! MOD_DEVELOPER_PROFILING)
			return FALSE;

		DB::query("SET profiling_history_size=100;");
		DB::query("SET profiling=1;");
		return TRUE;
	}

	/**
	 * Профилирование запросов
	 *
	 * @return boolean
	*/
	public static function get_profiling()
	{
		if (! defined('MOD_DEVELOPER_PROFILING') || ! MOD_DEVELOPER_PROFILING)
			return FALSE;

		echo '<br><br><table border="1"><tr><td>Query_ID</td><td>Duration</td><td>Query</td></tr>';
		$result = DB::query("SHOW PROFILES");
		$summ = 0;
		while ($row = DB::fetch_array($result))
		{
			echo '<tr><td>'.$row["Query_ID"]
			.'</td><td>'.$row["Duration"]
			.'</td><td>'.$row["Query"]
			.'</td></tr>';
			$summ += $row["Duration"];
		}
		echo '<tr><td></td><td>'.$summ.'</td><td></td></tr></table><br><br>';

		/*
		echo '<br><br><table border="1"><tr><td>Status</td><td>Duration</td></tr>';
		$result = DB::query("SHOW PROFILE FOR QUERY 75");
		$summ = 0;
		while ($row = DB::fetch_array($result))
		{
			echo '<tr><td>'.$row["Status"]
			.'</td><td>'.$row["Duration"]
			.'</td></tr>';
			$summ += $row["Duration"];
		}
		echo '<tr><td></td><td>'.$summ.'</td></tr></table><br><br>';
		*/
		return TRUE;
	}
}