<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(__FILE__)).'/includes/404.php');
}

/**
 * Template
 * 
 * Представление в пользовательской части
 */
class Template
{
	/**
	 * @var object основной объект системы
	 */
	public $diafan;

	/**
	 * @var array подключенные шаблоны модулей
	 */
	private $include_templates;

	/**
	 * @var string текущий модуль, для котого вызвана шаблонная функция
	 */
	private $current_module;

	/**
	 * Конструктор класса. Определяет свойства класса
	 * 
	 * @return void
	 */
	public function __construct(&$diafan)
	{
		$this->diafan = &$diafan;
	}

	/**
	 * Подключает шаблон
	 *
	 * @param string $name имя функции
	 * @param string $module название модуля
	 * @param mixed $result передаваемые в шаблон данные
	 * @return mixed
	 */
	public function get($name, $module, $result)
	{
		if (strstr($module, '_'))
		{
			$m = explode('_', $module, 2);
		}
		if (empty($this->include_templates[$module]))
		{
			if (! empty($m))
			{
				include_once(ABSOLUTE_PATH.'modules/'.$m[0].'/'.$m[1].'/'.$m[1].'.view.php');
				$this->include_templates[$module] = TRUE;
			}
			else
			{
				include_once(ABSOLUTE_PATH.'modules/'.$module.'/'.$module.'.view.php');
				$this->include_templates[$module] = TRUE;
			}
		}
		if (! empty($m))
		{
			$this->current_module = $m[0];
		}
		else
		{
			$this->current_module = $module;
		}
		$name = preg_replace('/[^a-z0-9_]+/', '', $name);
		$class = ucfirst($module).'_view';
		$new = new $class($this->diafan);
		if (! is_callable(array($new, $name)))
		{
			return FALSE;
		}
		eval('$result = $new->'.$name.'($result);');

		return $result;
	}

	/**
	 * Получает значение языковой константы
	 *
	 * @param string $name имя константы, без приставки _LANG_
	 * @param boolean $useradmin выдавать форму для редактирования
	 * @return string
	 */
	public function _($name, $useradmin = TRUE)
	{
		return $this->diafan->_language->get($name, $this->current_module, $useradmin);
	}
}