<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Attachments_admin_del
 * 
 * Удаление прикрепленных файлы
 */
class Attachments_admin_del
{
	/**
	 * Помечает файлы на удаление или удаляет файлы
	 * 
	 * @param string $module_name название модуля, к которому прикреплены файлы
	 * @param integer $element_id номер элемента, к которому прикреплены файлы
	 * @param integer $trash_id номер записи в корзине, с которой связано удаление
	 * @param integer $is_category удаляемый элемент - категория
	 * @return boolean
	 */
	public static function delete($th, $module_name, $element_id, $trash_id = 0, $is_category = FALSE)
	{
		if ($is_category)
		{
			return FALSE;
		}
		if (is_dir(ABSOLUTE_PATH.USERFILES."/".$module_name))
		{
			if (is_dir(ABSOLUTE_PATH.USERFILES."/".$module_name."/files"))
			{
				if ($_POST["action"] == "delete")
				{
					$result = DB::query("SELECT id, name, is_image FROM {attachments} WHERE module_name='%s' AND element_id='%d'", $module_name, $element_id);
					while ($row = DB::fetch_array($result))
					{
						if ($row["is_image"])
						{
							@unlink(ABSOLUTE_PATH.USERFILES."/".$module_name."/imgs/".$row["name"]);
							@unlink(ABSOLUTE_PATH.USERFILES."/".$module_name."/imgs/small/".$row["name"]);
						}
						else
						{
							@unlink(ABSOLUTE_PATH.USERFILES."/".$module_name."/files/".$row["id"]);
						}						
					}
				}
				$th->del_or_trash_where("attachments", "element_id='".$element_id."' AND module_name='".$module_name."'", $trash_id);
			}
		}
		return TRUE;
	}

	/**
	 * Удаляет файл
	 * 
	 * @param integer $id номер удаляемого файла
	 * @return boolean true
	 */
	public static function del_from_trash($th, $id)
	{
		$row = DB::fetch_array(DB::query("SELECT module_name, element_id FROM {attachments} WHERE id=%d", $id));
		$th->diafan->_attachments->delete($row["element_id"], $row["module_name"], $id);
		return TRUE;
	}
}