<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Attachments_admin_edit
 * 
 * Редактирование полей, связанных с работой модуля "Прикрепленные файлы"
 */
class Attachments_admin_edit
{
	/**
	 * Редактирование поля "Прикрепленные файлы"
	 * 
	 * @return boolean
	 */
	public static function edit($th)
	{
		echo '
		<tr>
			<td class="td_first">'.$th->variable_names().'</td>
			<td>';
			$attachments = $th->diafan->_attachments->get($th->diafan->edit, $th->table);
			foreach ($attachments as $row)
			{
				echo '<input type="checkbox" name="filedel[]" value="'.$row["id"].'">';
				if ($row["is_image"])
				{
					echo '<a href="'.$row["link"].'">'.$row["name"].'</a> <a href="'.$row["link"].'"><img src="'.$row["link_preview"].'"></a><br>';
				}
				else
				{
					echo '<a href="'.$row["link"].'">'.$row["name"].'</a><br>
					';
				}
			}
			echo '
			<input type="file" name="attachment" size="40">'.$th->show_help_row().'
			</td>
		</tr>';

		return TRUE;
	}

	/**
	 * Редактирование поля "Прикрепленные файлы" для конфигурации модуля
	 * 
	 * @return boolean true
	 */
	public static function edit_config($th)
	{
		$fileds = array('attachments', 'max_count_attachments', 'attachment_extensions', 'recognize_image', 'attach_big_width', 'attach_big_height',
		                'attach_big_quality', 'attach_medium_width', 'attach_medium_height', 'attach_medium_quality', 'use_animation');
		foreach ($fileds as $filed)
		{
			if (empty($th->values[$filed]))
			{
				$th->values[$filed] = $th->diafan->configmodules($filed);
			}
		}

		$th->show_tr_click_checkbox = array(
			'attachments' => array(
				'max_count_attachments',
				'attachment_extensions',
				'recognize_image',
				'upload_max_filesize'
			),
			'recognize_image' => array(
				'big',
				'medium',
				'use_animation'
			)
		);
		echo '
		<tr id="attachments">
			<td class="td_first">'.$th->variable_names("attachments").'</td>
			<td>
				<input type="checkbox" name="attachments"'.$th->show_tr_click_checkbox("attachments").'" value="1" '
				.($th->values["attachments"] == 1 ? " checked" : '')
				.' id="attachments_">
				'.$th->show_help_row("attachments").'
			</td>
		</tr>
		<tr id="max_count_attachments">
			<td class="td_first">'.$th->variable_names("max_count_attachments").'</td>
			<td>
				<input type="text" name="max_count_attachments" size="20" value="'.$th->values["max_count_attachments"].'" class="inpnum">
				'.$th->show_help_row("max_count_attachments").'
			</td>
		</tr>
		<tr id="attachment_extensions">
			<td class="td_first">'.$th->variable_names("attachment_extensions").'</td>
			<td>
				<input type="text" name="attachment_extensions" size="40" value="'.$th->values["attachment_extensions"].'">
				'.$th->show_help_row("attachment_extensions").'
			</td>
		</tr>
		<tr id="recognize_image">
			<td class="td_first">'.$th->variable_names("recognize_image").'</td>
			<td>
				<input type="checkbox" name="recognize_image"'
				.(! extension_loaded('gd')
				 ? ' onclick="javascript:alert(\''._ADMIN_IMAGE_NO_GD_CONFIG.'\');" value="0"'
				 : $th->show_tr_click_checkbox("recognize_image").'" value="1" '
				   .($th->values["recognize_image"] == 1 ? " checked" : '')
				 )
				.' id="recognize_image_">
				'.$th->show_help_row("recognize_image").'
			</td>
		</tr>
		<tr id="big">
			<td class="td_first">'._ADMIN_BIG_WIDTH_CONFIG.'</td>
			<td><input type="text" name="attach_big_width" size="3" value="'.$th->values["attach_big_width"].'" class="inpnum"> x
				<input type="text" name="attach_big_height" size="3" value="'.$th->values["attach_big_height"].'" class="inpnum">,
				'._LANG_QUALITY.'
				<input type="text" name="attach_big_quality" size="2" value="'.$th->values["attach_big_quality"].'" class="inpnum">'
				.$th->show_help_row("big_quality").'
			</td>
		</tr>
		<tr id="medium">
			<td class="td_first">'._ADMIN_MEDIUM_WIDTH_CONFIG.'</td>
			<td>
				<input type="text" name="attach_medium_width" size="3" value="'.$th->values["attach_medium_width"].'" class="inpnum"> x
				<input type="text" name="attach_medium_height" size="3" value="'.$th->values["attach_medium_height"].'" class="inpnum">,
				'._LANG_QUALITY.'
				<input type="text" name="attach_medium_quality" size="2" value="'.$th->values["attach_medium_quality"].'" class="inpnum">'
				.$th->show_help_row("big_quality").'
			</td>
		</tr>
		<tr id="use_animation">
			<td class="td_first">'.$th->variable_names("use_animation").'</td>
			<td>
				<input type="checkbox" name="use_animation" value="1"'.($th->values["use_animation"] == 1 ? " checked" : '').'>
				'.$th->show_help_row("use_animation").'
			</td>
		</tr>
		<tr id="upload_max_filesize">
			<td class="td_first">'.$th->variable_names("upload_max_filesize").'</td>
			<td>
				'.ini_get('upload_max_filesize')
				.$th->show_help_row("upload_max_filesize").'
			</td>
		</tr>';
		return TRUE;
	}
}