<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Basket_model
 *
 * Модель модуля "Корзина товаров"
 */
class Basket_model extends Model
{
	/**
	 * @var array сгенерированные в моделе данные, передаваемые в шаблон
	 */
	protected $result;

	/**
	 * @var object основной объект системы
	 */
	protected $diafan;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct(&$diafan)
	{
		$this->diafan = &$diafan;
	}

	/**
	 * Генерирует данные для формы редактирования товаров
	 * 
	 * @return array
	 */
	public function form()
	{
		global $param_select;

		if (! empty($_SESSION["basket_count"]))
		{
			$result["to_order"] = BASE_PATH_HREF.$this->diafan->_route->module("order");
		}
		$result["error"] = $this->get_error("basket");
		
		$result["currency"] = $this->diafan->configmodules("currency", "shop");
		$result["summ"]  = 0;
		$result["count"] = 0;
		$k = 0;
		
		if (! empty($_SESSION["basket"]) && is_array($_SESSION["basket"]))
		{
			$this->diafan->timeedit = time();
			foreach ($_SESSION["basket"] as $good_id => $array)
			{
				if (! $row = DB::fetch_array(DB::query("SELECT id, [name], cat_id, site_id FROM {shop} WHERE [act]='1' AND id = %d AND trash='0'", $good_id)))
				{
					continue;
				}
				$link = $this->diafan->_route->link($row["site_id"], "shop", $row["cat_id"], $row["id"]);
				foreach ($array as $param => $c)
				{
					$price = 0;
					$result["rows"][$k]["name"]  = $row["name"];
					$result["rows"][$k]["link"]  = $link;
					$query = array();
					foreach ($c["param"] as $id => $value)
					{
						if ($id == 'depend')
						{
							$depend = DB::fetch_array(DB::query("SELECT param_id, price FROM {shop_price} WHERE good_id=%d AND param_value=%d", $good_id, $value));
							if (! $depend)
							{
								continue;
							}
							$price = $depend["price"];
							$id = $depend["param_id"];
							$query[] = 'p'.$id.'[]='.$value;
						}
						else
						{
							$query[] = 'p'.$id.'='.$value;
						}
						if (empty($param_names[$id]))
						{
							$param_names[$id] = DB::query_result("SELECT [name] FROM {shop_param} WHERE id=%d", $id);
						}
						if (empty($select_names[$id][$value]))
						{
							$select_names[$id][$value] =
							DB::query_result("SELECT [name] FROM {shop_param_select} WHERE param_id=%d AND id=%d", $id, $value);
						}

						$result["rows"][$k]["name"] .= ', '.$param_names[$id].': '.$select_names[$id][$value];
					}
					if (! $price)
					{
						$price = DB::query_result("SELECT price FROM {shop_price} WHERE good_id=%d", $good_id);
					}
					$discount = $this->get_discount($good_id);
					$price = $price * (100 - $discount) / 100;

					$result["rows"][$k]["link"] .= ! empty($query) ? '?'.implode('&', $query) : '';
					$result["rows"][$k]["count"] = $c["count"];
					$img = $this->diafan->_images->get($good_id, $result["rows"][$k]["name"], 'shop', 1, '');
					if ($img)
					{
						$result["rows"][$k]["img"] = $img[0];
					}
					$result["rows"][$k]["id"]    = $row["id"]."_".$param;
					$result["rows"][$k]["price"] = $this->diafan->format_price($price);
					$result["rows"][$k]["summ"]  = $this->diafan->format_price($price * $c["count"]);
					
					$result["summ"]  += $price * $c["count"];
					$result["count"] += $c["count"];
					$k++;
				}
			}
		}
		$result["summ"] = $this->diafan->format_price($result["summ"]);
		$this->diafan->hide_previous_next = TRUE;
		return $result;
	}

	/**
	 * Генерирует данные для шаблонной функции: выводит информацию о заказанных товарах
	 * 
	 * @return array
	 */
	function show_basket()
	{
		$result["summ"]  = 0;
		$result["count"] = 0;

		if (isset($_SESSION["basket_summ"]) && isset($_SESSION["basket_count"]))
		{
			$result["summ"]  = $_SESSION["basket_summ"]  ? $_SESSION["basket_summ"]  : 0;
			$result["count"] = $_SESSION["basket_count"] ? $_SESSION["basket_count"] : 0;
		}

		$result["link"] = BASE_PATH_HREF.$this->diafan->_route->module("basket");
		$result["summ"] = $this->diafan->format_price($result["summ"]);
		$result["currency"] = $this->diafan->configmodules("currency", "shop");
		return $result;
	}

	/**
	 * Определяет скидку на товар
	 *
	 * @param array $row данные о товаре
	 * @return float
	 */
	private function get_discount($id)
	{
		// выбираем все скидки, актуальные на текущий момент
		$discounts = array();
		$result = DB::query("SELECT id, discount FROM {shop_discount} WHERE trash='0' AND act='1' AND (date_start='0' OR date_start<=%d) AND (date_finish='0' OR date_finish>=%d)", time(), time());
		while ($dis = DB::fetch_array($result))
		{
			$discounts[$dis["id"]] = $dis["discount"];
		}
		if ($discounts)
		{
			// проверяем установлена ли скидка на товар
			$discount = DB::query_result("SELECT discount_id FROM {shop_discount_object} WHERE good_id=%d AND discount_id IN (%h) ORDER BY id ASC LIMIT 1", $id, implode(",", array_keys($discounts)));
			if ($discount)
			{
				return $discounts[$discount];
			}
			$cat_id = DB::query_result("SELECT cat_id FROM {shop} WHERE id=%d", $id);

			// проверяем установлена ли скидка на категорию
			if ($cat_id)
			{
				$discount = DB::query_result("SELECT discount_id FROM {shop_discount_object} WHERE cat_id=%d AND discount_id IN (%h) ORDER BY id ASC LIMIT 1", $cat_id, implode(",", array_keys($discounts)));
				if ($discount)
				{
					return $discounts[$discount];
				}
			}

			// проверяем установлена ли скидка на все товары
			$discount = DB::query_result("SELECT discount_id FROM {shop_discount_object} WHERE cat_id=0 AND good_id=0 AND discount_id IN (%h) ORDER BY id ASC LIMIT 1", implode(",", array_keys($discounts)));
			if ($discount)
			{
				return $discounts[$discount];
			}
		}
		return 0;
	}
}