<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Clauses_admin
 *
 * Редактирование статей
 */
class Clauses_admin extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'clauses';

	/**
	 * @var string таблица в базе данных
	 */
	public $table = 'clauses'; 

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		//поля в базе данных для редактирования
		$this->variable_table = array(
			'name'        => 'text',
			'created'     => 'datetime',
			'images'      => 'module',
			'act'         => 'checkbox',
			'tags'        => 'module',
			'comments'    => 'module',
			'rating'      => 'module',
			'cat_id'      => 'function',
			'hr1'         => 'hr',
			'menu'        => 'module',
			'number'      => 'function',
			'timeedit'    => 'function',
			'title_meta'  => 'text',
			'keywords'    => 'text',
			'descr'       => 'textarea',
			'rewrite'     => 'function',
			'site_id'     => 'function',
			'prior'       => 'checkbox',
			'map_no_show' => 'checkbox',
			'hr2'         => 'hr',
			'anons'       => 'editor',
			'text'        => 'editor'
		);

		//поля, которые прячутся в Дополнительно
		$this->variable_other = array(
			'keywords'    => 1,
			'title_meta'  => 1,
			'descr'       => 1,
			'prior'       => 1,
			'site_id'     => 1,
			'rewrite'     => 1,
			'timeedit'    => 1,
			'number'      => 1,
			'hr1'         => 1,
			'map_no_show' => 1,
			'menu'        => 1
		);

		//переводимые поля
		$this->language_names = array(
			'name',
			'title_meta',
			'anons',
			'act',
			'keywords',
			'descr',
			'text'
		);
		
		$this->config_module = array(
			'act'              => 1, //показать/скрыть
			'menu'             => 1, //используется в меню
			'del'              => 1, //удалить
			'date'             => 1, //показывать дату в списке, сортировать по дате
			'prior'            => 1, //сортировать по полю приоритет
			'element_site'     => 1, //модуль может быть прикреплен к нескольким страницам
			'element'          => $this->diafan->configmodules("cat", "clauses", $this->diafan->site) ? 1 : 0, //используются группы
			'element_multiple' => $this->diafan->configmodules("cat", "clauses", $this->diafan->site) ? 1 : 0, //модуль может быть прикреплен к нескольким группам
			'search_name'      => 1, //искать по названию
			'trash'            => 1  //использовать корзину
		);
		
		//выводить в списке содержание полей:
		$this->config_other_row = array(
			'anons',
			'text'
		);

		//высота поля для Визуального редактора
		$this->editor_height = array(
			'anons'   => 200,
			'text'    => 400
		);
	}

	/**
	 * Выводит список статей
	 * @return boolean true
	 */
	public function show_module()
	{
		
		if ($this->config_module['element'] && ! $this->not_empty_categories)
		{
			echo '<p class="red">'.sprintf(_ADMIN_CLAUSES_EMPTY_CATEGORIES, '<a href="'.BASE_PATH_HREF.'clauses/category/'.($this->diafan->site ? 'site'.$this->diafan->site.'/' : '').'">', '</a>').'</p>';
		}
		else
		{
			$this->addnew_init(_ADMIN_CLAUSES_ADD);
		}
		echo '<table class="list">';
			$this->list_row();
		echo '</table>';

		return TRUE;
	}
}