<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Clauses_view
 *
 * Шаблон модуля "Статьи"
 */
class Clauses_view extends View
{
	/**
	 * Шаблон списка статей
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean true
	 */
	public function list_($result)
	{
		echo '<div class="clauses_list">';

		//описание текущей категории
		if (! empty($result["text"]))
		{
			echo '<div class="clauses_cat_text">'.$result["text"].'</div>';
		}

		//изображения текущей категории
		if (! empty($result["img"]))
		{
			echo '<div class="clauses_cat_all_img">';
			foreach ($result["img"] as $img)
			{
				switch($img["type"])
				{
					case 'animation':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$result["id"].'clauses]">';
						break;
					case 'big_image':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
						break;
					default:
						echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
						break;
				}
				echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
				.'</a> ';
			}
			echo '</div>';
		}

		//подкатегории
		if (! empty($result["children"]))
		{
			foreach ($result["children"] as $child)
			{
				echo '<div class="clauses_cat_link">';

				//изображение подкатегории
				if (! empty($child["img"]))
				{
					echo '<div class="clauses_cat_img">';
					foreach ($child["img"] as $img)
					{
						switch($img["type"])
						{
							case 'animation':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$child["id"].'clauses]">';
								break;
							case 'big_image':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
								break;
							default:
								echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
								break;
						}
						echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
						.'</a> ';
					}
					echo '</div>';
				}

				//название и ссылка подкатегории
				echo '<a href="'.BASE_PATH_HREF.$child["link"].'">'.$child["name"].'</a>';

				//краткое описание подкатегории
				if ($child["anons"])
				{
					echo '<div class="clauses_cat_anons">'.$child["anons"].'</div>';
				}
				echo '</div>';
			}
		}

		//статьи
		if (! empty($result["rows"]))
		{
			foreach ($result["rows"] as $row)
			{
				echo '<div class="clauses">';

				//изображения статьи
				if (! empty($row["img"]))
				{
					echo '<div class="clauses_img">';
					foreach ($row["img"] as $img)
					{
						switch($img["type"])
						{
							case 'animation':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'clauses]">';
								break;
							case 'big_image':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
								break;
							default:
								echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
								break;
						}
						echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
						.'</a> ';
					}
					echo '</div>';
				}

				//дата статьи
				if (! empty($row['date']))
				{
					echo '<div class="clauses_date">'.$row["date"]."</div>";
				}

				//название и ссылка статьи
				echo '<div class="clauses_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a></div>';

				//анонс статьи
				if (! empty($row["anons"]))
				{
					echo '<div class="clauses_anons">'.$row["anons"].'</div>';
				}

				//рейтинг статьи
				if (! empty($row["show_rating"]))
				{
					echo $row["show_rating"];
				}

				//теги статьи
				if (! empty($row["tags"]))
				{
					echo $row["tags"];
				}
				echo '</div>';
			}
			echo '<div class="clear"></div>';
		}

		//постраничная навигация
		if (! empty($result["paginator"]))
		{
			echo $result["paginator"];
		}

		//ссылки на предыдущую и последующую категории
		if (! empty($result["previous"]) || ! empty($result["next"]))
		{
			echo '<div class="previous_next_links">';
			if (! empty($result["previous"]))
			{
				echo '<div class="previous_link"><a href="'.BASE_PATH_HREF.$result["previous"]["link"].'">&larr; '.$result["previous"]["text"].'</a></div>';
			}
			if (! empty($result["next"]))
			{
				echo '<div class="next_link"><a href="'.BASE_PATH_HREF.$result["next"]["link"].'">'.$result["next"]["text"].' &rarr;</a></div>';
			}
			echo '</div>';
		}

		//комментарии к категориям
		if (! empty($result["comments"]))
		{
			echo $result["comments"];
		}
		echo '</div>';

		return TRUE;
	}

	/**
	 * Шаблон первой страницы модуля "Статьи"
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean
	 */
	public function first_page($result)
	{
		if (empty($result["categories"]))
			return FALSE;

		//категории
		foreach ($result["categories"] as $cat_id => $cat)
		{
			echo '<div class="clauses_list">';

			//название категории
			echo '<h2>'.$cat["name"].'</h2>';

			//изображения категории
			if (! empty($cat["img"]))
			{
				echo '<div class="clauses_cat_img">';
				foreach ($cat["img"] as $img)
				{
					switch($img["type"])
					{
						case 'animation':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$cat_id.'clauses]">';
							break;
						case 'big_image':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
							break;
						default:
							echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
							break;
					}
					echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
					.'</a> ';
				}
				echo '</div>';
			}

			//краткое описание категории
			if (! empty($cat["anons"]))
			{
				echo '<div class="clauses_cat_anons">'.$cat["anons"].'</div>';
			}

			//подкатегории
			if (! empty($cat["children"]))
			{
				foreach ($cat["children"] as $child)
				{
					echo '<div class="clauses_cat_link">';

					//изображения подкатегории
					if (! empty($child["img"]))
					{
						echo '<div class="clauses_cat_img">';
						foreach ($child["img"] as $img)
						{
							switch($img["type"])
							{
								case 'animation':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$child["id"].'clauses]">';
									break;
								case 'big_image':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
									break;
								default:
									echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
									break;
							}
							echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
							.'</a> ';
						}
						echo '</div>';
					}

					//название и ссылка подкатегории
					echo '<a href="'.BASE_PATH_HREF.$child["link"].'">'.$child["name"].'</a>';

					//краткое описание подкатегории
					if (! empty($child["anons"]))
					{
						echo '<div class="clauses_cat_anons">'.$child["anons"].'</div>';
					}
					echo '</div>';
				}
			}
			
			//статьи в категории
			if ($cat["rows"])
			{
				foreach ($cat["rows"] as $row)
				{
					echo '<div class="clauses">';

					//изображения статьи
					if (! empty($row["img"]))
					{
						echo '<div class="clauses_img">';
						foreach ($row["img"] as $img)
						{
							switch($img["type"])
							{
								case 'animation':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'clauses]">';
									break;
								case 'big_image':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
									break;
								default:
									echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
									break;
							}
							echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
							.'</a> ';
						}
						echo '</div>';
					}

					//дата статьи
					if (! empty($row['date']))
					{
						echo '<div class="clauses_date">'.$row["date"]."</div>";
					}

					//название и ссылка статьи
					echo '<div class="clauses_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a></div>';

					//анонс статьи
					if (! empty($row["anons"]))
					{
						echo '<div class="clauses_anons">'.$row["anons"].'</div>';
					}

					//рейтинг статьи
					if (! empty($row["show_rating"]))
					{
						echo $row["show_rating"];
					}

					//теги статьи
					if (! empty($row["tags"]))
					{
						echo $row["tags"];
					}
					echo '</div>';
				}
			}

			//ссылка на все статьи в категории
			if ($cat["link_all"])
			{
				echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$cat["link_all"].'">'
				.$this->_('SHOW_ALL_CLAUSES_IN_CATEGORY').' '.$this->_('LQUOT').$cat["name"].$this->_('RQUOT')
				.'</a></div>';
			}
			echo '</div>';
		}

		return TRUE;
	}

	/**
	 * Шаблон страницы статьи
	 * 
	 * @param array $row данные, сгенерированные в моделе
	 * @return boolean true
	 */
	public function id($row)
	{
		echo '<div class="clauses_id">';

		//рейтинг статьи
		if (! empty($row["show_rating"]))
		{
			echo $row["show_rating"];
		}
		
		//дата статьи
		if (! empty($row["date"]))
		{
			echo '<div class="clauses_date">'.$row["date"]."</div>";
		}

		//анонс статьи
		if ($row['anons'])
		{
			echo '<div class="clauses_anons">'.$row['anons'].'</div>';
		}

		//описание статьи
		echo '<div class="clauses_text">'.$row['text'].'</div>';

		//теги статьи
		if (! empty($row["tags"]))
		{
			echo $row["tags"];
		}

		//изображения статьи
		if (! empty($row["img"]))
		{
			echo '<div class="clauses_all_img">';
			foreach ($row["img"] as $img)
			{
				switch($img["type"])
				{
					case 'animation':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'clauses]">';
						break;
					case 'big_image':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
						break;
					default:
						echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
						break;
				}
				echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
				.'</a> ';
			}
			echo '</div>';
		}

		//форма оценки рейтинга статьи
		if (! empty($row["add_rating"]))
		{
			echo $row["add_rating"];
		}

		//ссылки на предыдущую и последующую статью
		if (! empty($row["previous"]) || ! empty($row["next"]))
		{
			echo '<div class="previous_next_links">';
			if (! empty($row["previous"]))
			{
				echo '<div class="previous_link"><a href="'.BASE_PATH_HREF.$row["previous"]["link"].'">&larr; '.$row["previous"]["text"].'</a></div>';
			}
			if (! empty($row["next"]))
			{
				echo '<div class="next_link"><a href="'.BASE_PATH_HREF.$row["next"]["link"].'">'.$row["next"]["text"].' &rarr;</a></div>';
			}
			echo '</div>';
		}

		//ссылки на все статьи
		if (! empty($row["allclauses"]))
		{
			echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$row["allclauses"]["link"].'">'.$this->_('BACK_TO_LIST').'</a></div>';
		}

		//комментарии к статье
		if (! empty($row["comments"]))
		{
			echo $row["comments"];
		}
		echo '</div>';

		return TRUE;
	}

	/**
	 * Шаблонная функция: блок статей
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean
	 */
	public function show_block($result)
	{
		if (empty($result["rows"]))
		{
			return FALSE;
		}
		echo '<div class="clauses_block">';

		//заголовок блока
		if (! empty($result["name"]))
		{
			echo '<h2>'.$result["name"].'</h2>';
		}

		//статьи
		foreach ($result["rows"] as $row)
		{
			echo '<div class="clauses">';

			//изображения статьи
			if (! empty($row["img"]))
			{
				echo '<div class="clauses_img">';
				foreach ($row["img"] as $img)
				{
					switch($img["type"])
					{
						case 'animation':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'clauses]">';
							break;
						case 'big_image':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
							break;
						default:
							echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
							break;
					}
					echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
					.'</a> ';
				}
				echo '</div>';
			}

			//дата статьи
			if (! empty($row["date"]))
			{
				echo '<div class="clauses_date">'.$row["date"].'</div>';
			}

			//название и ссылка статьи
			echo '<div class="clauses_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row['name'].'</a></div>';

			//анонс новости
			echo '<div class="clauses_anons">'.$row['anons'].'</div>';
			echo '</div>';
		}

		//ссылка на все статьи
		if (! empty($result["link_all"]))
		{
			echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$result["link_all"].'">';
			if ($result["category"])
			{
				echo $this->_('SHOW_ALL_CLAUSES_IN_CATEGORY').' '.$this->_('LQUOT').$result["name"].$this->_('RQUOT');
			}
			else
			{
				echo $this->_('ALL_CLAUSES');
			}
			echo '</a></div>';
		}
		echo '</div>';

		return TRUE;
	}
}