<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Comments_admin_del
 * 
 * Удаление прикрепленных изображений
 */
class Comments_admin_del
{
	/**
	 * Помечает комментарии на удаление или удаляет комментарии
	 * 
	 * @param string $module_name название модуля, к которому прикреплены комментарии
	 * @param integer $element_id номер элемента, к которому прикреплены комментарии
	 * @param integer $trash_id номер записи в корзине, с которой связано удаление
	 * @param integer $is_category удаляемый элемент - категория
	 * @return boolean true
	 */
	public static function delete($th, $module_name, $element_id, $trash_id = 0, $is_category = FALSE)
	{
		if ($is_category)
		{
			$th->del_or_trash_where("comments", "element_id='".$element_id."' AND module_name='".$module_name."_category'", $trash_id);
			$th->diafan->_cache->delete("","comments");
		}
		else
		{
			$th->del_or_trash_where("comments", "element_id='".$element_id."' AND module_name='".$module_name."'", $trash_id);
			$th->diafan->_cache->delete("", "comments");
		}
		return TRUE;
	}
}