<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Сomments_inc
 *
 * Подключение модуля "Комментарии"
 */
class Comments_inc extends Model
{
	/**
	 * @var array сгенерированные в моделе данные, передаваемые в шаблон
	 */
	private $result;

	/**
	 * @var object основной объект системы
	 */
	protected $diafan;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct(&$diafan)
	{
		$this->diafan = &$diafan;
	}

	/**
	 * Показывает комментарии, прикрепленные к элементу, и форму добавления комментария
	 *
	 * @param integer $element_id номер элемента
	 * @param string $module_name модуль
	 * @return string|boolean false
	 */
	public function get()
	{
		$id = $this->diafan->module
		      ? ($this->diafan->show ? $this->diafan->show : $this->diafan->cat)
		      : $this->diafan->cid;

		$module_name = $this->diafan->module
		               ? $this->diafan->module.(! $this->diafan->show ? "_category" : '')
		               : 'site';

		////navigation//
		$this->diafan->_paginator->page       = $this->diafan->comments;
		$this->diafan->_paginator->nastr = $this->diafan->configmodules("nastr", 'comments');
		$this->diafan->_paginator->urlpage = 'comments%d/';
		$this->diafan->_paginator->navlink = $this->diafan->_route->current_link('comments');
		$this->diafan->_paginator->navlink_tpl = $this->diafan->_route->current_link("", array("comments" => "%d"));
		$this->diafan->_paginator->nen = DB::query_result("SELECT COUNT(id) FROM {comments} WHERE module_name='%h'"
		                                                  ." AND element_id='%d' and act='1' AND trash='0'", $module_name, $id);
		$links = $this->diafan->_paginator->get();
		////navigation///

		$result_ = DB::query_range("SELECT created, user_id, text, id FROM {comments} WHERE module_name='%h' AND element_id='%d'"
		                          ." AND act='1' AND trash='0' ORDER BY created ASC",
		                          $module_name, $id, $this->diafan->_paginator->polog, $this->diafan->_paginator->nastr);
		$result["rows"] = array();
		while ($row = DB::fetch_array($result_))
		{
			$row['date'] = $this->diafan->_useradmin->get($this->format_date($row['created'], "comments"), 'created', $row["id"], 'comments');
			unset($row['created']);
			if ($this->diafan->configmodules('user_name', 'comments') && $row["user_id"])
			{
				$row["name"] = $this->get_author($row["user_id"]);
			}
			$row["text"] = $this->diafan->_useradmin->get(nl2br($row["text"]), 'text', $row["id"], 'comments');
			$result["rows"][] = $row;
		}

		$result["paginator"] = $this->diafan->_tpl->get('get', 'paginator', $links);

		if (! empty($_POST["module"]) && $_POST["module"] == "comments")
		{
			include_once(ABSOLUTE_PATH.'plugins/json.php');
			$result["new"] = TRUE;
			$json["content"] = $this->diafan->_tpl->get('get', 'comments', $result);
			echo to_json($json);
			exit;
		}
		else
		{
			$text = $this->diafan->_tpl->get('get', 'comments', $result);
			if (! $this->diafan->configmodules('security_user', 'comments') || $this->diafan->_user->id)
			{
				$this->result["first"] = count($result["rows"]) ? FALSE : TRUE;
				$this->result["captcha"] = '';
				if ($this->diafan->configmodules('security_code', 'comments') == 1)
				{
					$this->result["captcha"] = $this->diafan->_captcha->get("comments", $this->get_error("comments", "code"));
				}
				$this->result["error"]  = $this->get_error("comments");
				$text .= $this->diafan->_tpl->get('form', 'comments', $this->result);
			}
			return $text;
		}
	}
}