<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Comments_view
 *
 * Шаблон модуля "Комментарии"
 */
class Comments_view extends View
{
	/**
	 * Шаблон формы добавления комментария
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return string
	 */
	public function form($result)
	{
		$text = '<form method="POST" action="" id="comments" class="ajax comments_form">

		<h2>'.$this->_('ADD_COMMENTS').'</h2>

		<input type="hidden" name="module" value="comments">
		<input type="hidden" name="ajax" value="0" class="ajax">';

		if ($result["first"])
		{
			$text .= '<input type="hidden" name="first" value="1">';
		}

		$text .= '<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>
		<textarea name="comment" class="inptext"></textarea><br>';

		//Защитный код
		$text .= $result["captcha"];

		//Кнопка Отправить
		$text .= '<input type="submit" value="'.$this->_('SEND', FALSE).'" class="button">'
		.'</form>';
		return $text;
	}

	/**
	 * Шаблон вывода комментариев
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return string
	 */
	public function get($result)
	{
		$text = '';
		if ($result["rows"] && empty($result["new"]))
		{
			$text .= '<h2>'.$this->_('COMMENTS').'</h2>';
		}

		if ($result["rows"])
		{
			if (empty($result["new"]))
			{
				$text .= '<div class="comments">';
			}
			foreach ($result["rows"] as $row)
			{
				if (! empty($row["name"]))
				{
					$text .= '<div class="comments_name">';
					if (! empty($row["name"]["avatar"]))
					{
						$text .= '<img src="'.$row["name"]["avatar"].'" width="'.$row["name"]["avatar_width"].'" height="'.$row["name"]["avatar_height"].'" alt="'.$row["name"]["fio"].' ('.$row["name"]["name"].')" class="avatar"> ';
					}
					$text .= $row["name"]["fio"].' ('.$row["name"]["name"].')</div>';
				}
				if ($row['date'])
				{
					$text .= '<div class="comments_date">'.$row['date'].'</div>';
				}
				$text .= '<div class="comments_text">'.$row['text']."</div>"
				;
			}

			if (! empty($result["paginator"]))
			{
				$text .= $result["paginator"];
			}

			if (empty($result["new"]))
			{
				$text .= '</div>
				<script type="text/javascript" src="'.BASE_PATH.'modules/comments/comments.js"></script>';
			}
		}
		return $text;
	}
}