<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Config_admin
 *
 * Настройка параметров сайта
 */
class Config_admin extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		foreach ($this->diafan->language_all as $l => $langarr)
		{
			define('_ADMIN_CONFIG_TITLE_'.$langarr[0], _ADMIN_CONFIG_TITLE.($langarr[1] ? ' ('.$langarr[1].')' : ''));
			$this->variable_table['base']['title_'.$langarr[0]] = 'text';
		}

		//поля в базе данных для редактирования
		$this->variable_table['base']['hr1']               = 'hr';
		$this->variable_table['base']['db_host']           = 'text';
		$this->variable_table['base']['db_name']           = 'text';
		$this->variable_table['base']['db_user']           = 'text';
		$this->variable_table['base']['db_pass']           = 'text';
		$this->variable_table['base']['db_prefix']         = 'text';
		$this->variable_table['base']['db_charset']        = 'disabled';

		$this->variable_table['base']['hr2']               = 'hr';
		$this->variable_table['base']['email']             = 'text';
		$this->variable_table['base']['htmleditor']        = 'checkbox';
		$this->variable_table['base']['userfiles']         = 'text';
		$this->variable_table['base']['language']          = 'disabled';
		$this->variable_table['base']['admin_folder']      = 'text';
		$this->variable_table['base']['useradmin']         = 'checkbox';

		$this->variable_table['base']['hr3']               = 'hr';
		$this->variable_table['base']['route_end']         = 'text';
		$this->variable_table['base']['route_auto_module'] = 'checkbox';

		$this->variable_table['base']['hr4']               = 'hr';
		$this->variable_table['base']['ftp_host']          = 'text';
		$this->variable_table['base']['ftp_login']         = 'text';
		$this->variable_table['base']['ftp_password']      = 'text';
		$this->variable_table['base']['ftp_dir']           = 'text';

		$this->variable_table['base']['hr5']               = 'hr';
		$this->variable_table['base']['smtp_mail']         = 'checkbox';
		$this->variable_table['base']['smtp_host']         = 'text';
		$this->variable_table['base']['smtp_login']        = 'text';
		$this->variable_table['base']['smtp_password']     = 'text';
		$this->variable_table['base']['smtp_port']         = 'text';
		$this->variable_table['base']['timezone']          = 'text';
		
		
		
		$this->variable_table['mod_developer'] = array(
			'mod_developer'              => 'checkbox',
			'mod_developer_cache'        => 'checkbox',
			'mod_developer_delete_cache' => 'checkbox',
			'mod_developer_profiling'    => 'checkbox'
		);

		$this->config_module = array(
			'no_out'   => 1, //не отображать кнопки Сохранить и выйти, Выйти без сохранения
			'tab_card' => 1
		);

		$this->show_tr_click_checkbox = array(
			'smtp_mail' => array(
						'smtp_host',
						'smtp_login',
						'smtp_password',
						'smtp_port'
			)
		);
		
		$this->diafan->edit = 1;
	}

	/**
	 * Выводит форму редактирования параметров сайта
	 * @return boolean true
	 */
	public function edit_module()
	{
		if (file_exists(ABSOLUTE_PATH.'config.php') &&  ! is_writable(ABSOLUTE_PATH.'config.php'))
		{
			echo '<p><font color="red" size="3">'._ADMIN_CONFIGFILE_NO_PERMISSION.'</font></p>';
		}
		parent::edit_module();

		return TRUE;
	}

	/**
	 * Задает значения полей для формы
	 * 
	 * @return array
	 */
	protected function get_values()
	{
		$url = parse_url(DB_URL);

		$array = array(
			'db_host'                    => urldecode($url['host']),
			'db_user'                    => urldecode($url['user']),
			'db_pass'                    => isset($url['pass']) ? urldecode($url['pass']) : '',
			'db_name'                    => substr(urldecode($url['path']), 1),
			'db_prefix'                  => DB_PREFIX,
			'email'                      => EMAIL_CONFIG,
			'db_charset'                 => DB_CHARSET,
			'htmleditor'                 => HTMLEDITOR,
			'userfiles'                  => USERFILES,
			'language'                   => LANGUAGE_BASE,
			'admin_folder'               => ADMIN_FOLDER,
			'useradmin'                  => USERADMIN,
			'mod_developer'              => MOD_DEVELOPER,
			'mod_developer_profiling'    => MOD_DEVELOPER_PROFILING,
			'mod_developer_cache'        => MOD_DEVELOPER_CACHE,
			'mod_developer_delete_cache' => FALSE,

			'route_end'                  => ROUTE_END,
			'route_auto_module'          => ROUTE_AUTO_MODULE,

			'ftp_host'                   => FTP_HOST,
			'ftp_login'                  => FTP_LOGIN,
			'ftp_password'               => FTP_PASSWORD,
			'ftp_dir'                    => FTP_DIR,
			
			'smtp_mail'                  => defined('SMTP_MAIL') ? SMTP_MAIL : FALSE,
			'smtp_host'                  => defined('SMTP_HOST') ? SMTP_HOST : '',
			'smtp_login'                 => defined('SMTP_LOGIN') ? SMTP_LOGIN : '',
			'smtp_password'              => defined('SMTP_PASSWORD') ? SMTP_PASSWORD : '',
			'smtp_port'                  => defined('SMTP_PORT') ? SMTP_PORT : '',
			'timezone'                   => defined('TIMEZONE') ? TIMEZONE : ''
		);

		foreach ($this->diafan->language_all as $l => $langarr)
		{
			$array['title_'.$langarr[0]] = (defined('TIT'.$langarr[0]) ? constant('TIT'.$langarr[0]) : '');
		}

		return $array;
		
	}

	/**
	 * Сохраняет файл конфигурации
	 * 
	 * @return boolean
	 */
	public function save_module()
	{
		// Прошел ли пользователь проверку идентификационного хэша
		if (! $this->diafan->_user->checked)
		{
			$this->diafan->redirect(URL);
			return FALSE;
		}

		//проверка прав на сохранение
		if ($this->diafan->admin_roles('save'))
		{
			$this->diafan->redirect(URL);
			return FALSE;
		}

		$url = parse_url(DB_URL);
		$diafan_user = urldecode($url['user']);
		if (isset($url['pass']))
		{
			$diafan_pass = urldecode($url['pass']);
		}
		else
		{
			$diafan_pass = '';
		}
		$diafan_host = urldecode($url['host']);
		$diafan_dbname = substr(urldecode($url['path']), 1);

		$dir_url_path = '';

		if ($_SERVER['REQUEST_URI'] != "/".ADMIN_FOLDER."/config/save1/")
		{
			$dir_url_path = str_replace("/".ADMIN_FOLDER."/config/save1/", "", $_SERVER['REQUEST_URI']);
		}

		$admin_folder = substr($this->diafan->get_param($_POST, "admin_folder", ADMIN_FOLDER, 1), 0, 20);

		include_once(ABSOLUTE_PATH.'includes/validate.php');
		$new_values = array(
				'DB_URL' => 'mysql://'.str_replace('"', '&quot;', $this->diafan->get_param($_POST, "db_user", $diafan_user, 1))
				            .($_POST["db_pass"] ? ":".str_replace('"', '&quot;', $this->diafan->get_param($_POST, "db_pass_update", $diafan_pass, 1)) : '')
				            ."@".str_replace('"', '&quot;', $this->diafan->get_param($_POST, "db_host", $diafan_host, 1))
				            ."/".str_replace('"', '&quot;', $this->diafan->get_param($_POST, "db_name", $diafan_dbname, 1)),
				'DB_PREFIX' => str_replace('"','&quot;', $this->diafan->get_param($_POST, "db_prefix", DB_PREFIX, 1)),
				'EMAIL_CONFIG' => (! Validate::mail($_POST["email"]) ? str_replace('"','&quot;', $this->diafan->get_param($_POST, "email", EMAIL_CONFIG, 1)) : ''),
				'HTMLEDITOR' => (! empty($_POST["htmleditor"]) ? TRUE : FALSE),
				'USERFILES' => $this->diafan->get_param($_POST, "userfiles", USERFILES, 1),
				'ADMIN_FOLDER' => $admin_folder,
				'USERADMIN' => (! empty($_POST["useradmin"]) ? TRUE : FALSE),
				'MOD_DEVELOPER' => (! empty($_POST["mod_developer"]) ? TRUE : FALSE),
				'MOD_DEVELOPER_CACHE' => (! empty($_POST["mod_developer_cache"]) ? TRUE : FALSE),
				'MOD_DEVELOPER_PROFILING' => (! empty($_POST["mod_developer_profiling"]) ? TRUE : FALSE),
				'FTP_HOST' => $this->diafan->get_param($_POST, "ftp_host", FTP_HOST, 1),
				'FTP_DIR' => $this->diafan->get_param($_POST, "ftp_dir", FTP_DIR, 1),
				'FTP_LOGIN' => $this->diafan->get_param($_POST, "ftp_login", FTP_LOGIN, 1),
				'FTP_PASSWORD' => $this->diafan->get_param($_POST, "ftp_password", FTP_PASSWORD, 1),
				'SMTP_MAIL' => (! empty($_POST["smtp_mail"]) ? TRUE : FALSE),
				'SMTP_HOST' => $this->diafan->get_param($_POST, "smtp_host", "", 1),
				'SMTP_LOGIN' => $this->diafan->get_param($_POST, "smtp_login", "", 1),
				'SMTP_PASSWORD' => $this->diafan->get_param($_POST, "smtp_password", "", 1),
				'SMTP_PORT' => $this->diafan->get_param($_POST, "smtp_port", "", 1),
				'TIMEZONE' => $this->diafan->get_param($_POST, "timezone", "", 1),
				'ROUTE_END' => $this->diafan->get_param($_POST, "route_end", "", 1),
				'ROUTE_AUTO_MODULE' => (! empty($_POST["route_auto_module"]) ? TRUE : FALSE)
			);
		foreach ($this->diafan->language_all as $l => $langarr)
		{
			$new_values['TIT'.$langarr[0]] = str_replace('"', '', htmlspecialchars(stripslashes($this->diafan->get_param($_POST, "title_".$langarr[0], '', 1))));
		}
		include_once(ABSOLUTE_PATH.'includes/config.php');
		Config::save($new_values, $this->diafan->language_all);

		if (! empty($_POST["mod_developer_delete_cache"]) || ROUTE_END != $this->diafan->get_param($_POST, "route_end", "", 1))
		{
			$this->diafan->_cache->delete("", array());
		}
		if ($admin_folder == ADMIN_FOLDER)
		{
			$this->diafan->redirect(URL.'error1/');
		}
		else
		{
			$this->diafan->redirect('http://'.BASE_URL.'/'.$admin_folder.'/config/error1/');
		}
		return TRUE;
	}
}
