<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Faq_admin_config
 *
 * Конфигурирование модуля "Вопрос-Ответ"
 */
class Faq_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'faq_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array(
			'cat'                    => 'checkbox',
			'nastr'                  => 'numtext',
			'count_list'             => 'numtext',
			'childrens_elements'     => 'checkbox',

			'hr1'                    => 'hr',
			'security'               =>'select',
			'format_date'            =>'select',
			'add_message'            =>'textarea',
			'error_insert_message'   =>'text',

			'hr2'                    => 'hr',
			'attachments'            => 'module',

			'hr3'                    => 'hr',
			'subject'                => 'text',
			'message'                => 'textarea',
			'emailconf'              => 'select',
			'email'                  => 'none',
			'sendmailadmin'          => 'checkbox',
			'emailconfadmin'         => 'function',
			'email_admin'            => 'none',
			'subject_admin'          => 'text',
			'message_admin'          => 'textarea',

			'hr4'                    => 'hr',
			'comments'               => 'module',
			'tags'                   => 'module',
			'rating'                 => 'module'
		);

		$this->language_names = array(
			'subject',
			'message',
			'add_message',
			'error_insert_message'
		);

		$this->config_module = array(
			'element_site' => 1, //делит элементы по разделам (страницы сайта, к которым прикреплен модуль)
			'config'       => 1  //файл настроек модуля
		);

		$this->select_arr["security"] = array(
			0 => _ADMIN_FORMAT_SECURITY_0,
			1 => _ADMIN_FORMAT_SECURITY_1,
			2 => _ADMIN_FORMAT_SECURITY_2
		);

		$this->select_arr["format_date"] = array(
			0 => _ADMIN_FORMAT_DATE_0,
			1 => _ADMIN_FORMAT_DATE_1,
			2 => _ADMIN_FORMAT_DATE_2,
			3 => _ADMIN_FORMAT_DATE_3,
			4 => _ADMIN_FORMAT_DATE_4
		);

		$this->show_tr_click_checkbox = array(
			'sendmailadmin' => array(
				'emailconfadmin',
				'subject_admin',
				'message_admin'
			),
			'cat' => array(
				'count_list',
				'childrens_elements'
			)
		);
	}
}