<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Feedback_view
 *
 * Шаблон модуля "Обратная связь"
 */
class Feedback_view extends View
{
	/**
	 * Шаблон формы добавления сообщения
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean true
	 */
	public function form($result)
	{
		echo '<form method="POST" enctype="multipart/form-data" action="" class="ajax feedback_form">
		<input type="hidden" name="module" value="feedback">
		<input type="hidden" name="site_id" value="'.$result["site_id"].'">
		<input type="hidden" name="ajax" value="0">';

		if (! empty($result["rows"]))
		{
			foreach ($result["rows"] as $row)
			{
				echo '<div class="feedback_form_param'.$row["id"].'">';
				if ($row["type"] == 'text' || $row["type"] == "email")
				{
					echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
					<input type="text" name="p'.$row["id"].'" size="40" value="" class="inptext">';
				}
				elseif ($row["type"] == 'textarea')
				{
					echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
					<textarea name="p'.$row["id"].'" class="inptext" rows="10" cols="30"></textarea>';
				}
				elseif ($row["type"] == 'date')
				{
					if (empty($timecalendar))
					{
						echo '<link rel="stylesheet" href="'.BASE_PATH.'css/timecalendar.css" />
						<script type="text/javascript" src="'.BASE_PATH.'js/timecalendar.js"></script>';
					}
					echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
					<input type="text" name="p'.$row["id"].'" size="20" value="" class="inptext timecalendar" showTime="false">';
					$timecalendar  = TRUE;
				}
				elseif ($row["type"] == 'numtext')
				{
					echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
					<input type="text" name="p'.$row["id"].'" size="5" value="" class="inpnum">';
				}
				elseif ($row["type"] == 'checkbox')
				{
					echo '<div class="infofield"><input type="checkbox" name="p'.$row["id"].'" value="1" class="inpcheckbox">
					'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').'</div>';
				}
				elseif ($row["type"] == 'select')
				{
					echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
					<select name="p'.$row["id"].'" class="inpselect">
						<option value="">-</option>';
					foreach ($row["select_array"] as $select)
					{
						echo '<option value="'.$select["id"].'">'.$select["name"].'</option>';
					}
					echo '</select>';
				}
				elseif ($row["type"] == 'multiple')
				{
					echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
					foreach ($row["select_array"] as $select)
					{
						echo '<br><input name="p'.$row["id"].'[]" value="'.$select["id"].'" class="inpcheckbox"> '.$select["name"];
					}
				}
				echo '<div class="feedback_form_param_text">'.$row["text"].'</div>
				</div>
				<div class="errors error_p'.$row["id"].'"'.($result["error_p".$row["id"]] ? '>'.$result["error_p".$row["id"]] : ' style="display:none">').'</div>';
			}
		}

		//Прикрепляемые файлы
		if ($result["attachments"])
		{
			echo '<div class="infofield">'.$this->_('ATTACHMENTS').':</div>
			<input type="file" name="attachments[]" class="inpfile" max="'.$result["max_count_attachments"].'">
			<div class="errors error_attachments"'.($result["error_attachments"] ? '>'.$result["error_attachments"] : ' style="display:none">').'</div><br>';
		}

		//Защитный код
		echo $result["captcha"];

		//Кнопка Отправить
		echo '<input type="submit" value="'.$this->_('SEND', FALSE).'" class="button" name="button">
		<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>';

		echo '</form>';

		return TRUE;
	}
}