<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Files_view
 *
 * Шаблон модуля "Файловый архив"
 */
class Files_view extends View
{
	/**
	 * Шаблон списка файлов
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean true
	 */
	public function list_($result)
	{
		echo '<div class="files_list">';

		//описание текущей категории
		if (! empty($result["text"]))
		{
			echo '<div class="files_cat_text">'.$result["text"].'</div>';
		}

		//изображения текущей категории
		if (! empty($result["img"]))
		{
			echo '<div class="files_cat_all_img">';
			foreach ($result["img"] as $img)
			{
				switch($img["type"])
				{
					case 'animation':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$result["id"].'files]">';
						break;
					case 'big_image':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
						break;
					default:
						echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
						break;
				}
				echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
				.'</a> ';
			}
			echo '</div>';
		}

		//подкатегории
		if (! empty($result["children"]))
		{
			foreach ($result["children"] as $child)
			{
				echo '<div class="files_cat_link">';

				//изображение подкатегории
				if (! empty($child["img"]))
				{
					echo '<div class="files_cat_img">';
					foreach ($child["img"] as $img)
					{
						switch($img["type"])
						{
							case 'animation':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$child["id"].'files]">';
								break;
							case 'big_image':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
								break;
							default:
								echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
								break;
						}
						echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
						.'</a> ';
					}
					echo '</div>';
				}

				//название и ссылка подкатегории
				echo '<a href="'.BASE_PATH_HREF.$child["link"].'">'.$child["name"].'</a>';

				//краткое описание подкатегории
				if ($child["anons"])
				{
					echo '<div class="files_cat_anons">'.$child["anons"].'</div>';
				}
				echo '</div>';
			}
		}

		//файлы
		if (! empty($result["rows"]))
		{
			foreach ($result["rows"] as $row)
			{
				echo '<div class="files">';

				//изображения файла
				if (! empty($row["img"]))
				{
					echo '<div class="files_img">';
					foreach ($row["img"] as $img)
					{
						switch($img["type"])
						{
							case 'animation':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'files]">';
								break;
							case 'big_image':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
								break;
							default:
								echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
								break;
						}
						echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
						.'</a> ';
					}
					echo '</div>';
				}

				//название и ссылка файла
				echo '<div class="files_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a>';
				//рейтинг файла
				if (! empty($row["show_rating"]))
				{
					echo ' '.$row["show_rating"];
				}
				echo '</div>';

				//краткое описание файла
				if (! empty($row["anons"]))
				{
					echo '<div class="files_anons">'.$row["anons"].'</div>';
				}

				//теги файла
				if (! empty($row["tags"]))
				{
					echo $row["tags"];
				}
				echo '</div>';
			}
			echo '<div class="clear"></div>';
		}

		//постраничная навигация
		if (! empty($result["paginator"]))
		{
			echo $result["paginator"];
		}

		//ссылки на предыдущую и последующую категории
		if (! empty($result["previous"]) || ! empty($result["next"]))
		{
			echo '<div class="previous_next_links">';
			if (! empty($result["previous"]))
			{
				echo '<div class="previous_link"><a href="'.BASE_PATH_HREF.$result["previous"]["link"].'">&larr; '.$result["previous"]["text"].'</a></div>';
			}
			if (! empty($result["next"]))
			{
				echo '<div class="next_link"><a href="'.BASE_PATH_HREF.$result["next"]["link"].'">'.$result["next"]["text"].' &rarr;</a></div>';
			}
			echo '</div>';
		}

		//комментарии к категориям
		if (! empty($result["comments"]))
		{
			echo $result["comments"];
		}
		echo '</div>';

		return TRUE;
	}

	/**
	 * Шаблон первой страницы фотогалереи
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean
	 */
	public function first_page($result)
	{
		if (empty($result["categories"]))
			return FALSE;

		//категории
		foreach ($result["categories"] as $cat_id => $cat)
		{
			echo '<div class="files_list">';

			//название категории
			echo '<h2>'.$cat["name"].'</h2>';

			//изображения категории
			if (! empty($cat["img"]))
			{
				echo '<div class="files_cat_img">';
				foreach ($cat["img"] as $img)
				{
					switch($img["type"])
					{
						case 'animation':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$cat_id.'files]">';
							break;
						case 'big_image':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
							break;
						default:
							echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
							break;
					}
					echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
					.'</a> ';
				}
				echo '</div>';
			}

			//краткое описание категории
			if (! empty($cat["anons"]))
			{
				echo '<div class="files_cat_anons">'.$cat["anons"].'</div>';
			}

			//подкатегории
			if (! empty($cat["children"]))
			{
				foreach ($cat["children"] as $child)
				{
					echo '<div class="files_cat_link">';

					//изображения подкатегории
					if (! empty($child["img"]))
					{
						echo '<div class="files_cat_img">';
						foreach ($child["img"] as $img)
						{
							switch($img["type"])
							{
								case 'animation':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$child["id"].'files]">';
									break;
								case 'big_image':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
									break;
								default:
									echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
									break;
							}
							echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
							.'</a> ';
						}
						echo '</div>';
					}

					//название и ссылка подкатегории
					echo '<a href="'.BASE_PATH_HREF.$child["link"].'">'.$child["name"].'</a>';

					//краткое описание подкатегории
					if (! empty($child["anons"]))
					{
						echo '<div class="files_cat_anons">'.$child["anons"].'</div>';
					}
					echo '</div>';
				}
			}

			//файлы в категории
			if ($cat["rows"])
			{
				foreach ($cat["rows"] as $row)
				{
					echo '<div class="files">';

					//изображения файла
					if (! empty($row["img"]))
					{
						echo '<div class="files_img">';
						foreach ($row["img"] as $img)
						{
							switch($img["type"])
							{
								case 'animation':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'files]">';
									break;
								case 'big_image':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
									break;
								default:
									echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
									break;
							}
							echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
							.'</a> ';
						}
						echo '</div>';
					}

					//название и ссылка файла
					echo '<div class="files_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a>';
					//рейтинг файла
					if (! empty($row["show_rating"]))
					{
						echo ' '.$row["show_rating"];
					}
					echo '</div>';

					//краткое описание файла
					if (! empty($row["anons"]))
					{
						echo '<div class="files_anons">'.$row["anons"].'</div>';
					}

					//теги файла
					if (! empty($row["tags"]))
					{
						echo $row["tags"];
					}
					echo '</div>';
				}
			}

			//ссылка на все файлы в категории
			if ($cat["link_all"])
			{
				echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$cat["link_all"].'">'
				.$this->_('SHOW_ALL_FILES_IN_CATEGORY').' '.$this->_('LQUOT').$cat["name"].$this->_('RQUOT')
				.'</a></div>';
			}
			echo '</div>';
		}

		return TRUE;
	}

	/**
	 * Шаблон страницы с файлом
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean true
	 */
	public function id($row)
	{	
		echo '<div class="files_id">';

		//рейтинг файла
		if (! empty($row["show_rating"]))
		{
			echo $row["show_rating"];
		}

		//размер файла
		if (! empty($row["size"]))
		{
			echo '<div class="files_size">('.$row["size"].')</div>';
		}

		//ссылка на скачивание файла
		if (! empty($row["link"]))
		{
			echo '<div class="files_download"><a href="'.$row["link"].'">'.$this->_('DOWNLOAD').'</a></div>';
		}

		//форма оценки рейтинга файла
		if (! empty($row["add_rating"]))
		{
			echo $row["add_rating"];
		}

		//краткое описание файла
		if ($row['anons'])
		{
			echo '<div class="files_anons">'.$row['anons'].'</div>';
		}

		//описание файла
		echo '<div class="files_text">'.$row['text'].'</div>';

		//теги файла
		if (! empty($row["tags"]))
		{
			echo $row["tags"];
		}

		//изображения файла
		if (! empty($row["img"]))
		{
			echo '<div class="files_all_img">';
			foreach ($row["img"] as $img)
			{
				switch($img["type"])
				{
					case 'animation':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'files]">';
						break;
					case 'big_image':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
						break;
					default:
						echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
						break;
				}
				echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
				.'</a> ';
			}
			echo '</div>';
		}

		//ссылки на предыдущий и последующий файл
		if (! empty($row["previous"]) || ! empty($row["next"]))
		{
			echo '<div class="previous_next_links">';
			if (! empty($row["previous"]))
			{
				echo '<div class="previous_link"><a href="'.BASE_PATH_HREF.$row["previous"]["link"].'">&larr; '.$row["previous"]["text"].'</a></div>';
			}
			if (! empty($row["next"]))
			{
				echo '<div class="next_link"><a href="'.BASE_PATH_HREF.$row["next"]["link"].'">'.$row["next"]["text"].' &rarr;</a></div>';
			}
			echo '</div>';
		}

		//комментарии к файлу
		if (! empty($row["comments"]))
		{
			echo $row["comments"];
		}
		echo '</div>';

		return TRUE;
	}

	/**
	 * Шаблонная функция: блок файлов
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean
	 */
	public function show_block($result)
	{
		if (empty($result["rows"]))
		{
			return FALSE;
		}
		echo '<div class="files_block">';

		//заголовок блока
		if (! empty($result["name"]))
		{
			echo '<h2>'.$result["name"].'</h2>';
		}
		
		//фaйлы
		foreach ($result["rows"] as $row)
		{
			echo '<div class="files">';

			//изображения файла
			if (! empty($row["img"]))
			{
				echo '<div class="files_img">';
				foreach ($row["img"] as $img)
				{
					switch($img["type"])
					{
						case 'animation':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'files]">';
							break;
						case 'big_image':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
							break;
						default:
							echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
							break;
					}
					echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
					.'</a> ';
				}
				echo '</div>';
			}

			//название и ссылка файла
			echo '<div class="files_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a></div>';

			//краткое описание файла
			if (! empty($row["anons"]))
			{
				echo '<div class="files_anons">'.$row["anons"].'</div>';
			}
			echo '</div>';
		}

		//ссылка на все файлы
		if (! empty($result["link_all"]))
		{
			echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$result["link_all"].'">';
			if ($result["category"])
			{
				echo $this->_('SHOW_ALL_FILES_IN_CATEGORY').' '.$this->_('LQUOT').$result["name"].$this->_('RQUOT');
			}
			else
			{
				echo $this->_('ALL_FILES');
			}
			echo '</a></div>';
		}
		echo '</div>';

		return TRUE;
	}
}