<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN') || ! defined("IS_INSTALL"))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Forum_install
 *
 * Установка модуля "Форум"
 */

$title = "Форум";

$sql = array(
	"CREATE TABLE {forum} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`author` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`parent_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`count_children` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
		`created` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`date_update` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`user_update` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`text` text NOT NULL DEFAULT '',
		`del` ENUM('0', '1') NOT NULL DEFAULT '0',
		`act` ENUM('0', '1') NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY `parent_id` (`parent_id`),
		KEY `element_id` (`cat_id`),
		KEY `author` (`author`)
	) CHARSET=utf8",

	"CREATE TABLE {forum_parents} (
		`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
		`element_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`parent_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`)
	) CHARSET=utf8",
	
	"CREATE TABLE {forum_category} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`author` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`parent_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`count_children` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
		`created` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`name` VARCHAR(250) NOT NULL DEFAULT '0',
		`date_update` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`user_update` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`message_update` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`del` ENUM('0', '1') NOT NULL DEFAULT '0',
		`act` ENUM('0', '1') NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		`prior` ENUM('0', '1') NOT NULL DEFAULT '0',
		`close` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY `author` (`author`)
	) CHARSET=utf8",

	"CREATE TABLE {forum_category_parents} (
		`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
		`element_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`parent_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`)
	) CHARSET=utf8",
	
	"CREATE TABLE {forum_show} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`user_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`table_name` ENUM('forum','forum_category') NOT NULL DEFAULT 'forum',
		PRIMARY KEY (`id`),
		KEY `element_id` (`element_id`,`table_name`),
		KEY `user_id` (`user_id`)
	) CHARSET=utf8",

	"INSERT INTO {site} (id,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		13,
		".multilang("'".$title."',", "'Forum',", "'',")."
		".multilang("'1',")."
		'13',
		'".time()."',
		'forum'
	);",

	"INSERT INTO {rewrite} (id, rewrite, module_name, site_id) VALUES (13, 'forum', 'site', 13)",
	
	"INSERT INTO {adminsite} (id, group_id, count_children, name, rewrite, text, act, numrow, sort) VALUES (
		40,
		'2',
		1,
		'Форум',
		'forum',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		759442,
		30
	);",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `numrow`, `sort`) VALUES (
		41,
		40,
		'2',
		'Настройки',
		'forum/config',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		56,
		41
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (41, 40)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'format_date', '5')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'nastr', '30')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'attachments', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'max_count_attachments', '5')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'attachment_extensions', 'doc, gif, jpg, mpg, pdf, png, txt, zip')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'recognize_image', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'attach_big_width', '1000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'attach_big_height', '1000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'attach_big_quality', '90')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'attach_medium_width', '1000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'attach_medium_height', '1000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'attach_medium_quality', '80')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('forum', 'use_animation', '1')",
	
	"INSERT INTO {forum_category} (`id`, `count_children`, `created`, `name`, `act`) VALUES (1, 1, ".time().", 'Главная категория форума', '1')",

	"INSERT INTO {forum_category} (`id`, `parent_id`, `created`, `name`, `act`) VALUES (2, 1, ".time().", 'Общий раздел', '1')",

	"INSERT INTO {forum_category_parents} (`element_id`, `parent_id`) VALUES (2, 1);"
);

$example = array(
	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		10,
		'site',
		13,
		1,
		".multilang("'Форум', ", "'Forum', ", "'', ")."
		".multilang("'1', ")."
		10
	)",
	
	"INSERT INTO {forum} (id, author, count_children, created, cat_id, text, act) VALUES (1, 2, 8, ".(time() - 5000).", 12, 'Мы привезли 3 новых желтых птицы из европейских бумажных зоопарков: коршуна, лебедя и голубя.\r<br><img src=http://cms.diafan.ru/files4.2/shop/medium/golub_51.jpg> <img src=http://cms.diafan.ru/files4.2/shop/medium/korshun_41.jpg> <img src=http://cms.diafan.ru/files4.2/shop/medium/lebed_48.jpg>', '1')",
	
	"INSERT INTO {forum} (id, author, parent_id, count_children, created, cat_id, text, act) VALUES (2, 1, 1, 5, ".(time() - 4000).", 12, 'А ценовой разброс какой? В магазине они еще не появились ((', '1')",
	
	"INSERT INTO {forum} (id, author, parent_id, count_children, created, cat_id, text, act) VALUES (3, 2, 2, 4, ".(time() - 3500).", 12, 'У коршуна 3 цены в зависимости от размера: 3 100, 3 200 и 3 500 руб. Голубь 900 руб. стоит, а вот лебедь 8 800 руб.', '1')",
	
	"INSERT INTO {forum} (id, author, parent_id, count_children, created, cat_id, text, act) VALUES (4, 1, 3, 3, ".(time() - 3000).", 12, 'Жалко, что лебедь такой дорогой. Мне он очень понравился, изящный такой.', '1')",
	
	"INSERT INTO {forum} (id, author, parent_id, count_children, created, cat_id, text, act) VALUES (5, 2, 4, 1, ".(time() - 2700).", 12, 'А Вы цаплю не рассматривали? Они по характеру похожи  и расцветочка тоже светлая. Мы рекомендуем как хорошую альтернативу', '1')",
	
	"INSERT INTO {forum} (id, author, parent_id, created, cat_id, text, act) VALUES (6, 1, 5, ".(time() - 1800).", 12, 'Спасибо! хорошая альтернатива!', '1')",
	
	"INSERT INTO {forum} (id, parent_id, created, cat_id, text, act) VALUES (7, 4, ".(time() - 1500).", 12, 'Лебедь и правда красив, но слишком гордый. Очень радует, что голубя привезли. Мы его уже 3 месяца ждем.', '1')",
	
	"INSERT INTO {forum} (id, parent_id, count_children, created, cat_id, text, act) VALUES (8, 1, 1, ".(time() - 1200).", 12, 'Завоз синих птиц не планируете? А то у Вас на сайте пока только орел. А мне хочется птичку подобрее.', '1')",
	
	"INSERT INTO {forum} (id, author, parent_id, created, cat_id, text, act) VALUES (9, 2, 8, ".(time() - 900).", 12, 'В следующем месяце ожидаем большой завоз птиц синего и коричневого цвета.', '1')",
	
	"INSERT INTO {forum} (id, author, count_children, created, cat_id, text, act) VALUES (10, 2, 2, ".(time() - 600).", 13, 'Заметили, что хищные птицы не особенно охотно покупаются. Если нужны, делайте заказ индивидуально на форуме, завезем.', '1')",
	
	"INSERT INTO {forum} (id, parent_id, created,cat_id, text, act) VALUES (11, 10, ".(time() - 300).",  13, 'Привезите, пожалуйста, большого белого грифа, хочу подарить мужу на день рожденье.', '1')",
	
	"INSERT INTO {forum} (id, parent_id, created, cat_id, text, act) VALUES (12, 10, ".time().", 13, 'А я мечтаю о соколе коричневого цвета. Очень буду благодарен, если привезете.', '1')",

	"UPDATE {forum_category} SET count_children=5, created=".time().", name='Разговоры о товарах' WHERE id=1",

	"UPDATE {forum_category} SET count_children=2, created=".(time() - 300).", name='Птицы' WHERE id=2",

	"INSERT INTO {forum_category} (id, count_children, created, name, act) VALUES (3, 2, ".(time() - 600).", 'Консультации', '1')",

	"INSERT INTO {forum_category} (id, count_children, created, name, act) VALUES (4, 3, ".(time() - 900).", 'Правила форума', '1')",

	"INSERT INTO {forum_category} (id, parent_id, created, name, act) VALUES (5, 1, ".(time() - 1200).", 'Звери', '1')",

	"INSERT INTO {forum_category} (id, parent_id, created, name, act) VALUES (6, 1, ".(time() - 1500).", 'Водоплавающие', '1')",

	"INSERT INTO {forum_category} (id, parent_id, created, name, act) VALUES (7, 3, ".(time() - 1800).", 'Ухода за животными', '1')",

	"INSERT INTO {forum_category} (id, parent_id, created, name, act) VALUES (8, 3, ".(time() - 2100).", 'Покупки', '1')",

	"INSERT INTO {forum_category} (id, parent_id, created, name, act) VALUES (9, 4, ".(time() - 2300).", 'О форуме', '1')",

	"INSERT INTO {forum_category} (id, parent_id, created, name, act) VALUES (10, 4, ".(time() - 2500).", 'О магазине', '1')",

	"INSERT INTO {forum_category} (id, parent_id, created, name, act) VALUES (11, 4, ".(time() - 3000).", 'Обо всём', '1')",

	"INSERT INTO {forum_category} (id, author, parent_id, created, name, message_update, act) VALUES (12, 2, 2, ".(time() - 5000).", 'Новое поступление желтых птиц', ".(time() - 1200).", '1')",

	"INSERT INTO {forum_category} (id, author, parent_id, created, name, message_update, act) VALUES (13, 2, 2, ".(time() - 600).", 'Хищные птицы', ".time().", '1')",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (3, 2, 1)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (5, 1)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (6, 1)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (7, 3)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (8, 3)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (9, 4)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (10, 4)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (11, 4)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (12, 1)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (12, 2)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (13, 1)",

	"INSERT INTO {forum_category_parents} (element_id, parent_id) VALUES (13, 2)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (2, 1)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (3, 1)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (3, 2)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (4, 2)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (4, 1)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (4, 3)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (5, 3)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (5, 1)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (5, 2)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (5, 4)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (6, 4)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (6, 2)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (6, 1)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (6, 3)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (6, 5)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (7, 3)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (7, 1)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (7, 2)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (7, 4)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (8, 1)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (9, 1)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (9, 8)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (11, 10)",

	"INSERT INTO {forum_parents} (element_id, parent_id) VALUES (12, 10)"

);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_forum()
{
	$folders = array('forum', 'forum/files', 'forum/imgs', 'forum/imgs/small');
	foreach ($folders as $folder)
	{
		if (! is_dir(ABSOLUTE_PATH.USERFILES.'/'.$folder))
		{
			mkdir(ABSOLUTE_PATH.USERFILES.'/'.$folder, 0777);
		}
	}

	$text = 'Options -Indexes
<files *>
deny from all
</files>';

	$fp = fopen(ABSOLUTE_PATH.USERFILES.'/forum/files/.htaccess', "w");
	fwrite($fp, $text);
	fclose($fp);
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_forum()
{
	$module = 'forum';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DROP TABLE {".$module."_parents};");
	DB::query("DROP TABLE {".$module."_category_parents};");
	DB::query("DROP TABLE {".$module."_show};");
	$site_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {site} WHERE addmodule='".$module."'");
	if ($site_ids)
	{
		DB::query("DELETE FROM {site} WHERE id IN (".$site_ids.")");
		DB::query("DELETE FROM {site_parents} WHERE element_id IN (".$site_ids.")");
		DB::query("DELETE FROM {rewrite} WHERE module_name='site' AND site_id IN (".$site_ids.");");
		$menu_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {menu} WHERE site_id IN ('".$site_ids."')");
		if ($menu_ids)
		{
			DB::query("DELETE FROM {menu} WHERE id IN (".$menu_ids.")");
			$menu_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {menu_parents} WHERE parent_id IN (".$menu_ids.")");
			if ($menu_child_ids)
			{
				DB::query("DELETE FROM {menu_parents} WHERE element_id IN (".$menu_child_ids.")");
			}
			DB::query("DELETE FROM {menu_parents} WHERE element_id IN (".$menu_ids.")");
		}
	}
	$menu_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {menu} WHERE module_name='".$module."'");
	if ($menu_ids)
	{
		DB::query("DELETE FROM {menu} WHERE id IN (".$menu_ids.")");
		$menu_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {menu_parents} WHERE parent_id IN (".$menu_ids.")");
		if ($menu_child_ids)
		{
			DB::query("DELETE FROM {menu_parents} WHERE element_id IN (".$menu_child_ids.")");
		}
		DB::query("DELETE FROM {menu_parents} WHERE element_id IN (".$menu_ids.")");
	}
	$admin_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {adminsite} WHERE rewrite IN ('".$module."', '".$module."/config')");
	if ($admin_ids)
	{
		DB::query("DELETE FROM {adminsite} WHERE id IN (".$admin_ids.")");
		DB::query("DELETE FROM {adminsite_parents} WHERE element_id IN (".$admin_ids.")");
	}
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {attachments} WHERE module_name='".$module."';");
	$trash_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {trash} WHERE module_name='".$module."'");
	if ($trash_ids)
	{
		DB::query("DELETE FROM {trash} WHERE id IN (".$trash_ids.")");
		$trash_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {trash_parents} WHERE parent_id IN (".$trash_ids.")");
		if ($trash_child_ids)
		{
			DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_child_ids.")");
		}
		DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_ids.")");
	}

	$folders = array($module.'/files', $module.'/imgs/small', $module.'/imgs', $module);
	foreach ($folders as $folder)
	{
		if ($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$folder))
		{
			while (($file = readdir($dirr)) !== FALSE)
			{
				@unlink(ABSOLUTE_PATH.USERFILES.'/'.$folder.'/'.$file);
			}
			closedir($dirr);
		}
		rmdir(ABSOLUTE_PATH.USERFILES.'/'.$folder);
	}
}