<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Map_model
 *
 * Модель модуля "Карта сайта"
 */
class Map_model extends Model
{
	/**
	 * @var array сгенерированные в моделе данные, передаваемые в шаблон
	 */
	protected $result;

	/**
	 * @var object основной объект системы
	 */
	protected $diafan;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;
	}

	/**
	 * Генерирует данные для карты сайта
	 * 
	 * @return array
	 */
	public function show_list()
	{
		$this->map_parent_id();
		return $this->result;
	}

	/**
	* Формирует URL страниц сайта
	* 
	* @param integer $parent_id номер страницы-родителя
	* @param integer $margin отступ слева
	* @return boolean true
	*/
	private function map_parent_id($parent_id = 0, $margin = 0)
	{
		if ($parent_id != 0)
		{
			$margin += 10;
		}
		$result = DB::query("SELECT id, [name], addmodule FROM {site} WHERE [act]='1' AND parent_id='%d' AND trash='0' AND map_no_show='0' AND block='0'"
		                    ." ORDER BY sort ASC, id ASC", $parent_id);
		while ($row = DB::fetch_array($result))
		{ 
			$link = $this->diafan->_route->link($row["id"]);

			$this->result[] = array("margin" => $margin, "link" => $link, "name" => $row["name"]);
			if ($this->diafan->configmodules("cat", $row["addmodule"], $row["id"]))
			{
				$this->map_module_category(0, $row["id"], $margin, $row["addmodule"]);
			}
			else
			{
				//$this->map_module_element(0, $row["id"], $margin, $row["addmodule"]);	
			}
			$this->map_parent_id($row["id"], $margin);
		}
		return TRUE;
	}

	/**
	* Формирует URL страниц категорий модуля
	* 
	* @param integer $id номер родителя
	* @param integer $site_id номер страницы
	* @param integer $margin отступ слева
	* @param string $module название модуля
	* @return boolean true
	*/
	private function map_module_category($id, $site_id, $margin, $module)
	{
		$margin += 20;
		$result = DB::query("SELECT id, [name], site_id FROM {".$module."_category} WHERE [act]='1' AND parent_id='%d' AND site_id=%d"
		                    ." AND trash='0' AND map_no_show='0' ORDER BY sort ASC, id ASC", $id, $site_id);
		if ($result)
		{
			while ($row = DB::fetch_array($result))
			{
				$link = $this->diafan->_route->link($row["site_id"], $module, $row["id"]);
				$this->result[] = array(
					"margin" => $margin,
					"link"   => $link,
					"name"   => $row["name"]
				);
				//$this->map_module_element($row["id"], $site_id, $margin, $module);
				$this->map_module_category($row["id"], $site_id, $margin, $module);
			}
		}
		return TRUE;
	}

	/**
	* Формирует URL страниц элементов модуля
	* 
	* @param integer $id номер категории
	* @param integer $site_id номер страницы
	* @param integer $margin отступ слева
	* @param string $module название модуля
	* @return boolean true
	private function map_module_element($id, $site_id, $margin, $module)
	{
		$margin += 20;
		$cat_id = '';
		if ($this->diafan->configmodules("cat", $module, $site_id))
		{
			$cat_id = ", cat_id";
		}
		$result = DB::query("SELECT id, [name], site_id".$cat_id." FROM {".$module."} WHERE [act]='1' AND trash='0'"
				    .($id ? " AND cat_id='%d'" : "")." ORDER BY sort ASC, id ASC", $id);
		if ($result)
		{
			while ($row = DB::fetch_array($result))
			{
				if (empty($row["cat_id"]))
				{
					$row["cat_id"] = 0;
				}
				$link = $this->diafan->_route->link($row["site_id"], $module, $row["cat_id"], $row["id"]);
				$this->result[] = array(
					"margin" => $margin,
					"link"   => $link,
					"name"   => $row["name"]
				);
			}
		}
		return TRUE;
	}
	*/
}