<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Menu_admin_act
 * 
 * Блокирование/разблокирование пунктов меню
 */
class Menu_admin_act
{
	/**
	 * Блокирует/разблокирует пункты меню
	 * 
	 * @param string $table таблица
	 * @param array $element_ids номера элементов, к которым прикреплены теги
	 * @param integer $act блокировать/разблокировать
	 * @return boolean true
	 */
	public static function act($th, $table, $element_ids, $act)
	{
		if ($table == "menu" && $act)
		{
			if (! $th->diafan->save)
			{
				foreach ($element_ids as $element_id)
				{
					$row = DB::fetch_array(DB::query("SELECT * FROM {menu} WHERE id=%d", $element_id));
					$table = $row["module_name"];
					if ($row["module_name"] == 'site')
					{
						$id = $row["site_id"];
					}
					elseif ($row["module_name"])
					{
						if ($row["module_cat_id"])
						{
							$id = $row["module_cat_id"];
							$table .= '_category';
						}
						else
						{
							$id = $row["element_id"];
						}
					}
					if (! DB::query_result("SELECT [act] FROM {".$table."} WHERE id=%d", $id))
					{
						DB::query("UPDATE {".$table."} SET [act]='1' WHERE id=%d", $id);
						$th->diafan->_cache->delete("", $row["module_name"]);
					}
				}
			}
			else
			{
				if ($_POST["module_name"] == 'site')
				{
					if (! DB::query("SELECT [act] FROM {site} WHERE id=%d", $_POST["site_id"]))
					{
						DB::query("UPDATE {site} SET [act]='1' WHERE id=%d", $_POST["site_id"]);
						$th->diafan->_cache->delete("", "site");
					}
				}
				elseif ($_POST["module_name"])
				{
					$table = $_POST["module_name"];
					if ($_POST["module_cat_id"])
					{
						$id = $_POST["module_cat_id"];
						$table .= '_category';
					}
					else
					{
						$id = $_POST["element_id"];
					}
					if (! DB::query("SELECT [act] FROM {%h} WHERE id=%d", $table, $id))
					{
						DB::query("UPDATE {%h} SET [act]='1' WHERE id=%d", $table, $id);
						$th->diafan->_cache->delete("", $_POST["module_name"]);
					}
				}
				
			}
		}
		if (! $th->config_module["menu"])
		{
			return TRUE;
		}
		if ($th->config_module['category'])
		{
			$table = str_replace('_category', '', $table);
			DB::query("UPDATE {menu} SET [act]='%d' WHERE module_name='%h' AND module_cat_id IN (%h)", $act, $table, implode(',', $element_ids));
			$result = DB::query("SELECT id FROM {".$table."} WHERE cat_id IN (%h)", implode(',', $element_ids));
			$element_ids = array();
			while ($row = DB::fetch_array($result))
			{
				$element_ids[] = $row["id"];
			}
			if ($element_ids)
			{
				DB::query("UPDATE {menu} SET [act]='%d' WHERE module_name='%h' AND element_id IN (%h)", $act, $table, implode(',', $element_ids));
			}
		}
		elseif ($table == "site")
		{
			DB::query("UPDATE {menu} SET [act]='%d' WHERE module_name='%h' AND site_id IN (%h)", $act, $table, implode(',', $element_ids));
		}
		else
		{
			DB::query("UPDATE {menu} SET [act]='%d' WHERE module_name='%h' AND element_id IN (%h)", $act, $table, implode(',', $element_ids));
		}
		$th->diafan->_cache->delete("", "menu");
		return TRUE;
	}
}