<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Menu_admin_del
 * 
 * Удаление связанных пунктов меню
 */
class Menu_admin_del
{
	/**
	 * Помечает пункты меню на удаление или удаляет пункты меню
	 * 
	 * @param string $module_name название модуля, к которому прикреплены пункты меню
	 * @param integer $element_id номер элемента, к которому прикреплены пункты меню
	 * @param integer $trash_id номер записи в корзине, с которой связано удаление
	 * @param integer $is_category удаляемый элемент - категория
	 * @return boolean true
	 */
	public static function delete($th, $module_name, $element_id, $trash_id = 0, $is_category = FALSE)
	{
		$del_ids = array();
		if ($module_name == "site")
		{
			$result = DB::query("SELECT id, count_children FROM {menu} WHERE site_id='%d' AND module_name='%h'", $element_id, $module_name);
		}
		elseif ($is_category)
		{
			$result = DB::query("SELECT id, count_children FROM {menu} WHERE module_cat_id='%d' AND module_name='%h'", $element_id, $module_name);
		}
		else
		{
			$result = DB::query("SELECT id, count_children FROM {menu} WHERE element_id='%d' AND module_name='%h'", $element_id, $module_name);
		}
		while ($row = DB::fetch_array($result))
		{
			$children = array();
			if ($row["count_children"])
			{
				$children = $th->diafan->get_children($row["id"], "menu");
			}
			$children[] = $row["id"];
			foreach ($children as $id)
			{
				if (! in_array($id, $del_ids))
				{
					$del_ids[] = $id;
				}
			}
		}
		if ($del_ids)
		{
			$th->del_or_trash_where("menu", "id IN (".implode(",", $del_ids).")", $trash_id);
			$th->del_or_trash_where("menu_parents", "element_id IN (".implode(",", $del_ids).")", $trash_id);
			$th->diafan->_cache->delete("", "menu");
		}
		return TRUE;
	}
}