<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Menu_view
 *
 * Шаблон модуля "Меню"
 */
class Menu_view extends View
{
	/**
	 * Шаблонная функция: блок меню
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean
	 */
	public function show_block($result)
	{
		if (empty($result["rows"]))
		{
			return FALSE;
		}
		echo '<div class="menu_block">';
			if (! empty($result["name"]))
			{
				echo '<h2>'.$result["name"].'</h2>';
			}
			$this->get('show_level', 'menu', $result);
		echo '</div>';

		return TRUE;
	}

	/**
	 * Шаблон вывода первого уровня меню
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean
	 */
	public function show_level($result)
	{
		if (empty($result["rows"][$result["parent_id"]]))
		{
			return TRUE;
		}
		// начало уровня меню
		foreach ($result["rows"][$result["parent_id"]] as $row)
		{
			if (! $result["rows"][$result["parent_id"]][0] != $row)
			{
				// разделитель пунктов меню
			}

			if ($row["active"])
			{
				// начало пункта меню для текущей страницы
				echo '<div class="menu_item menu_active">';
			}
			elseif ($row["active_child"])
			{
				// начало пункта меню для активного дочернего пункта
				echo '<div class="menu_item menu_active_child">';
			}
			else
			{
				// начало любого другого пункта меню
				echo '<div class="menu_item">';
			}
			
			if (
				// на текущей странице нет ссылки
			   ! $row["active"]

			   // влючен пункт "Не отображать ссылку на элемент, если он имеет дочерние пункты"
			   && (! $result["hide_parent_link"] || empty($result["rows"][$row["id"]]))
			)
			{
				if ($row["othurl"])
				{
					echo '<a href="'.$row["othurl"].'" target="_blank">';
				}
				else
				{
					echo '<a href="'.BASE_PATH_HREF.$row["link"].'">';
				}
			}
			// название пункта меню
			echo $row["name"];
			if (
				// на текущей странице нет ссылки
			   ! $row["active"]

			   // влючен пункт "Не отображать ссылку на элемент, если он имеет дочерние пункты"
			   && (! $result["hide_parent_link"] || empty($result["rows"][$row["id"]]))
			)
			{
				echo '</a>';
			}

			if ($row["active"])
			{
				// окончание пункта меню - текущей страницы
				echo '</div>';
			}
			elseif ($row["active_child"])
			{
				// окончание пункта меню для активного дочернего пункта
				echo '</div>';
			}
			else
			{
				// окончание любого другого пункта меню
				echo '</div>';
			}

			if ($result["show_all_level"] || $row["active_child"] || $row["active"])
			{
				// вывод вложенного уровня меню
				$menu_data = $result;
				$menu_data["parent_id"] = $row["id"];
				$menu_data["level"]++;

				$this->get('show_level_2', 'menu', $menu_data);
			}
		}
		// окончание уровня меню

		return TRUE;
	}

	/**
	 * Шаблон вывода второго и последующих уровней меню
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean
	 */
	public function show_level_2($result)
	{
		if (empty($result["rows"][$result["parent_id"]]))
		{
			return TRUE;
		}
		// начало уровня меню
		echo '<div class="menu_level_'.$result["level"].'">';
		foreach ($result["rows"][$result["parent_id"]] as $row)
		{
			if (! $result["rows"][$result["parent_id"]][0] != $row)
			{
				// разделитель пунктов меню
			}

			if ($row["active"])
			{
				// начало пункта меню для текущей страницы
				echo '<div class="menu_item_'.$result["level"].'">';
			}
			elseif ($row["active_child"])
			{
				// начало пункта меню для активного дочернего пункта
				echo '<div class="menu_item_'.$result["level"].' menu_active">';
			}
			else
			{
				// начало любого другого пункта меню
				echo '<div class="menu_item_'.$result["level"].' menu_active_child">';
			}

			if (
				// на текущей странице нет ссылки
			   ! $row["active"]

			   // влючен пункт "Не отображать ссылку на элемент, если он имеет дочерние пункты"
			   && (! $result["hide_parent_link"] || empty($result["rows"][$row["id"]]))
			)
			{
				if ($row["othurl"])
				{
					echo '<a href="'.$row["othurl"].'" target="_blank">';
				}
				else
				{
					echo '<a href="'.BASE_PATH_HREF.$row["link"].'">';
				}
			}
			// название пункта меню
			echo $row["name"];
			if (
				// на текущей странице нет ссылки
			   ! $row["active"]

			   // влючен пункт "Не отображать ссылку на элемент, если он имеет дочерние пункты"
			   && (! $result["hide_parent_link"] || empty($result["rows"][$row["id"]]))
			)
			{
				echo '</a>';
			}

			if ($row["active"])
			{
				// окончание пункта меню - текущей страницы
				echo '</div>';
			}
			elseif ($row["active_child"])
			{
				// окончание пункта меню для активного дочернего пункта
				echo '</div>';
			}
			else
			{
				// окончание любого другого пункта меню
				echo '</div>';
			}

			if ($result["show_all_level"] || $row["active_child"] || $row["active"])
			{
				// вывод вложенного уровня меню
				$menu_data = $result;
				$menu_data["parent_id"] = $row["id"];
				$menu_data["level"]++;

				$this->get('show_level_2', 'menu', $menu_data);
			}
		}
		// окончание уровня меню
		echo '</div>';

		return TRUE;
	}

	/**
	 * Шаблонная функция: блок меню, оформленный аттрибутами
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @param integer $parent_id родитель для текущего уровня
	 * @param integer $level текущий уровень меню
	 * @return boolean
	 */
	public function show_menu($result, $parent_id = 0, $level = 1)
	{
		$result["attributes"]["tag_level_start_".$level]  = isset($result["attributes"]["tag_level_start_".$level])  ? $result["attributes"]["tag_level_start_".$level]  : $result["attributes"]["tag_level_start_".($level-1)];
		$result["attributes"]["tag_level_end_".$level]    = isset($result["attributes"]["tag_level_end_".$level])    ? $result["attributes"]["tag_level_end_".$level]    : $result["attributes"]["tag_level_end_".($level-1)];
		
		$result["attributes"]["tag_active_child_start_".$level]  = isset($result["attributes"]["tag_active_child_start_".$level])  ? $result["attributes"]["tag_active_child_start_".$level]  : $result["attributes"]["tag_active_child_start_".($level-1)];
		$result["attributes"]["tag_active_child_end_".$level]    = isset($result["attributes"]["tag_active_child_end_".$level])    ? $result["attributes"]["tag_active_child_end_".$level]    : $result["attributes"]["tag_active_child_end_".($level-1)];
		
		$result["attributes"]["tag_start_".$level]        = isset($result["attributes"]["tag_start_".$level])        ? $result["attributes"]["tag_start_".$level]        : $result["attributes"]["tag_start_".($level-1)];
		$result["attributes"]["tag_end_".$level]          = isset($result["attributes"]["tag_end_".$level])          ? $result["attributes"]["tag_end_".$level]          : $result["attributes"]["tag_end_".($level-1)];
		
		$result["attributes"]["tag_active_start_".$level] = isset($result["attributes"]["tag_active_start_".$level]) ? $result["attributes"]["tag_active_start_".$level] : $result["attributes"]["tag_active_start_".($level-1)];
		$result["attributes"]["tag_active_end_".$level]   = isset($result["attributes"]["tag_active_end_".$level])   ? $result["attributes"]["tag_active_end_".$level]   : $result["attributes"]["tag_active_end_".($level-1)];
		
		$result["attributes"]["separator_".$level]        = isset($result["attributes"]["separator_".$level])        ? $result["attributes"]["separator_".$level]        : $result["attributes"]["separator_".($level-1)];
		$result["attributes"]["site_id"]                  = isset($result["attributes"]["site_id"]) ? $result["attributes"]["site_id"] : 0;

		$k = 0;
		if (! empty($result["rows"][$parent_id]))
		{
			echo $result["attributes"]["tag_level_start_".$level];
			foreach ($result["rows"][$parent_id] as $row)
			{
				echo ($k ? $result["attributes"]["separator_".$level] : '');
				if ($row["active"] && $result["attributes"]["tag_active_start_".$level])
				{
					echo str_replace(array('Increment', 'Level'), array($k, $level), $result["attributes"]["tag_active_start_".$level]);
				}
				elseif ($row["active_child"] && $result["attributes"]["tag_active_child_start_".$level])
				{
					echo str_replace(array('Increment', 'Level'), array($k, $level), $result["attributes"]["tag_active_child_start_".$level]);
				}
				else
				{
					echo str_replace(array('Increment', 'Level'), array($k, $level), $result["attributes"]["tag_start_".$level]);
				}

				if (
					// на текущей странице нет ссылки
				   ! $row["active"]
	
				   // влючен пункт "Не отображать ссылку на элемент, если он имеет дочерние пункты"
				   && (! $result["hide_parent_link"] || empty($result["rows"][$row["id"]]))
				)
				{
					if ($row["othurl"])
					{
						echo '<a href="'.$row["othurl"].'" target="_blank">';
					}
					else
					{
						echo '<a href="'.BASE_PATH_HREF.$row["link"].'">';
					}
				}
				// название пункта меню
				echo $row["name"];
				if (
					// на текущей странице нет ссылки
				   ! $row["active"]
	
				   // влючен пункт "Не отображать ссылку на элемент, если он имеет дочерние пункты"
				   && (! $result["hide_parent_link"] || empty($result["rows"][$row["id"]]))
				)
				{
					echo '</a>';
				}
				if ($row["active"] && $result["attributes"]["tag_active_end_".$level])
				{
					echo str_replace(array('Increment', 'Level'), array($k, $level), $result["attributes"]["tag_active_end_".$level]);
				}
				elseif ($row["active_child"] && $result["attributes"]["tag_active_child_end_".$level])
				{
					echo str_replace(array('Increment', 'Level'), array($k, $level), $result["attributes"]["tag_active_child_end_".$level]);
				}
				else
				{
					echo str_replace(array('Increment', 'Level'), array($k, $level), $result["attributes"]["tag_end_".$level]);
				}
	
				if ($result["show_all_level"] || $row["active_child"] || $row["active"])
				{
					$this->show_menu($result, $row["id"], $level + 1);
				}
				$k++;
			}
			echo $result["attributes"]["tag_level_end_".$level];
		}
		return TRUE;
	}
}