<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Order_ajax
 *
 * Обработка запроса при оформлении заказа
 */
class Order_ajax extends Model
{
	/**
	 * @var object основной объект системы
	 */
	public $diafan;

	/**
	 * @var array поля формы
	 */
	private $param;

	/**
	 * @var string электронный ящик пользователя
	 */
	private $email;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;
	}

	/**
	 * @var array внутренние сообщения
	 */
	private $result;

	/**
	 * Обрабатывает полученные данные из формы
	 * 
	 * @return boolean
	 */
	function ajax_request()
	{
		if (empty($_POST['module']) || $_POST['module'] != 'order' || empty($_POST["action"]) || ! in_array($_POST["action"], array('step2', 'step3'))
		   || $this->diafan->module != 'order')
		{
			return FALSE;
		}

		if ($this->diafan->configmodules('security_user', 'shop') && ! $this->diafan->_user->id)
		{
			return FALSE;
		}

		if ($_POST["action"] == 'step3' && $this->diafan->configmodules("pay_systems", "shop"))
		{
			if ($this->payment())
				return TRUE;
		}

		if ($_POST["action"] != 'step2')
			return FALSE;

		$this->param = $this->get_param();

		if ($this->empty_required_field())
			return TRUE;

		DB::query("INSERT INTO {shop_order} (user_id, created, status, language, summ) VALUES ('%d', '%d', '0', '%d', '%f')",
		          $this->diafan->_user->id,
		          time(),
		          _LANG,
		          $_SESSION["basket_summ"]
		         );

		$order_id = DB::next_id("shop_order");
		$summ = 0;

		foreach ($_SESSION["basket"] as $good_id => $array)
		{
			foreach ($array as $param => $c)
			{
				$price = 0;
				$select_depend = 0;

				DB::query("INSERT INTO {shop_order_goods} (order_id, good_id, count_goods) VALUES ('%d', '%d', '%d')", $order_id, $good_id, $c["count"]);
				$shop_good_id = DB::next_id("shop_order_goods");

				foreach ($c["param"] as $id => $value)
				{
					if ($id == 'depend')
					{
						$depend = DB::fetch_array(DB::query("SELECT param_id, price FROM {shop_price} WHERE good_id=%d AND param_value=%d", $good_id, $value));
						if (! $depend)
						{
							continue;
						}
						$select_depend =  $value;
						$price = $depend["price"];
					}
					else
					{
						DB::query("INSERT INTO {shop_param_good} (good_id, value, param_id) VALUES ('%d', '%d', '%d')", $shop_good_id, $value, $id);
					}
				}
				if (! $price)
				{
					$price = DB::query_result("SELECT price FROM {shop_price} WHERE good_id=%d", $good_id);
				}
				$discount = $this->get_discount($good_id);
				$price = $price * (100 - $discount) / 100;

				DB::query("UPDATE {shop_order_goods} SET price=%f, depend_price=%d WHERE id=%d", $price, $select_depend, $shop_good_id);
				$summ += $price * $c["count"];
			}
		}
		DB::query("UPDATE {shop_order} SET summ='%f' WHERE id='%d'", $summ, $order_id);
		$this->send_mails($order_id);

		$this->insert_values($order_id);

		$_SESSION["order"][] = $order_id;

		unset($_SESSION["basket"]);

		if (! $this->diafan->configmodules("pay_systems", "shop"))
		{
			unset($_SESSION["order_pay"]);
			unset($_SESSION["basket_summ"]);
			unset($_SESSION["basket_count"]);
			$this->result["form"] = $this->diafan->configmodules('mes', 'shop');
			$this->result["basket"] = 0;
			$this->result["basketcount"] = 0;
		}
		else
		{
			$_SESSION["order_pay"] = TRUE;
			$this->result["redirect"] = BASE_PATH_HREF.$this->diafan->_route->current_link("", array("step" => 3));
		}
		return $this->send_errors();
	}

	/**
	 * Получает массив полей формы оформления заказа
	 * 
	 * @return array
	 */
	private function get_param()
	{
		$cache_meta = array(
				    "name"     => "order_param",
				    "language" => _LANG
				    );
		if (! $rows_param = $this->diafan->_cache->get($cache_meta, "shop"))
		{
			$rows_param = array();
			$result = DB::query("SELECT id, [name], type, required, [text] FROM {shop_order_param} WHERE trash='0' ORDER BY sort ASC");

			while ($row = DB::fetch_array($result))
			{
				if ($row["type"] == 'select' || $row["type"] == 'multiple')
				{
					$result_select = DB::query("SELECT [name], id FROM {shop_order_param_select} WHERE param_id=%d ORDER BY sort ASC", $row["id"]);
					while ($row_select = DB::fetch_array($result_select))
					{
						$row["select_array"][] = $row_select;
					}
				}
				$rows_param[] = $row;
			}
			//сохранение кеша
			$this->diafan->_cache->save($rows_param, $cache_meta, "shop");
		}
		return $rows_param;
	}

	/**
	 * Проверяет на заполнение обязательных полей
	 * 
	 * @return boolean
	 */
	private function empty_required_field()
	{
		$message = array();
		foreach ($this->param as $row)
		{
			if ($row["required"] && empty($_POST['p'.$row["id"]]))
			{
				$this->result["errors"]["p".$row["id"]] = $this->diafan->configmodules('error_empty_fields', 'shop').' '.$row["name"];
			}
			if (empty($_POST["p".$row["id"]]) && $row["type"] != "checkbox")
				continue;

			if ($row["type"] == "email")
			{
				$this->valid_email($_POST["p".$row["id"]], "p".$row["id"]);
				if (empty($this->result["errors"]))
				{
					$this->email = trim($_POST["p".$row["id"]]);
				}
			}

			if ($row["type"] == "text" || $row["type"] == "textarea" || $row["type"] == "email")
			{
				$_POST["p".$row["id"]] = $this->diafan->get_param($_POST, "p".$row["id"], '', 1);
				$message[] = $row["name"].': '.$_POST["p".$row["id"]];
			}
			elseif ($row["type"] == "numtext")
			{
				$_POST["p".$row["id"]] = $this->diafan->get_param($_POST, "p".$row["id"], '', 2);
				$message[] = $row["name"].': '.$_POST["p".$row["id"]];
			}
			elseif ($row["type"] == "date")
			{
				$_POST["p".$row["id"]] = $this->diafan->unixdate($_POST["p".$row["id"]]);
				$message[] = $row["name"].': '.$this->format_date($_POST["p".$row["id"]]);
			}
			elseif ($row["type"] == "checkbox")
			{
				$value = ! empty($_POST["p".$row["id"]]) ? 1 : 0;
				$value_sel = DB::query_result("SELECT [name] FROM {shop_order_param_select} WHERE value=%d AND param_id=%d", $value, $row["id"]);
				if (! $value_sel && $value == 1)
				{
					$message[] = $row["name"];
				}
				else
				{
					$message[] = $row["name"].': '.$value_sel;
				}
			}
			elseif ($row["type"] == "select" && ! empty($row["select_array"]))
			{
				foreach ($row["select_array"] as $select)
				{
					if ($select["id"] == $_POST["p".$row["id"]])
					{
						$message[] = $row["name"].': '.$select["name"];
					}
				}
			}
			elseif ($row["type"] == "multiple" && ! empty($row["select_array"]) && ! empty($_POST["p".$row["id"]]) && is_array($_POST["p".$row["id"]]))
			{
				$vals = array();
				foreach ($row["select_array"] as $select)
				{
					if (in_array($select["id"], $_POST["p".$row["id"]]))
					{
						$vals[] = $select["name"];
					}
				}
				$message[] = $row["name"].': '.implode(", ", $vals);
			}
		}
		$this->result["message"] = implode('<br>', $message);
		return $this->send_errors();
	}

	/**
	 * Проверка e-mail на валидность
	 * 
	 * @return boolean
	 */
	private function valid_email($email, $filed)
	{
		if ($email)
		{
			require_once(ABSOLUTE_PATH.'includes/validate.php');
			$mes = Validate::mail($email);
			if ($mes)
			{
				$this->result["errors"][$filed] = $mes;
				return TRUE;
			}
		}
		return FALSE;
	}

	/**
	 * Добавляет значение полей формы в базу данных
	 * 
	 * @param integer $save номер сохраняемого заказа
	 * @return boolean true
	 */
	private function insert_values($save)
	{
		foreach ($this->param as $row)
		{
			if (empty($_POST["p".$row["id"]]))
				continue;

			if ($row["type"] == "multiple")
			{
				foreach ($_POST["p".$row["id"]] as $val)
				{
					DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '%d', '%d')", $val, $row["id"], $save);
				}
			}
			else
			{
				DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '%d', '%d')", $_POST["p".$row["id"]], $row["id"], $save);
			}
		}
		return TRUE;
	}

	/**
	 * Отправляет письма администратору сайта и пользователю, сделавшему заказ
	 *
	 * @param integer $order_id номер заказа
	 * @return boolean
	 */
	private function send_mails($order_id)
	{
		require_once (ABSOLUTE_PATH.'includes/mail.php');

		include_once(ABSOLUTE_PATH.'modules/basket/basket.model.php');

		$model = new Basket_model($this->diafan);
		$result_basket = $model->form();
		$basket = $this->diafan->_tpl->get('table_basket', 'order', $result_basket);

		//send mail admin
		$subject = str_replace(array('%title', '%url'),
		                       array(TITLE, BASE_URL),
		                       $this->diafan->configmodules('subject_admin', 'shop')
		                      );

		$user_email = $this->diafan->_user->mail ? $this->diafan->_user->mail : $this->diafan->get_param($_POST, "mail", '', 1);
		$message = str_replace(
			array('%title',
				'%url',
				'%id',
				'%message',
				'%order'
			),
			array(
				TITLE,
				BASE_URL,
				$order_id,
				$this->result["message"],
				$basket
			),
			$this->diafan->configmodules('message_admin', 'shop'));

		send_mail(
				$this->diafan->configmodules("emailconfadmin", 'shop') ? $this->diafan->configmodules("email_admin", 'shop') : EMAIL_CONFIG,
				$subject,
				$message,
				$this->diafan->configmodules("emailconf", 'shop') ? $this->diafan->configmodules("email", 'shop') : ''
			);
		unset($this->result["message"]);

		//send mail user
		if (! $this->email)
		{
			return FALSE;
		}
		
		$subject = str_replace(
				array('%title', '%url'),
				array(TITLE, BASE_URL),
				$this->diafan->configmodules('subject', 'shop')
			);

		$message = str_replace(
				array('%title', '%url', '%id', '%order'),
				array(
					TITLE,
					BASE_URL,
					$order_id,
					$basket
				),
				$this->diafan->configmodules('message', 'shop')
			);

		send_mail(
				$this->email,
				$subject,
				$message,
				$this->diafan->configmodules("emailconf", 'shop') ? $this->diafan->configmodules("email", 'shop') : ''
			);
		return TRUE;
	}

	/**
	 * Результат выбора платежной системы
	 * 
	 * @return boolean
	 */
	function payment()
	{
		if (empty($_SESSION["order"]) || ! is_array($_SESSION["order"]))
			return FALSE;

		$order_id = $_SESSION["order"][count($_SESSION["order"]) - 1];

		DB::query("UPDATE {shop_order} SET payment='%d' WHERE id='%d'", $_POST["payment"], $order_id);

		if ($_POST["payment"] == 4 && $this->diafan->configmodules("courier", "shop"))
		{
			$this->result["form"] = $this->diafan->configmodules("courier_text", "shop");
		}
		else
		{
			$this->result["redirect"] = BASE_PATH_HREF.$this->diafan->_route->link($this->diafan->cid, "order").'step4/show'.$order_id.'/';
		}

		unset($_SESSION["order_pay"]);
		unset($_SESSION["basket"]);
		unset($_SESSION["basket_summ"]);
		unset($_SESSION["basket_count"]);

		return $this->send_errors();
	}

	/**
	 * Отправляет несколько ошибок
	 *
	 * @return boolean
	 */
	private function send_errors()
	{
		if (! empty($this->result["errors"]) || ! empty($this->result["form"]) || ! empty($this->result["redirect"]))
		{
			if (! empty($_POST['ajax']))
			{
				include_once(ABSOLUTE_PATH.'plugins/json.php');
				echo to_json($this->result);
			}
			else
			{
				$query = '';
				if (! empty($this->result["errors"]))
				{
					foreach ($this->result["errors"] as $field => $mes)
					{
						if (empty($_POST["update"]))
						{
							$query .= '&mess'.($field ? '-'.$field : '').'='.$mes;
						}
					}
				}
				$this->diafan->redirect($this->diafan->_route->current_link().($query ? '?error=order'.$query : ''));
			}
			return TRUE;
		}
		return FALSE;
	}

	/**
	 * Определяет скидку на товар
	 *
	 * @param array $row данные о товаре
	 * @return float
	 */
	private function get_discount($id)
	{
		// выбираем все скидки, актуальные на текущий момент
		$discounts = array();
		$result = DB::query("SELECT id, discount FROM {shop_discount} WHERE trash='0' AND act='1' AND (date_start='0' OR date_start<=%d) AND (date_finish='0' OR date_finish>=%d)", time(), time());
		while ($dis = DB::fetch_array($result))
		{
			$discounts[$dis["id"]] = $dis["discount"];
		}
		if ($discounts)
		{
			// проверяем установлена ли скидка на товар
			$discount = DB::query_result("SELECT discount_id FROM {shop_discount_object} WHERE good_id=%d AND discount_id IN (%h) ORDER BY id ASC LIMIT 1", $id, implode(",", array_keys($discounts)));
			if ($discount)
			{
				return $discounts[$discount];
			}
			$cat_id = DB::query_result("SELECT cat_id FROM {shop} WHERE id=%d", $id);

			// проверяем установлена ли скидка на категорию
			if ($cat_id)
			{
				$discount = DB::query_result("SELECT discount_id FROM {shop_discount_object} WHERE cat_id=%d AND discount_id IN (%h) ORDER BY id ASC LIMIT 1", $cat_id, implode(",", array_keys($discounts)));
				if ($discount)
				{
					return $discounts[$discount];
				}
			}

			// проверяем установлена ли скидка на все товары
			$discount = DB::query_result("SELECT discount_id FROM {shop_discount_object} WHERE cat_id=0 AND good_id=0 AND discount_id IN (%h) ORDER BY id ASC LIMIT 1", implode(",", array_keys($discounts)));
			if ($discount)
			{
				return $discounts[$discount];
			}
		}
		return 0;
	}
}