<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Order
 *
 * Контроллер модуля "Оформление заказа"
 */
class Order extends Controller
{
	/**
	 * Инициализация модуля
	 * 
	 * @return void
	 */
	public function init()
	{
		$this->rewrite_variable_names = array('step', 'show');
		$this->diafan->rewrite_variable_names = $this->rewrite_variable_names;

		$model = new Order_model($this->diafan);
		if (! $this->diafan->_user->id && empty($this->diafan->step))
		{
			$this->result = $model->show_step_1();
		}
		elseif ($this->diafan->step == 2 || $this->diafan->_user->id && empty($this->diafan->step))
		{
			$this->result = $model->show_step_2();
		}
		elseif ($this->diafan->step == 3 && $this->diafan->configmodules("pay_systems", "shop"))
		{
			$this->result = $model->show_step_3();
		}
		elseif ($this->diafan->step == 4 && $this->diafan->show && $this->diafan->configmodules("pay_systems", "shop"))
		{
			$this->result = $model->show_step_4();
		}

		//подтверждение или опровержение платежа
		elseif (($this->diafan->step == 5 || $this->diafan->step == 6) && $this->diafan->configmodules("pay_systems", "shop"))
		{
			$this->result = $model->show_step_5();
		}
		else
		{
			$this->diafan->redirect($this->diafan->_route->current_link("step"));
		}
		$this->diafan->timeedit = time();
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return boolean
	 */
	public function show_module()
	{
		if (! $this->diafan->_user->id && empty($this->diafan->step) && $this->result["to-step-2"])
		{
			$this->diafan->_tpl->get('show_step_1', 'order', $this->result);
		}
		elseif ($this->diafan->step == 2 || $this->diafan->_user->id && empty($this->diafan->step) || empty($this->diafan->step))
		{
			$this->diafan->_tpl->get('show_step_2', 'order', $this->result);
		}
		elseif ($this->diafan->step == 3 && $this->diafan->configmodules("pay_systems", "shop"))
		{
			$this->diafan->_tpl->get('show_step_3', 'order', $this->result);
		}
		elseif ($this->diafan->step == 4 && $this->diafan->configmodules("pay_systems", "shop"))
		{
			switch($this->result["type"])
			{
				case "webmoney":
					$this->diafan->_tpl->get('webmoney', 'order', $this->result);
					break;
				case "roboxchange":
					$this->diafan->_tpl->get('roboxchange', 'order', $this->result);
					break;
				case "non_cash":
					$this->diafan->_tpl->get('non_cash', 'order', $this->result);
					break;
			}
		}

		//подтверждение/опровержение платежа
		elseif (($this->diafan->step == 5 || $this->diafan->step == 6) && $this->diafan->configmodules("pay_systems", "shop"))
		{
			$this->diafan->_tpl->get('show_step_5', 'order', $this->result);
		}
	}
}