<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Photo_admin_config
 *
 * Конфигурация фотогалереи
 */
class Photo_admin_config extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'photo_config';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		$this->variable_table = array(
			'cat'                 => 'checkbox',
			'big_width'           => 'function',
			'big_height'          => 'none',
			'big_quality'         => 'none',
			'medium_width'        => 'function',
			'medium_height'       => 'none',
			'medium_quality'      => 'none',
			'page_show'           => 'checkbox',
			'use_animation'       => 'checkbox',
			'count_list'          => 'numtext',
			'nastr'               => 'numtext',
			'childrens_elements'  => 'checkbox',
			'comments'            => 'module',
			'tags'                => 'module',
			'rating'              => 'module',
			'upload_max_filesize' => 'function'
		);

		$this->config_module = array(
			'element_site' => 1, //делит элементы по разделам (страницы сайта, к которым прикреплен модуль)
			'config'       => 1  //файл настроек модуля
		);

		$this->show_tr_click_checkbox = array(
			'cat' => array(
				'count_list',
				'childrens_elements'
			)
		);
	}

	/**
	 * Редактирование поля "Размер большого изображения" для конфигурации модуля
	 * 
	 * @return boolean true
	 */
	protected function edit_big_width_module_config()
	{
		echo '
		<tr id="big">
			<td align="right">'.$this->variable_names().'</td>
			<td>
				<input type="text" name="'.$this->key.'" size="3" value="'.$this->value.'" class="inpnum"> x
				<input type="text" name="big_height" size="3" value="'.$this->values["big_height"].'" class="inpnum">,
				'._LANG_QUALITY.'
				<input type="text" name="big_quality" size="2" value="'.$this->values["big_quality"].'" class="inpnum">'
				.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Редактирование поля "Размер маленького изображения" для конфигурации модуля
	 * 
	 * @return boolean true
	 */
	protected function edit_medium_width_module_config()
	{
		echo '
		<tr id="medium">
			<td align="right">'.$this->variable_names().'</td>
			<td>
				<input type="text" name="'.$this->key.'" size="3" value="'.$this->value.'" class="inpnum"> x
				<input type="text" name="medium_height" size="3" value="'.$this->values["medium_height"].'" class="inpnum">,
				'._LANG_QUALITY.'
				<input type="text" name="medium_quality" size="2" value="'.$this->values["medium_quality"].'" class="inpnum">'
				.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}
}