<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Photo_admin
 *
 * Редактирование фотографий
 */
class Photo_admin extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'photo';

	/**
	 * @var string таблица в базе данных
	 */
	public $table = 'photo';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		//поля в базе данных для редактирования
		$this->variable_table = array(
			'name'        => 'text',
			'act'         => 'checkbox',
			'image'       => 'function',
			'tags'        => 'module',
			'comments'    => 'module',
			'rating'      => 'module',
			'cat_id'      => 'function',
			'hr1'         => 'hr',
			'menu'        => 'module',
			'number'      => 'function',
			'timeedit'    => 'text',
			'title_meta'  => 'text',
			'keywords'    => 'text',
			'descr'       => 'textarea',
			'rewrite'     => 'function',
			'site_id'     => 'function',
			'sort'        => 'function',
			'map_no_show' => 'checkbox',
			'hr2'         => 'hr',
			'anons'       => 'editor',
			'text'        => 'editor'
		);

		//поля, которые прячутся в Дополнительно
		$this->variable_other = array(
			'hr1'         => 1,
			'number'      => 1,
			'title_meta'  => 1,
			'timeedit'    => 1,
			'keywords'    => 1,
			'descr'       => 1,
			'rewrite'     => 1,
			'site_id'     => 1,
			'sort'        => 1,
			'map_no_show' => 1,
			'menu'        => 1
		);

		//переводимые поля
		$this->language_names = array(
			'name',
			'title_meta',
			'act',
			'keywords',
			'descr',
			'text',
			'anons'
		);

		$this->config_module = array(
			'act'              => 1, //показать/скрыть
			'menu'             => $this->diafan->configmodules("page_show", "photo", $this->diafan->site) ? 1 : 0, //используется в меню
			'del'              => 1, //удалить
			'order'            => 1, //сортируется
			'element_site'     => 1, //модуль может быть прикреплен к нескольким страницам
			'element'          => $this->diafan->configmodules("cat", "photo", $this->diafan->site) ? 1 : 0, //используются группы
			'element_multiple' => $this->diafan->configmodules("cat", "photo", $this->diafan->site) ? 1 : 0, //модуль может быть прикреплен к нескольким группам
			'search_name'      => 1, //искать по названию
			'trash'            => 1, //использовать корзину
			'image'            => 1  //показать фотографию в списке
		);

		if (! extension_loaded('gd') && ! extension_loaded('gd2'))
		{
			$this->diafan->error = 7;
		}

		//высота поля для Визуального редактора
		$this->editor_height = array(
			'anons' => 200,
			'text'  => 400
		);
		if (! $this->diafan->edit && ! $this->diafan->addnew)
		{
			$this->config_module['multiupload'] = 1;
		}
	}

	/**
	 * Выводит список фотографий
	 * @return boolean true
	 */
	public function show_module()
	{
		if ($this->config_module['element'] && ! $this->not_empty_categories)
		{
			echo '<p class="red">'.sprintf(_ADMIN_PHOTO_EMPTY_CATEGORIES, '<a href="'.BASE_PATH_HREF.'photo/category/'.($this->diafan->site ? 'site'.$this->diafan->site.'/' : '').'">', '</a>').'</p>';
		}
		else
		{
			echo '
			<div class="add">
				<a href="'.URL.'addnew1/">'._ADMIN_PHOTO_ADD.'</a>
				/ <a href="'.URL.'savenew1/" class="upload_files">'._ADMIN_PHOTO_ADD_SOME.'</a>
			</div>
	
			<div id="uploadAreaMulti">
				<div id="file-uploader">
					<noscript>
						<p>Please enable JavaScript to use file uploader.</p>
						<!-- or put a simple form for upload here -->
					</noscript>
				</div>
			</div>';
		}

		echo '<table class="list">';
			$this->list_row();
		echo '</table>';

		return TRUE;
	}

	/**
	 * Добавляет элемент в базу данных
	 * 
	 * @return boolean
	 */
	public function new_module()
	{
		if (empty($_GET["save_post"]))
		{
			parent::new_module();
			return;
		}

		header('Content-Type: text/html; charset=utf-8');
		$_POST["cat_id"]    = $this->diafan->cat;

		// Проверяет права на добавление
		if ($this->diafan->admin_roles('addnew'))
		{
			$this->diafan->redirect(URL);
			return FALSE;
		}
		$names = array();
		$values = array();
		if ($this->config_module["element"])
		{
			$names[] = 'cat_id';
			$values[] = "'".$this->diafan->cat."'";
		}
		$names[] = 'site_id';
		if ($this->config_module["element"] && $this->diafan->cat)
		{
			$values[] = "'".DB::query_result("SELECT site_id FROM {photo_category} WHERE id=%d", $this->diafan->cat)."'";
		}
		else
		{
			if ($this->diafan->site)
			{
				$values[] = "'".$this->diafan->site."'";
			}
			else
			{
				$values[] = "'".DB::query_result("SELECT id FROM {site} WHERE addmodule='photo'")."'";
			}
		}
		DB::query("INSERT INTO {photo} (".implode(',', $names).") VALUES (".implode(',', $values).")");
		$this->diafan->save = DB::next_id("photo");
		DB::query("UPDATE {photo} SET sort=id WHERE id=%d", $this->diafan->save);

		if ($this->config_module["element"] && $this->diafan->cat)
		{
			DB::query("INSERT INTO {photo_category_rel} (element_id, cat_id) VALUES (%d, %d)", $this->diafan->save, $this->diafan->cat);
		}
		$this->save_image_module();

		$result["success"] = TRUE;
		$result["hash"]    = $this->diafan->_user->get_hash();

		$images_row = DB::fetch_array(DB::query("SELECT id, name FROM {images} WHERE element_id=%d AND module_name='%s' AND trash='0'"
		                                        ." ORDER BY sort ASC LIMIT 1", $this->diafan->save, $this->table));

		$result["result"] = '<tr altcolor="#eeeeee" class="tr">';
		if (! $this->diafan->site && DB::query_result("SELECT COUNT(*) FROM {site} WHERE addmodule='photo'") > 1)
		{
			$result["result"] .= '<td class="parent_name">'.($this->diafan->site ? DB::query_result("SELECT name FROM {site} WHERE id=%d", $this->diafan->site) : '').'</td>';
		}
		if ($this->config_module["element"])
		{
			$result["result"] .= '<td class="parent_name">'.($this->diafan->cat ? DB::query_result("SELECT name FROM {photo_category} WHERE id=%d", $this->diafan->cat) : '').'</td>';
		}
		$result["result"] .= '
			<td>
				<a href="'.BASE_PATH_HREF.$this->diafan->rewrite.($this->diafan->cat ? '/cat'.$this->diafan->cat : '').'/edit'.$this->diafan->save.'/"'
				.' title="Редактировать ('.$this->diafan->save.')">'
				.'<img src="'.BASE_PATH.USERFILES.'/'.$this->diafan->rewrite.'/small/'.$images_row["name"].'" border="0"></a>
			</td>
			<td class="tdedit" style="padding-left: 5px; width: 70%;">
				<font> <a href="'.BASE_PATH_HREF.$this->diafan->rewrite.($this->diafan->cat ? '/cat'.$this->diafan->cat : '').'/edit'.$this->diafan->save.'/" title="Редактировать ('.$this->diafan->save.')" class="noplus">'.$this->diafan->save.'</a></font>
			</td>';
		$result["result"] .= '<td>
				<div class="actions">
					<span>
						<nobr>
						'.(! $this->diafan->admin_roles('act') ? '
							<a href="'.URL.'unblock'.$this->diafan->save.'/" title="'._ADMIN_UNBLOCK.'"><img src="'.BASE_PATH.'adm/img/unblock.gif"></a>
						' : '').'
						'.(! $this->diafan->admin_roles('del') ? '
							<a href="'.URL.'trash'.$this->diafan->save.'/" title="'._LANG_DELETE.'"'
							.' onclick="if (! confirm(\''._ADMIN_CONFIRM_TRASH.'\')){ return false; }">'
							.'<img src="'.BASE_PATH.'adm/img/delete.gif"></a>
						'.(! $this->diafan->admin_roles('order') && ($this->diafan->cat || ! $this->config_module["element"]) ? '
						' : '').'
							<a href="'.URL.'up'.$this->diafan->save.'/" title="'._ADMIN_UP.'"><img src="'.BASE_PATH.'adm/img/up.gif"></a>
						' : '').'
						</nobr>
					</span>
				</div>
			</td>
			<td class="checkbox">
				<input name="ids[]" value="'.$this->diafan->save.'" type="checkbox">
			</td>
		</tr>';
		include_once(ABSOLUTE_PATH.'plugins/json.php');
		echo to_json($result);
		exit;
	}

	/**
	 * Редактирование поля "Фотография"
	 * @return boolean true
	 */
	protected function edit_image_module()
	{
		if(! $this->diafan->addnew)
		{
			$images_row = DB::fetch_array(DB::query("SELECT id, name FROM {images} WHERE element_id=%d AND module_name='%s' AND trash='0' ORDER BY sort DESC LIMIT 1", $this->diafan->edit, $this->table));

			if ($images_row && file_exists(ABSOLUTE_PATH.USERFILES."/".$this->table."/small/".$images_row["name"]))
			{
				list($w, $h) = getImageSize(ABSOLUTE_PATH.USERFILES.'/'.$this->table.'/'.$images_row["name"]);
				$w += 40;
				$h += 40;
				echo "
				<tr>
					<td align=\"right\">
					</td>
					<td>
						<a href=\"#\" onclick=\"javascript: window.open('http://".BASE_URL."/".USERFILES."/".$this->table.'/'.$images_row["name"]."', ''
						, 'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=".$w.",height=".$h."');
						return false;\">"
						.'<img src="http://'.BASE_URL."/".USERFILES."/".$this->table.'/small/'.$images_row["name"].'" border="0"></a>
					</td>
				</tr>';
			}
		}
		echo '
		<tr>
			<td align="right">'.$this->variable_names().'</td>
			<td>
				<input type="file" name="images" size="40">
				'.$this->show_help_row().'
			</td>
		</tr>';

		return TRUE;
	}

	/**
	 * Сохранение поля "Фотография"
	 * @return boolean true
	 */
	protected function save_image_module()
	{
		if (isset($_GET['qqfile']))
		{
			$_FILES["images"]['name'] = $_GET['qqfile'];
			$_FILES["images"]['tmp_name'] = $this->qq_temp_name();
		}
		elseif (isset($_FILES['qqfile']))
		{
			$_FILES["images"] = $_FILES['qqfile'];
		}

		if (isset($_FILES["images"]) && is_array($_FILES["images"]) && $_FILES["images"]['name'] != '')
		{
			$err = $this->upload_image();
			if ($err)
			{
				unlink($_FILES["images"]['tmp_name']);
				if (! empty($_SERVER["HTTP_X_REQUESTED_WITH"]) && $_SERVER["HTTP_X_REQUESTED_WITH"] == 'XMLHttpRequest')
				{
					echo '{error: "'.$err.' '.$_FILES["images"]['tmp_name'].'", hash : "'.$this->diafan->_user->get_hash().'"}';
					exit;
				}
				else
				{
					echo '<script language="javascript" type="text/javascript">alert(\''.$err.'\');history.go(-1);</script>';
				}
			}
		}
		unlink($_FILES["images"]['tmp_name']);

		return TRUE;
	}

	private function qq_temp_name()
	{
        $input = fopen("php://input", "r");
		$tmpfname = tempnam(ABSOLUTE_PATH.USERFILES.'/photo', "diafan");

		$temp = fopen($tmpfname, "w");

        $realSize = stream_copy_to_stream($input, $temp);
        fclose($input);
		fclose($temp);

        if (! isset($_SERVER["CONTENT_LENGTH"]) || $realSize != (int)$_SERVER["CONTENT_LENGTH"])
		{            
            return false;
        }
		
		return $tmpfname;
    }

	/**
	 * Загружает фотографию
	 * @return string|boolean false
	 */
	private function upload_image()
	{
		include_once(ABSOLUTE_PATH."includes/image.php");

		$result = DB::query("SELECT id, name FROM {images} WHERE module_name='%s' AND element_id='%d'", $this->table, $this->diafan->save);
		while ($row = DB::fetch_array($result))
		{
			unlink(ABSOLUTE_PATH.USERFILES.'/'.$this->table.'/'.$row["name"].'_'.$row["id"].'.jpg');
			unlink(ABSOLUTE_PATH.USERFILES.'/'.$this->table.'/medium/'.$row["name"].'_'.$row["id"].'.jpg');
			unlink(ABSOLUTE_PATH.USERFILES.'/'.$this->table.'/small/'.$row["name"].'_'.$row["id"].'.jpg');
		}
		DB::query("DELETE FROM {images} WHERE module_name='%s' AND element_id='%d'", $this->table, $this->diafan->save);

		if (! isset($_FILES["images"]) || ! is_array($_FILES["images"]) || $_FILES["images"]['name'] == '')
		{
			return _ADMIN_NO_FILE_FOR_UPLOAD;
		}

		$new_name = strtolower($this->diafan->translit($_FILES["images"]['name']));
		$extension = substr(strrchr($new_name, '.'), 1);
		$new_name = substr($new_name, 0, - (strlen($extension) + 1));
		if (strlen($new_name) + strlen($extension) > 49)
		{
			$new_name = substr($new_name, 0, 49 - strlen($extension));
		}

		if (! in_array($extension, array('gif', 'jpeg', 'jpg', 'jpe', 'png')))
		{
			return '<br>'.sprintf(_LANG_ATTACHMENT_EXTENSIONS, 'gif, jpeg, jpg, jpe, png');
		}

		if (! $this->diafan->configmodules("big_width") || ! $this->diafan->configmodules("big_height"))
			return _ADMIN_NO_CONFIG_BIG_SIZE;

		if (! $this->diafan->configmodules("medium_width") || ! $this->diafan->configmodules("medium_height"))
			return _ADMIN_NO_CONFIG_MEDIUM_SIZE;

		list($width, $height) = getImageSize($_FILES["images"]['tmp_name']);
		if ($width > $this->diafan->configmodules("big_width")|| $height > $this->diafan->configmodules("big_height"))
		{
			if (! Image::resize($_FILES["images"]['tmp_name'],
				$this->diafan->configmodules("big_width"),
				$this->diafan->configmodules("big_height"),
				$this->diafan->configmodules("big_quality")
			))
				return _ADMIN_INCORRECT_FORMAT_FILE;
		}

		$size = filesize($_FILES["images"]['tmp_name']);

		$new_name = $new_name.'.'.$extension;

		DB::query("INSERT INTO {images} (name, module_name, element_id, size) VALUES ('%s', '%s', '%d', '%d')",
			  $new_name,
			  $this->table,
			  $this->diafan->save,
			  $size
		);

		$id = DB::next_id("images");
		$new_name = $id.'_'.$new_name;
		DB::query("UPDATE {images} SET name='%h' WHERE id=%d", $new_name, $id);

		if (! copy($_FILES["images"]['tmp_name'], ABSOLUTE_PATH.USERFILES."/".$this->table."/".$new_name))
			return _ADMIN_NO_UPLOAD_FILE;

		list($width, $height) = getImageSize( $_FILES["images"]['tmp_name']);

		if ($width > $this->diafan->configmodules("medium_width") || $height > $this->diafan->configmodules("medium_height"))
		{
			if (! Image::resize($_FILES["images"]['tmp_name'],
					$this->diafan->configmodules("medium_width"),
					$this->diafan->configmodules("medium_height"),
					$this->diafan->configmodules("medium_quality")
			))
				return _ADMIN_INCORRECT_FORMAT_FILE;
		}

		if (! copy($_FILES["images"]['tmp_name'], ABSOLUTE_PATH.USERFILES."/".$this->table."/medium/".$new_name))
			return _ADMIN_NO_UPLOAD_FILE;

		list($width, $height) = getImageSize( $_FILES["images"]['tmp_name']);

		if ($width > 50|| $height > 50)
		{		
			if (! Image::resize($_FILES["images"]['tmp_name'], 50, 50, 70))
				return _ADMIN_INCORRECT_FORMAT_FILE;
		}
		if (! copy($_FILES["images"]['tmp_name'], ABSOLUTE_PATH.USERFILES."/".$this->table."/small/".$new_name))
			return _ADMIN_NO_UPLOAD_FILE;

		chmod(ABSOLUTE_PATH.USERFILES."/".$this->table."/".$new_name, 0755);
		chmod(ABSOLUTE_PATH.USERFILES."/".$this->table."/medium/".$new_name, 0755);
		chmod(ABSOLUTE_PATH.USERFILES."/".$this->table."/small/".$new_name, 0755);

		DB::query("UPDATE {images} SET sort=id WHERE sort=0");

		return FALSE;
	}
}