<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Rating_inc
 *
 * Подключение модуля "Рейтинг"
 */
class Rating_inc extends Model
{
	/**
	 * @var array сгенерированные в моделе данные, передаваемые в шаблон
	 */
	public $result;

	/**
	 * @var object основной объект системы
	 */
	public $diafan;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	function __construct(&$diafan)
	{
		$this->diafan = &$diafan;
	}

	/**
	 * Показывает рейтинг для элемента
	 *
	 * @param integer $element_id номер элемента модуля
	 * @param string $module_name название модуля
	 * @return string
	 */
	function get($element_id = 0, $module_name = '')
	{
		$this->result["module_name"] = ! $module_name ? $this->diafan->module : $module_name;
		$this->result["element_id"]  = ! $element_id ? $this->diafan->show : $element_id;
		
		$this->result["rating"] = round(DB::query_result("SELECT rating FROM {rating} WHERE element_id='%d' AND module_name='%s' AND trash='0'",
								 $this->result["element_id"],
								 $this->result["module_name"]
								 ));

		return $this->diafan->_tpl->get('get', 'rating', $this->result);
	}

	/**
	 * Показывает форму оценки элемента
	 *
	 * @param integer $element_id номер элемента модуля
	 * @param string $module_name название модуля
	 * @return string|boolean false
	 */
	function add($element_id = 0, $module_name = '')
	{
		$this->result["module_name"] = ! $module_name ? $this->diafan->module : $module_name;
		$this->result["element_id"]  = ! $element_id ? $this->diafan->show : $element_id;

		if ($this->diafan->configmodules('security_user', 'rating') && ! $this->diafan->_user->id)
			return FALSE;

		if (session_id() && $this->diafan->configmodules('security', 'rating') == 3
		   && DB::query_result("SELECT COUNT(id) FROM {log_note} WHERE session_id='%s'"
				       ." AND element_id='%d' AND module_name='%s' AND include_name='rating'",
				       $this->diafan->configmodules('security_user', 'rating') ? $this->diafan->_user->id : session_id(),
					   $this->result["element_id"], $this->result["module_name"])
		   )
			return FALSE;

		if (session_id() && $this->diafan->configmodules('security', 'rating') == 4
		   && ! empty($_SESSION["rating"][$this->result["element_id"].$this->result["module_name"]]))
			return FALSE;

		$this->result["captcha"] = '';
		if ($this->diafan->configmodules('security', 'rating') == 2)
		{
			$this->result["captcha"] = $this->diafan->_captcha->get("rating".$this->result["element_id"].$this->result["module_name"],
								    $this->get_error("rating".$this->result["element_id"].$this->result["module_name"], "code"));
		}
		$this->result["error"]  = $this->get_error("comments");

		$text = $this->diafan->_tpl->get('form', 'rating', $this->result);
		return $text;
	}
}