<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Registration_view
 *
 * Шаблон модуля "Регистрация"
 */
class Registration_view extends View
{
	/**
	 * Шаблон формы регистрации
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return boolean true
	 */
	public function form($result)
	{
		echo '<script type="text/javascript" src="'.BASE_PATH.'modules/registration/registration.js"></script>

		<form action="'.$result["action"].'" method="POST" class="registration_form ajax">
			<input type="hidden" name="ajax" value="">
			<input type="hidden" name="module" value="registration">
			<input type="hidden" name="url" value="'.$result["url"].'">
			<input type="hidden" name="action" value="'.(! empty($result["user_id"]) ? 'edit' : 'addnew').'">';
			if (! empty($result["user_id"]))
			{
				echo '<input type="hidden" name="check_hash_user" value="'.$result["hash"].'">';
			}
			echo '<div class="infofield">'.$this->_('NAME_SURNAME').(empty($result["user_id"]) ? '<font color="red">*</font>' : '').':</div>
			<input type = "text" maxLength="70" name="fio" size="40" class="inptext" value="'.$result["fio"].'">
			<div class="errors error_fio"'.($result["error_fio"] ? '>'.$result["error_fio"] : ' style="display:none">').'</div>

			<div class="infofield">'.$this->_('EMAIL').(empty($result["user_id"]) ? '<font color="red">*</font>' : '').':</div>
			<input type = "text" maxLength="70" name="mail" size="40" class="inptext" value="'.$result["mail"].'">
			<div class="errors error_mail"'.($result["error_mail"] ? '>'.$result["error_mail"] : ' style="display:none">').'</div>

			<div class="infofield">'.$this->_('LOGIN').(empty($result["user_id"]) ? '<font color="red">*</font>' : '').':</div>
			<input type = "text" maxLength="70" name="name" size="40" class="inptext" value="'.$result["name"].'">
			<div class="errors error_name"'.($result["error_name"] ? '>'.$result["error_name"] : ' style="display:none">').'</div>

			<div class="infofield">'.$this->_('PASSWORD').(empty($result["user_id"]) ? '<font color="red">*</font>' : '').':</div>
			<input type = "password" maxLength="70" name="password" size="40" class="inptext">
			<div class="errors error_password"'.($result["error_password"] ? '>'.$result["error_password"] : ' style="display:none">').'</div>

			<div class="infofield">'.$this->_('RETURN_PASSWORD').(empty($result["user_id"]) ? '<font color="red">*</font>' : '').':</div>
			<input type="password" maxLength="70" name="password2" size="40" class="inptext">';
			
			if ($result["use_avatar"])
			{
				echo '<div class="infofield">'.$this->_('AVATAR').':</div>
				<div class="registration_avatar">';
					if (! empty($result["avatar"]))
					{
						echo self::avatar($result);
					}
					echo '
				</div>
				<input type="file" name="avatar" class="inpfile">
				<div class="registration_text">'.sprintf($this->_('AVATAR_INFO'), $result["avatar_width"], $result["avatar_height"]).'</div>
				<div class="errors error_avatar"'.($result["error_avatar"] ? '>'.$result["error_avatar"] : ' style="display:none">').'</div>';
			}
	  
			if (! empty($result["language"]))
			{
				echo '<div class="infofield">'.$this->_('LANGUAGE').':</div>
				<select name="language" class="inpselect">';
				foreach ($result["language"] as $row)
				{
					echo '
					<option value="'.$row["value"].'"'.$row["selected"].'>'.$row["name"].'</option>';
				}
				
				echo '</select>';
			}

			if (! empty($result["rows_param"]))
			{
				foreach ($result["rows_param"] as $row)
				{
					$value = ! empty($result["user"]['p'.$row["id"]]) ? $result["user"]['p'.$row["id"]] : '';
					echo '<div class="param'.$row["id"].'">';
					if ($row["type"] == 'text' || $row["type"] == "email")
					{
						echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
						<input type="text" name="p'.$row["id"].'" size="40" value="'.$value.'" class="inptext">';
					}
					elseif ($row["type"] == 'textarea')
					{
						echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
						<textarea name="p'.$row["id"].'" class="inptext" rows="10" cols="30">'.$value.'</textarea>';
					}
					elseif ($row["type"] == 'date')
					{
						if (empty($timecalendar))
						{
							echo '<link rel="stylesheet" href="'.BASE_PATH.'css/timecalendar.css">
							<script type="text/javascript" src="'.BASE_PATH.'js/timecalendar.js"></script>';
						}
						echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
						<input type="text" name="p'.$row["id"].'" size="20" value="'.($value ? date("d.m.Y", $value) : '').'" class="inptext timecalendar" showTime="false">';
						$timecalendar  = TRUE;
					}
					elseif ($row["type"] == 'numtext')
					{
						echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
						<input type="text" name="p'.$row["id"].'" size="5" value="'.$value.'" class="inpnum">';
					}
					elseif ($row["type"] == 'checkbox')
					{
						echo '<div class="infofield"><input type="checkbox" name="p'.$row["id"].'" value="1" class="inpcheckbox"'.($value ? ' checked' : '').'>
						'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').'</div>';
					}
					elseif ($row["type"] == 'select')
					{
						echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>
						<select name="p'.$row["id"].'" class="inpselect">
							<option value="">-</option>';
						foreach ($row["select_array"] as $select)
						{
							echo '<option value="'.$select["id"].'"'.($value == $select["id"] ? ' selected' : '').'>'.$select["name"].'</option>';
						}
						echo '</select>';
					}
					elseif ($row["type"] == 'multiple')
					{
						echo '<div class="infofield">'.$row["name"].($row["required"] ? '<font color="red">*</font>' : '').':</div>';
						foreach ($row["select_array"] as $select)
						{
							echo '<br><input name="p'.$row["id"].'[]" value="'.$select["id"].'"'.($value && in_array($select["id"], $value) ? ' checked' : '').' class="inpcheckbox"> '.$select["name"];
						}
					}
					echo '<div class="registration_form_param_text">'.$row["text"].'</div>
					</div>
					<div class="errors error_p'.$row["id"].'"'.($result["error_p".$row["id"]] ? '>'.$result["error_p".$row["id"]] : ' style="display:none">').'</div>';
				}
			}
			echo $result["captcha"];
			echo '<br>
			<input type="submit" value="'.(! $result["user_id"] ? $this->_('REGISTRATION', FALSE) : $this->_('SAVE', FALSE)).'" class="button">
			<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>
		</form>';

		return TRUE;
	}

	/**
	 * Шаблон вывода аватара
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return string
	 */
	public function avatar($result)
	{
		$text = '<img src="'.BASE_PATH.'userfiles/avatar/'.$result["name"].'.png?'.rand(0, 99).'" width="'.$result["avatar_width"].'" height="'.$result["avatar_height"].'" alt="'.$result["fio"].' ('.$result["name"].')" class="avatar">
		<a href="#" class="registration_avatar_delete">x</a>';

		return $text;
	}

	/**
	 * Шаблон формы авторизации
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return string
	 */
	public function show_login($result)
	{
		if (! $result["user"])
		{
			$text = '<div class="login">';
				$text .= $result["error"];
				$text .= '<form method="post" action="'.$result["action"].'">
				<input type="hidden" name="action" value="auth">
				<div class="infofield">'.$this->_('LOGIN').'</div>
				<input type="text" name="name" value="" class="inptext">
				<br>
				<div class="infofield">'.$this->_('PASSWORD').'</div>
				<input type="password" name="pass" value="" class="inptext">
				<div class="inpbutton"><input type="submit" value="'.$this->_('OK', FALSE).'" class="button"></div>';
				if (empty($result["hide"]))
				{
					$text .= '<div class="login_reminding"><a href="'.$result["reminding"].'">'.$this->_('FOGOT_PASSWORD').'</a></div>
					<div class="login_registration"><a href="'.$result["registration"].'">'.$this->_('REGISTRATION').'</a></div>';
				}
				$text .= '</form>
			</div>
			';
		}
		else
		{
			$text = '<div class="login">';
			if (! empty($result["avatar"]))
			{
				$text .= '<img src="'.BASE_PATH.'userfiles/avatar/'.$result["name"].'.png" width="'.$result["avatar_width"].'" height="'.$result["avatar_height"].'" alt="'.$result["fio"].' ('.$result["name"].')" class="login_avatar">';
			}
			$text .= $this->_('HELLO').', '.$result["fio"].'!
			<br>
			<a href="'.BASE_PATH_HREF.'logout/">'.$this->_('LOGOUT').'</a>
			<br>
			<a href="'.$result["registration"].'">'.$this->_('EDIT_YOUR_INFORMATION').'</a></div>';
		}
		return $text;
	}
}