<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Reminding_model
 *
 * Модель модуля "Восстановление пароля"
 */
class Reminding_model extends Model
{
	/**
	 * @var array сгенерированные в моделе данные, передаваемые в шаблон
	 */
	protected $result;

	/**
	 * @var object основной объект системы
	 */
	protected $diafan;

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct(&$diafan)
	{
		$this->diafan = &$diafan;
	}

	/**
	 * Генерирует данные для формы восстановления пароля
	 * 
	 * @return array
	 */
	public function form()
	{
		if ($this->diafan->_user->id)
		{
			$this->diafan->redirect(BASE_PATH_HREF);
		}
		
		$this->result["captcha"] = '';
		if ($this->diafan->configmodules('security_code', "usersite"))
		{
			$this->result["captcha"] = $this->diafan->_captcha->get("reminding", $this->get_error("reminding", "code"));
		}
		$this->result["action"]         = BASE_PATH_HREF.$this->diafan->_route->current_link();
		$this->result["error"]          = $this->get_error("reminding");
		$this->result["error_name"]     = $this->get_error("reminding", 'name');
		$this->result["error_mail"]     = $this->get_error("reminding", 'mail');
		return $this->result;
	}
}