<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Shop_admin_ordercount
 *
 * Отчет о продажах
 */
class Shop_admin_ordercount extends Frame_admin
{
	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;
		$this->table = 'shop_order_count_goods';
		
		$this->config_module = array(
			'del'   => 1, //удалить
			'trash' => 1  //использовать корзину
		);

		if ($this->diafan->edit)
		{
			include_once(ABSOLUTE_PATH.'includes/404.php');
		}
	}

	/**
	 * Выводит список заказов
	 * @return boolean true
	 */
	public function show_module()
	{
		$where   = " WHERE trash='0'";
		$get_nav = '';
		$result["date_start"]  = '';
		if (! empty($_GET["date_start"]))
		{
			$result["date_start"] = $this->diafan->unixdate($_GET["date_start"]);
			$where = " AND created>='".$result["date_start"]."'";
			$result["date_start"] = date('d.m.Y H:i', $result["date_start"]);

			$get_nav = '?date_start='.$result["date_start"];
		}
		$result["date_finish"] = '';
		if (! empty($_GET["date_finish"]))
		{
			$result["date_finish"] = $this->diafan->unixdate($_GET["date_finish"]);
			$where .= " AND created<='".$result["date_finish"]."'";
			$result["date_finish"] = date('d.m.Y H:i', $result["date_finish"]);

			$get_nav .= ($get_nav ? '&' : '?').'date_finish='.$result["date_finish"];
		}

		$this->diafan->_paginator->page    = $this->diafan->page;
		$this->diafan->_paginator->navlink = $this->diafan->rewrite.'/';
		$this->diafan->_paginator->get_nav = $get_nav;
		$this->diafan->_paginator->nen     = DB::query_result("SELECT COUNT(*) FROM {shop_order_count_goods}".$where);
		$result["links"] = $this->diafan->_paginator->get();

		$result["rows"] = array();
		$result["summ"] = DB::query_result("SELECT SUM(summ) FROM {shop_order_count_goods}".$where);
		$result_q = DB::query_range("SELECT * FROM {shop_order_count_goods}".$where." ORDER BY created DESC", $this->diafan->_paginator->polog, $this->diafan->_paginator->nastr);
		while ($row = DB::fetch_array($result_q))
		{
			$row["link"] = BASE_PATH_HREF.'shop/edit'.$row["good_id"].'/';
			$row["name"] = DB::query_result("SELECT name FROM {shop} WHERE id=%d", $row["good_id"]);
			if ($row["param_value"])
			{
				$param_name  = DB::query_result("SELECT [name] FROM {shop_param} WHERE id IN (SELECT param_id FROM {shop_price} WHERE good_id=%d AND param_value=%d)", $row["good_id"], $row["param_value"]);
				$param_value = DB::query_result("SELECT [name] FROM {shop_param_select} WHERE id=%d", $row["param_value"]);
				$row["name"] .= ', '.$param_name.': '.$param_value;
			}
			if ($row["user_id"])
			{
				if ($row["type"] == 'admin')
				{
					$row["user_link"] = BASE_PATH_HREF.'users/edit'.$row["user_id"].'/';
					$row["user"]      = DB::query_result("SELECT fio FROM {users} WHERE id=%d", $row["user_id"]);
				}
				else
				{
					$row["user_link"] = BASE_PATH_HREF.'usersite/edit'.$row["user_id"].'/';
					$row["user"]      = DB::query_result("SELECT fio FROM {users_site} WHERE id=%d", $row["user_id"]);
				}
			}
			$result["rows"][] = $row;
		}
		$this->template($result);
		return TRUE;
	}

	/**
	 * Шаблон вывода
	 * @return boolean true
	 */
	protected function template($result)
	{
		echo '
		<link rel="stylesheet" href="'.BASE_PATH.'css/timecalendar.css" />
		<script type="text/javascript" src="'.BASE_PATH.'js/timecalendar.js"></script>

		<form action="" method="GET">
		'._ADMIN_CREATED.': <input type="text" name="date_start" value="'.$result["date_start"].'" class="timecalendar"> - 
		<input type="text" name="date_finish" value="'.$result["date_finish"].'" class="timecalendar">
		<input type="submit" value="'._LANG_SEARCH.'">
		</form>
		<br>
		<table class="list">
		<tr>
			<td><b>'._ADMIN_CREATED.'</b></td>
			<td><b>'._ADMIN_GOOD_ID.'</b></td>
			<td><b>'._LANG_COUNT.'</b></td>
			<td><b>'._LANG_SUM.'</b></td>
			<td><b>'._ADMIN_SHOPORDER_NUMBER.'</b></td>
			<td><b>'._ADMIN_USER_ID.'</b></td>
			<td></td>
		</tr>';
		foreach ($result["rows"] as $row)
		{
			echo '<tr altcolor="#eeeeee" class="tr">
			<td>'.date("d.m.Y H:i", $row["created"]).'</td>
			<td><a href="'.$row["link"].'">'.$row["name"].'</a></td>
			<td>'.$row["count_goods"].'</td>
			<td>'.$this->diafan->format_price($row["summ"]).' '.$this->diafan->configmodules("currency", "shop").'</td>
			<td><a href="'.BASE_PATH_HREF.'shop/order/edit'.$row["order_id"].'/">'.$row["order_id"].'</a></td>
			<td>';
			if (! empty($row["user"]))
			{
				echo '<a href="'.$row["user_link"].'">'.$row["user"].'</a>';
			}
			echo '</td>
			<td>
			<div class="actions" row_id="'.$row["id"].'"><span><a href="javascript:void(0);" title="'._LANG_DELETE.'" confirm="'._ADMIN_CONFIRM_TRASH.'" action="trash"><img src="'.BASE_PATH.'adm/img/delete.gif"></a></span></div>
			</td>
			</tr>';
		}
		echo '
		<tr>
			<td align="right" colspan="3"><b>'._LANG_GOODS_TOTAL.':</b></td>
			<td colspan="4">'.$this->diafan->format_price($result["summ"]).' '.$this->diafan->configmodules("currency", "shop").'</td>
		</tr>
		</table>';
		echo $this->diafan->_tpl->get('get_admin', 'paginator', $result["links"]);
		return TRUE;
	}
}