<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Shop_install
 *
 * Установка модуля "Магазин"
 */

$title = "Каталог товаров";

$sql = array(
	"CREATE TABLE {shop} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` TEXT NOT NULL DEFAULT '',")."
		".multilang("`actLANG` ENUM('0', '1') NOT NULL DEFAULT '0',")."
		`article` VARCHAR(30) NOT NULL DEFAULT '',
		`map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`site_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`keywordsLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`descrLANG` text NOT NULL DEFAULT '',")."
		".multilang("`title_metaLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`anonsLANG` text NOT NULL DEFAULT '',")."
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`yandex` TEXT NOT NULL DEFAULT '',
		`show_yandex` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		`no_buy` ENUM('0', '1') NOT NULL DEFAULT '0',
		`import` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		`import_id` VARCHAR( 32 ) NOT NULL DEFAULT '',
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`timeedit` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY site_id (`site_id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`good_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`rel_good_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_category} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` TEXT NOT NULL DEFAULT '',")."
		".multilang("`actLANG` ENUM('0', '1') NOT NULL DEFAULT '0',")."
		`map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		`parent_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`count_children` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
		`site_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`keywordsLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`descrLANG` text NOT NULL DEFAULT '',")."
		".multilang("`title_metaLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`anonsLANG` text NOT NULL DEFAULT '',")."
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`show_yandex` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		`import` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		`import_id` VARCHAR( 32 ) NOT NULL DEFAULT '',
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`timeedit` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY parent_id (`parent_id`),
		KEY site_id (`site_id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_category_parents} (
		`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
		`element_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`parent_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_order} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`user_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`created` INT(12) UNSIGNED NOT NULL DEFAULT '0',
		`status` ENUM('0', '1', '2', '3', '4', '5') NOT NULL DEFAULT '0',
		`language` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		`summ` FLOAT NOT NULL DEFAULT '0',
		`payment` CHAR(1) NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_price} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`good_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`price` FLOAT UNSIGNED NOT NULL DEFAULT '0',
		`count_goods` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`param_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`param_value` TINYINT( 2 ) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY parent_id (`good_id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_payment} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`order_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`state` ENUM('I','R','S','G','F') NOT NULL DEFAULT 'I',
		`timestamp` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
		`RND` varchar(8) NOT NULL DEFAULT '',
		`LMI_SYS_INVS_NO` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`LMI_SYS_TRANS_NO` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`LMI_SYS_TRANS_DATE` VARCHAR(17) DEFAULT NULL,
		`LMI_PAYER_PURSE` VARCHAR(13) DEFAULT NULL,
		`LMI_PAYER_WM` VARCHAR(12) DEFAULT NULL,
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_order_goods} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`order_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`good_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`count_goods` INT(5) UNSIGNED NOT NULL DEFAULT '0',
		`price` float NOT NULL DEFAULT '0',
		`depend_price` TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_param} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		`type` VARCHAR(20) NOT NULL DEFAULT '',
		`site_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`search` ENUM('0', '1') NOT NULL DEFAULT '0',
		`list` ENUM('0', '1') NOT NULL DEFAULT '0',
		`block` ENUM('0', '1') NOT NULL DEFAULT '0',
		`required` ENUM('0', '1') NOT NULL DEFAULT '0',
		`page` ENUM('0', '1') NOT NULL DEFAULT '0',
		`good_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_param_element} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`valueLANG` text NOT NULL DEFAULT '',")."
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`element_id`  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY element_id (`element_id`),
		KEY param_id (`param_id`),
		KEY value (`value` (5))
	) CHARSET=utf8",

	"CREATE TABLE {shop_param_select} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`value` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`nameLANG` VARCHAR(50) NOT NULL DEFAULT '',")."
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY param_id (`param_id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_param_good} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`value` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`good_id`  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY good_id (`good_id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_param_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_order_param} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		".multilang("`nameLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
		".multilang("`textLANG` text NOT NULL DEFAULT '',")."
		`type` VARCHAR(20) NOT NULL DEFAULT '',
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`required` ENUM('0', '1') NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_order_param_element} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`value` text NOT NULL DEFAULT '',
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`element_id`  INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"CREATE TABLE {shop_order_param_select} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`value` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
		".multilang("`nameLANG` VARCHAR(50) NOT NULL DEFAULT '',")."
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`),
		KEY param_id (`param_id`)
	) CHARSET=utf8",
	
	"CREATE TABLE {shop_order_count_goods} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`created` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`order_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`good_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`count_goods` INT( 5 ) UNSIGNED NOT NULL DEFAULT '0',
		`summ` FLOAT NOT NULL DEFAULT '0',
		`param_value` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`type` ENUM( 'admin', 'user' ) NOT NULL DEFAULT 'admin',
		`user_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8;",
	
	"CREATE TABLE {shop_discount} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`date_start` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`date_finish` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`discount` FLOAT NOT NULL DEFAULT '0',
		`act` ENUM('0', '1') NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8;",

	"CREATE TABLE {shop_discount_object} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`discount_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`good_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8;",

	"CREATE TABLE {shop_import_category} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`name` VARCHAR(250) NOT NULL DEFAULT '',
		`format` ENUM('csv', 'xls') NOT NULL DEFAULT 'csv',
		`type` ENUM('good', 'category') NOT NULL DEFAULT 'good',
		`delete_items` ENUM('0', '1') NOT NULL DEFAULT '0',
		`site_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8;",

	"CREATE TABLE {shop_import} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`name` VARCHAR(250) NOT NULL DEFAULT '',
		`cat_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
		`type` VARCHAR(10) NOT NULL DEFAULT '',
		`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY  (`id`)
	) CHARSET=utf8",

	"INSERT INTO {site} (id, count_children,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		3,
		2,
		".multilang("'".$title."',", "'The catalogue of the goods',", "'',")."
		".multilang("'1',")."
		'3',
		'".time()."',
		'shop'
	);",
	
	"INSERT INTO {rewrite} (id, rewrite, module_name, site_id) VALUES (3, 'shop', 'site', 3)",

	"INSERT INTO {site} (id, parent_id,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		10,
		3,
		".multilang("'Корзина',", "'Basket',", "'',")."
		".multilang("'1',")."
		'10',
		'".time()."',
		'basket'
	);",

	"INSERT INTO {site_parents} (parent_id, element_id) VALUES (3, 10)",

	"INSERT INTO {rewrite} (id, rewrite, module_name, site_id) VALUES (10, 'shop/basket', 'site', 10)",

	"INSERT INTO {site} (id, parent_id,
		".multilang("nameLANG,")."
		".multilang("actLANG,")."
		sort, timeedit, addmodule) VALUES (
		15,
		3,
		".multilang("'Оформление заказа',", "'Order registration',", "'',")."
		".multilang("'1',")."
		'15',
		'".time()."',
		'order'
	);",

	"INSERT INTO {site_parents} (parent_id, element_id) VALUES (3, 15)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id) VALUES ('shop/order', 'site', 15)",

	"INSERT INTO {adminsite} (id, group_id, count_children, name, rewrite, text, act, numrow, sort) VALUES (
		17,
		'1',
		9,
		'Магазин',
		'shop',
		'<p>Товары добавляются в создаваемые группы. Каждый товар имеет базовые характеристики: &quot;название, описание, цена&quot;. Для добавления характеристик к группам товаров используется модуль <a href=\"base_path/shop/param/\">&quot;Характеристики&quot;</a>.<br />\r\nЗаказы с сайта собираются в модуле <a href=\"base_path/shop/order/\">&quot;Заказы&quot;</a>, а также дублируются на e-mail, указанный в  <a href=\"base_path/shop/config/\">настройках модуля &quot;Магазин&quot;</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		670346,
		8
	);",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		57,
		17,
		'1',
		'Товары',
		'shop',
		'<p>Товары добавляются в создаваемые группы. Каждый товар имеет базовые характеристики: &quot;название, описание, цена&quot;. Для добавления характеристик к группам товаров используется модуль <a href=\"base_path/shop/param/\">&quot;Характеристики&quot;</a>.<br />\r\nЗаказы с сайта собираются в модуле <a href=\"base_path/shop/order/\">&quot;Заказы&quot;</a>, а также дублируются на e-mail, указанный в  <a href=\"base_path/shop/config/\">настройках модуля &quot;Магазин&quot;</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		5,
		17
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (57, 17)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		18,
		17,
		'1',
		'Категории',
		'shop/category',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		67,
		18
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (18, 17)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		19,
		17,
		'1',
		'Характеристики',
		'shop/param',
		'<p>Модуль управления дополнительными характеристиками для категорий товаров <a href=\"base_path/shop/\">магазина</a>.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		28,
		19
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (19, 17)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		20,
		17,
		'1',
		'Заказы',
		'shop/order',
		'<p>Заказы <a href=\"base_path/shop/\">магазина</a> собираются в этом модуле.</p>\r\n<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		347,
		20
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (20, 17)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		50,
		17,
		'1',
		'Отчет о продажах',
		'shop/ordercount',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		5890,
		21
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (50, 17)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		49,
		17,
		'1',
		'Оформление заказа',
		'shop/orderparam',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		28,
		22
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (49, 17)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		51,
		17,
		'1',
		'Скидки',
		'shop/discount',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		5890,
		23
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (51, 17)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `act`, `numrow`, `sort`) VALUES (
		52,
		17,
		'1',
		'Импорт',
		'shop/import',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		'1',
		378,
		24
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (52, 17)",

	"INSERT INTO {adminsite} (`id`, `parent_id`, `group_id`, `name`, `rewrite`, `text`, `numrow`, `sort`) VALUES (
		21,
		17,
		'1',
		'Настройки',
		'shop/config',
		'<p><a target=\"_blank\" href=\"http://cms.diafan.ru/dokument/\">Полная документация и помощь</a></p>',
		67,
		25
	);",

	"INSERT INTO {adminsite_parents} (`element_id`, `parent_id`) VALUES (21, 17)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'cat', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'images', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'big_width', '600')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'big_height', '600')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'big_quality', '90')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'medium_width', '150')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'medium_height', '150')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'medium_quality', '80')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'use_animation', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'list_img', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'count_list', '3')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'count_rel_goods', '3')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'nastr', '10')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'pid_array', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'search_price', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'search_text', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'search_name', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'search_article', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'format_price_3', ' ')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'currency', 'руб.')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'use_count_goods', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'currency', 'rub.', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'yandex', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'nameshop', '".TIT."')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'currencyyandex', 'RUR')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'currencyratesel', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'bid', '15')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'mes', 'Спасибо за Ваш заказ! В ближайшее время мы с Вами свяжемся для подтверждения заказа.')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'subject', 'Вы оформили заказ на сайте %%title (%%url).')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'message', 'Здравствуйте!<br>Вы оформили заказ на сайте %%title (%%url):<br><br>Номер заказа: %%id<br>%%order<br><br>Спасибо за Ваш заказ! В ближайшее время мы с Вами свяжемся для подтверждения заказа')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'subject_admin', '%%title (%%url). Новый заказ')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'message_admin', 'Здравствуйте, администратор сайта %%title (%%url)!<br>На сайте появился новый заказ номер %%id: %%order<br><br>%%message')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'mes', 'Thank you for your order! We will connect with you in near time to confirm order.', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'subject', 'You placed an order on web site %%title (%%url)', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'message', 'Hello, %%fio!<br>You placed an order on web site %%title (%%url):<br><br>Number of order: %%id<br>%%order<br><br>Thank you for your order! We will connect with you in near time to confirm order.', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'error_empty_fields', 'Пожалуйста, заполните обязательное поле')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'error_empty_fields', 'Please fill out the required field', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'courier_text', '<p>Спасибо за покупку! Курьер привезет Вашу покупку в любое удобное для Вас время.</p>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'courier_text', '<p>Thank you for your purchase! Courier will bring your purchase at any time convenient for you.</p>', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'courier', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'desc_order', 'Оплата товаров')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'desc_order', 'Payment for goods', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'pay_systems', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'webmoney', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'wm_text', '<p>Спасибо за покупку! Используйте мгновенную оплату заказа через систему WebMoney. Это ускорит доставку Вашего заказа.</p>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'wm_text', '<p>Thank you for your purchase! Use an instant payment for the order via WebMoney. This will speed up delivery of your order.</p>', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'robox', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'robox_text', '<p>Спасибо за покупку! Система Roboxchange позволяет оплатить заказ одним из удобных для Вас способом.</p>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'robox_text', '<p>Thank you for your purchase! The system allows Roboxchange Pay a convenient way for you.</p>', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash', '1')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_name', 'ООО &quot;Бумажный зоопарк&quot;')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_kpp', '000000000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_inn', '0000000000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_tax_department', 'Налоговый орган')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_okato', '00000000000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_ogrn', '0000000000000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_rs', '00000000000000000000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_bank', 'ООО &quot;Банк&quot;')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_bik', '000000000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_ks', '00000000000000000000')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_address', 'ул. Центральная д. 13 оф. 5')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_director', 'Иванов И. И.')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_glbuh', 'Петрова П. П.')",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'non_cash_text', '<p>Спасибо за покупку! Распечатайте квитанцию и оплатить в ближайшем отделении банка.</p>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'non_cash_text', '<p>Thank you for your purchase! Print receipts and pay in the nearest bank branch.</p>', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'payment_success_text', '<p>Спасибо, платеж успешно принят. В ближайшее время мы с Вами свяжемся для уточнения деталей заказа.</p>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'payment_success_text', '<p>Thank you for the payment was successful. In the near future we will contact you to clarify details of your order.</p>', 2)",

	"INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'payment_fail_text', '<p>Извините, платеж не прошел.</p>')",

	"INSERT INTO {config} (`module_name`, `name`, `value`, `lang_id`) VALUES ('shop', 'payment_fail_text', '<p>Sorry, the payment failed.</p>', 2)",

	"INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`, `required`) VALUES 
	(1, ".multilang("'ФИО или название компании',", "'Name&amp;Surname',", "'',")." 'text', 1, '1')",

	"INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`, `required`) VALUES 
	(2, ".multilang("'E-mail',")."'email', 2, '1')",

	"INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`, `required`) VALUES 
	(3, ".multilang("'Контактные телефоны (с кодом города)',", "'Telephones',", "'',")." 'text', 3, '1')",

	"INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
	(4, ".multilang("'Город',", "'Town',", "'',")." 'text', 4)",

	"INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
	(5, ".multilang("'Улица, проспект и пр.',", "'Street',", "'',")." 'text', 5)",

	"INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
	(6, ".multilang("'Номер дома',", "'House number',", "'',")." 'text', 6)",

	"INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
	(7, ".multilang("'Корпус',", "'Block',", "'',")." 'text', 7)",

	"INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
	(8, ".multilang("'Квартира, офис',", "'Flat, office',", "'',")." 'text', 8)",

	"INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
	(9, ".multilang("'Дополнительно',", "'More',", "'',")." 'textarea', 9)"
);
if (! empty($_POST["comments"]))
{
	$sql[] = "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'comments', '1')";
	$sql[] = "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'comments_cat', '1')";
}
if (! empty($_POST["tags"]))
{
	$sql[] = "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'tags', '1')";
}
if (! empty($_POST["rating"]))
{
	$sql[] = "INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('shop', 'rating', '1')";
}
	
$example = array(
	"UPDATE {site} SET
		".multilang(
			"text='<p>Чтобы положить товар в корзину, перейдите в каталог товаров.</p>'",
			", text2='<p>To put the goods in a basket, pass in the catalogue of the goods.</p>'",
			""
		)
	."WHERE id=10",

	"INSERT INTO {menu_category} (
		id".multilang(", nameLANG").multilang(", actLANG").", show_title
	) VALUES (
		2".multilang(", 'Каталог'", ", 'Catalogue'", ", ''").multilang(", '1'").", '1'
	)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		1,
		".multilang("'Коршун',", "'Vulture',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Дневная хишная птица, очень полезная в домашнем хозяйстве.</p>',",
			"'<p>Day rapacious a bird very useful in housekeeping.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Отличается:</p>\r\n<ul>\r\n    <li>широкая грудь</li>\r\n    <li>крепкие крылья</li>\r\n    <li>острое зрение</li>\r\n    <li>лапы короткие</li>\r\n</ul>\r\n<p>Питается мясом, любит змей, мелких грызунов.</p>',",
			"'<p>Differs:</p><ul><li>a broad chest</li><li>strong wings</li><li>an acute eyesight</li><li>paws short</li></ul><p>Eats meat, the dragon, small rodents loves.</p>',",
			"'',"
		)."
		1,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (1, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (1, 3100, 3, 10, 18)",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (1, 3200, 2, 10, 19)",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (1, 3500, 5, 10, 20)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		2,
		".multilang("'Рыбка-Карасик',", "'Fish-karasik',", "'',")."
		".multilang("'1',")."
		3,
		3,
		".multilang(
			"'<p>Караси &ndash; рыбка семейства карповых.<br />\r\nСпинной плавник длинный, глоточные зубы однорядные.</p>',",
			"'<p>Crucians &ndash; a small fish of family Cyprinoid.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Тело высокое с толстой спиной, умеренно сжатое с боков.<br />\r\nЧешуя крупная и гладкая на ощупь.</p>',",
			"'<p>Back fin long, a pharyngeal teeth single-row.</p><p>Body high with the thick back, moderately compressed from sides.<br />Scales large and smooth to the touch.</p>',",
			"'',"
		)."
		2,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (2, 3);",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (2, 100, 5, 10, 18)",

	"INSERT INTO {shop_price} (good_id, price, param_id, param_value) VALUES (2, 200, 10, 19)",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (2, 300, 3, 10, 20)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		3,
		".multilang("'Пеликан',", "'Pelican',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Пеликан &ndash; птица обитатель морских мелководий, неглубоких пресных и солёных озёр, устьев крупных рек.</p>',",
			"'<p>Pelican &mdash; a bird the inhabitant of sea shoal, superficial fresh and salty lakes, the large rivers.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Ходит неуклюже, но хорошо летает и плавает, может подолгу парить. С воды поднимается после разбега.</p>',",
			"'<p>Goes clumsily, but well flies and floats, can soar long. From water rises after running start.</p>',",
			"'',"
		)."
		3,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (3, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (3, 4700, 2)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		4,
		".multilang("'Гусь',", "'Goose',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>У гуся есть клюв, имеющий при основании большую высоту, чем ширину, и оканчивающийся ноготком с острым краем. По краям клюва идут мелкие зубчики.</p>',",
			"'<p>At a goose is a beak having at the basis the big height, than width, and terminating in a nail with a keen edge.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Гусь отличаются шеей средней длины, довольно высокими ногами, прикрепленными ближе к середине тела, и твердым бугром, или шпорой, на сгибе крыла. Перья и пух сильно развиты.</p>',",
			"'<p>Along the edges of a beak go small roughness.</p><p>Goose differ a neck of average length, high enough feet attached more close to the middle of a body, and a firm hillock, or a spur, on a wing bend. Feathers and down are strongly developed.</p>',",
			"'',"
		)."
		4,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (4, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (4, 1000, 30)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		5,
		".multilang("'Цапля',", "'Heron ',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Цапля живет на мелководье,  на заболоченных либо медленно текущих водоёмах.</p>',",
			"'<p>The heron lives on shoal, on boggy or slowly current reservoirs.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Отличает:</p>\r\n<ul>\r\n    <li>длинноногость</li>\r\n    <li>длинный и узкий, приплюснутый с боков клюв</li>\r\n    <li>сквозные ноздри.</li>\r\n</ul>\r\n<p>Цапля неподвижно стоит в воде и всматривается в воду, выискивая добычу.</p>',",
			"'<p>Distinguishes</p><ul><li>Long and narrow, flat beak from sides</li><li>Through nostrils.</li><li>The heron motionlessly costs in water and peers at water, trying to discover extraction.</li></ul>',",
			"'',"
		)."
		5,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (5, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (5, 6800, 5)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		6,
		".multilang("'Филин',", "'Eagle owl',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Для филина характерны глубокие и размеренные взмахи широких крыльев.</p>',",
			"'<p>For an eagle owl deep and measured waves of wide wings are characteristic.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Как правило, филин неторопливо летает над землей, высматривая добычу, чередуя машущий полет с непродолжительным планированием.</p>',"
			,
			"'<p>As a rule, the eagle owl slowly flies over the earth, looking out for extraction, alternating waving flight to short planning.</p>',"
			,
			"'',"
		)."
		6,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (6, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (6, 3600, 17)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		7,
		".multilang("'Сова',", "'Owl',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Сова &ndash; птица с большими ушными пучками перьев, очень большим отверстием уха.</p>',",
			"'<p>Owl &ndash; a bird with the big ear bunches of feathers, very big aperture of the ear which diameter exceeds diameter of the eye, a full obverse disk and rather narrow forehead.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Диаметр которого превышает диаметр глаза, полным лицевым диском и сравнительно узким лбом.</p>',"
			,
			"'',"
			,
			"'',"
		)."
		7,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (7, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (7, 3500, 8)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		8,
		".multilang("'Лебедь',", "'Swan',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Оперенье лебедя по своей окраске бывает либо чисто белое, либо серого или чёрного цвета.</p>',",
			"'<p>Feather of swan on the colouring is either purely white, or grey or black colour.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Самок и самцов внешне весьма трудно различать. Лебедей отличает более длинная шея, позволяющая в более глубоких водах обыскивать дно в поисках пищи, а также их величина, по которой они являются самыми крупными водными птицами. Размах их крыльев достигает двух метров, а вес может превышать 15 кг.</p>',"
			,
			"'<p>Females and males outwardly are rather difficult for distinguishing. Swans longer neck allowing in deeper waters to search a bottom in search of food, and also their size on which they are the largest water birds distinguishes. Scope of their wings reaches two metres, and the weight can exceed 15 kg.</p>',"
			,
			"'',"
		)."
		8,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (8, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (8, 8800, 33)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		9,
		".multilang("'Утенок',", "'Duckling',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Утенок &ndash; это детеныш утки, птицы средних размеров с относительно короткой шеей и цевкой, покрытой спереди поперечными щитками.</p>',",
			"'<p>The duckling is a cub of a duck, a bird of the average sizes with rather short neck, covered in front cross-section guards.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Окраска оперения разнообразна, у многих видов на крыле имеется особое зеркальце.</p>',"
			,
			"'<p>Plumage colouring is various, many kinds on a wing have a special pocket mirror.</p>',"
			,
			"'',"
		)."
		9,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (9, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (9, 3500, 1)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		10,
		".multilang("'Страус',", "'Ostrich',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Страус &ndash; бескилевая нелетающая птица.</p>',",
			"'<p>Ostrich &ndash; бескилевая not flying bird.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>В переводе с греческого &quot;страус&quot; означает &laquo;воробей-верблюд&raquo;.</p>\r\n<p>Страус &ndash; единственная современная нам птица, у которой имеется мочевой пузырь.</p>',"
			,
			"'<p>In a translation from Greek &quot;ostrich&quot; means &quot;sparrow-camel&quot;.</p><p>Ostrich &mdash; unique modern to us a bird who has a bladder.</p>',"
			,
			"'',"
		)."
		10,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (10, 1);",

	"INSERT INTO {shop_price} (good_id, price) VALUES (10, 6200)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		11,
		".multilang("'Голубь',", "'Pigeon',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>В природе голубь обычно живет не более трёх-пяти лет, но при разведении в домашних условиях часто доживают до 15-летнего возраста, а отдельные особи и до 35 лет.</p>',",
			"'<p>The pigeon usually lives in the nature no more than three-five years, but at cultivation in house conditions to 15-year-old age, and separate individuals and till 35 years often live.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Народные названия птицы &mdash; сизак, сизарь.</p>',"
			,
			"'<p>National names of a bird &ndash; sizak, sizar.</p>',"
			,
			"'',"
		)."
		11,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (11, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (11, 900, 20)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		12,
		".multilang("'Гриф',", "'Vulture',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Это оседлая птица гор и предгорий. Обитает в Южной Европе, Северной Африке, Передней, Средней и Центральной Азии.</p>',",
			"'<p>Total length to metre, weight of 7-12 kg.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Общая длина до метра, вес 7-12 кг.</p>\r\n<p>В небольшом числе грифа можно найти на юго-восточном Алтае.</p>\r\n<p>Кормится падалью.</p>',"
			,
			"'<p>She is a settled bird of mountains and foothills. Lives in Southern Europe, the North Africa, Forward, Average and the Central Asia.</p><p>It is possible to find in a signature stamp small number on southeast Altai.</p><p>It is fed with drop.</p>',"
			,
			"'',"
		)."
		12,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (12, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (12, 11000, 5)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		13,
		".multilang("'Орел',", "'Eagle',", "'',")."
		".multilang("'1',")."
		1,
		3,
		".multilang(
			"'<p>Питается мелкими и средней величины позвоночными, которых высматривают, паря в воздухе, или подкарауливают, сидя на возвышенном месте, иногда падалью.</p>',",
			"'<p>Nests on the earth, rocks or trees.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Гнездится на земле, скалах или деревьях.</p>\r\n\r\n<p>Численность сокращается.</p>',",
			"'<p>Eats small and average size vertebral which look out, soaring in air, or watch, sitting on a raised place, sometimes drop.</p><p>Number is reduced.</p>',"
			,
			"'',"
		)."
		13,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (13, 1);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (13, 15000, 3)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		14,
		".multilang("'Кенгуру',", "'Kangaroo',", "'',")."
		".multilang("'1',")."
		4,
		3,
		".multilang(
			"'',",
			"'',",
			"'',"
		)."
		".multilang(
			"'<p>Особенности:</p>\r\n<ol>\r\n    <li>Наличие сумчатых костей.</li>\r\n    <li>Температура тела &mdash; 34&mdash;36&deg;C.</li>\r\n    <li>У кенгуру есть сумка для вынашивания детенышей, она открывается вперед к голове, наподобие кармана передника.</li>\r\n    <li>Особое строение нижней челюсти, нижние концы которой загнуты внутрь. Клыки у них отсутствуют или недоразвиты, а коренные зубы с притупленными бугорками.</li>\r\n    <li>Иммунная система новорождённого кенгурёнка не сформирована, поэтому молоко мамы-кенгуру обладает сильным антибактериальным действием.</li>\r\n    <li>Сумка у самцов кенгуру отсутствует, а есть только у самок.</li>\r\n    <li>Кенгуру передвигаются длинными прыжками.</li>\r\n</ol>',"
			,
			"'<p>Features:<br />&nbsp;&nbsp; 1. Presence of marsupials of bones.<br />&nbsp;&nbsp; 2. A body temperature &mdash; 34&mdash;36&deg;C.<br />&nbsp;&nbsp; 3. The kangaroo have a bag for carrying of a pregnancy cubs, it opens forward to a head, like an apron pocket.<br />&nbsp;&nbsp; 4. The special structure of the bottom jaw, which bottom ends are bent inside. Canines at them are absent or are underdeveloped, and molars with dulled mounts.<br />&nbsp;&nbsp; 5. The immune system of the newborn baby is not generated, therefore milk of mum-kangaroo possesses strong antibacterial action.<br />&nbsp;&nbsp; 6. The bag at males of a kangaroo is absent, and is only at females.<br />&nbsp;&nbsp; 7. Kangaroos move long jumps.<br />&nbsp;</p>',"
			,
			"'',"
		)."
		14,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (14, 4);",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (14, 2000, 15, 10, 18)",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (14, 3000, 2, 10, 19)",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (14, 5600, 1, 10, 20)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		15,
		".multilang("'Олень',", "'Deer',", "'',")."
		".multilang("'1',")."
		4,
		3,
		".multilang(
			"'<p>Характерны разветвлённые рога, которые имеются в наличии только у самцов.</p>',",
			"'<p>The branched out horns which are available only at males are characteristic.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Исключениями являются только олень водяной, у которого вообще нет рогов, и олень северный, у которого рога носят оба пола.</p>\r\n<p>Рога сбрасываются каждый год и вырастают заново.</p>',"
			,
			"'<p>Exceptions are only a deer water which in general does not have horns, and a deer northern, at which horn carry both floors.</p>\r\n<p>Horns are dumped every year and grow anew.</p>',"
			,
			"'',"
		)."
		15,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (15, 4);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (15, 10000, 3)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		16,
		".multilang("'Носорог',", "'Rhinoceros',", "'',")."
		".multilang("'1',")."
		4,
		3,
		".multilang(
			"'<p>Главным отличительным признаком носорога является рог на носу.</p>',",
			"'<p>The main distinctive sign of a rhinoceros is the horn on a nose.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>В зависимости от вида носорога может быть один рог или два. Передний рог растёт из носовой кости, задний (если имеется в наличии) из лобовой части черепа. Несмотря на твёрдость, рога состоят не из костной ткани, а из сосредоточенного кератина &ndash; белка, который присутствует и в волосах.</p>',"
			,
			"'<p>Depending on a kind of a rhinoceros there can be one horn or two. The forward horn grows from a nasal bone, back (if is available) of a front part of a skull. Despite hardness, horns consist not of a bone fabric, and from concentrated keratin &ndash; the squirrel who is present and at hair.</p>',"
			,
			"'',"
		)."
		16,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (16, 4);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (16, 9000, 2)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		17,
		".multilang("'Верблюд',", "'Camel',", "'',")."
		".multilang("'1',")."
		4,
		3,
		".multilang(
			"'<p>Масса взрослого верблюда &ndash; 500-800 кг, репродуктивный возраст начинается с 2-3 лет.</p>',",
			"'<p>The weight of an adult camel &ndash; 500-800 kg, reproductive age begins from 2-3 years.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Верблюды могут жить до 20 лет.</p>\r\n<p>Эти млекопитающие хорошо приспособлены к жизни в суровой и безводной местности.</p>\r\n<p>Густой мех предназначен для защиты от дневного зноя и ночного холода.</p>',"
			,
			"'<p>Camels can live till 20 years.</p>\r\n<p>These mammals are well adapted for a life in severe and waterless district.</p>\r\n<p>The dense fur is intended for protection against day heat and a night cold.</p>',"
			,
			"'',"
		)."
		17,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (17, 4);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (17, 25000, 0)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		18,
		".multilang("'Медведь',", "'Bear',", "'',")."
		".multilang("'1',")."
		4,
		3,
		".multilang(
			"'<p>Отличается коренастым телосложением. Медведь всеяден, хорошо лазает и плавает, быстро бегает.</p>',",
			"'<p>Differs a thickset constitution. The bear is omnivorous, it is good climb and floats, quickly runs, can stand and pass short distances on hinder legs.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Может стоять и проходить короткие расстояния на задних лапах.</p>\r\n<p>Имеет короткий хвост, длинную и густую шерсть, а также отличные обоняние и слух.</p>',"
			,
			"'<p>Has a short tail, a long and dense wool, and also excellent sense of smell and hearing.</p>',"
			,
			"'',"
		)."
		18,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (18, 4);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (18, 12500, 0)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		19,
		".multilang("'Суслик',", "'Gopher',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Задние конечности немного длиннее передних.</p>',",
			"'',",
			"'',"
		)."
		".multilang(
			"'<ul>\r\n    <li>Уши короткие, слабо опушённые.</li>\r\n    <li>Окраска спины очень разнообразная, от зелёной, до пурпурной.</li>\r\n    <li>Часто на спине имеется тёмная рябь, продольные тёмные полоски, светлые пестрины или мелкие пятнышки.</li>\r\n    <li>По бокам туловища могут проходить светлые полосы.</li>\r\n    <li>Брюхо обычно грязно-жёлтого или беловатого цвета.</li>\r\n    <li>К зиме мех у суслика становится мягким и густым; в летнее время он реже, короче и грубее.</li>\r\n</ul>',"
			,
			"'<ul>    <li>Back finitenesses are a bit longer than lobbies.</li>    <li>Ears short, poorly downy.</li>    <li>back Colouring very various, from green, to the purple.</li>    <li>it is frequent on a back there are dark ripples, longitudinal dark strips or small specks.</li>    <li>On each side trunks can pass light strips.</li>    <li>the Belly of usually lurid or whitish colour.</li>    <li>By the winter the fur at a gopher becomes soft and dense; in summertime it is more rare, shorter and more rough.</li></ul>',"
			,
			"'',"
		)."
		19,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (19, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (19, 1200, 12)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		20,
		".multilang("'Белочка',", "'Bunny',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Имеет удлинённое тело с пушистым длинным хвостом, уши длинные, цвет темно-бурый с белым брюшком, иногда серый (особенно зимою).</p>',",
			"'<p>Has the extended body with a fluffy long tail, ears long, colour dark-brown with a white paunch, sometimes grey (especially in winter).</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Водятся повсюду, кроме Австралии. Белка даёт ценный мех.</p>',"
			,
			"'<p>Are found everywhere, except Australia. The squirrel gives valuable fur.</p>',"
			,
			"'',"
		)."
		20,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (20, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (20, 2450, 6)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		21,
		".multilang("'Обезьяна',", "'Monkey',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Характерны пятипалые очень подвижные верхние конечности (руки), противопоставление большого пальца остальным (для большинства), ногти.</p>',",
			"'<p>Five-fingered very mobile top finitenesses (hand), opposition of a thumb to the rest (for the majority), nails are characteristic.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Тело покрыто волосами. Похожа на человека.</p>',"
			,
			"'<p>The body is covered by hair. It is similar to the person.</p>',"
			,
			"'',"
		)."
		21,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (21, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (21, 7900, 4)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		22,
		".multilang("'Волк',", "'Wolf',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>По общему виду волк напоминает крупную остроухую собаку.</p>',",
			"'<p>On a general view the wolf reminds large a dog.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Голова широколобая, морда относительно широкая, сильно вытянута и по бокам обрамлена &laquo;бакенбардами&raquo;. Ноги высокие, сильные; лапа крупнее и более вытянута, нежели собачья, длина следа порядка 15 см, ширина 7 см, средние два пальца вынесены вперёд, что позволяет отличать следы волка от собачьих.</p>',"
			,
			"'<p>Feet high, strong; the paw is larger and is more extended, rather than dog, length of a trace of an order of 15 sm, width of 7 sm, average two fingers are taken out forward that allows to distinguish traces of a wolf from the dog. The head broad-fronted, a muzzle rather wide, is strongly extended and on each side is framed by &quot;whiskers&quot;.</p>',"
			,
			"'',"
		)."
		22,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (22, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES 22, 11800, 7)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")."sort, timeedit) VALUES (
		23,
		".multilang("'Заяц',", "'Hare',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Отличается развитыми задними конечностями, длинными ушами и наличием короткого хвоста.</p>',",
			"'<p>Differs the developed back finitenesses, long ears and presence of a short tail.</p>',",
			"'',"
		)."
		23,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (23, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (23, 3200, 8)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		24,
		".multilang("'Кот',", "'Cat',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Кот является мелким теплокровным животным, покрытым негустой шерстью, окрашенной в различные оттенки серого.</p>',",
			"'<p>The cat is to the small warm-blooded animals covered with a rather thin wool, painted in various shades grey.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>В среднем взрослый кот достигает длины в 50 см от кончика носа до кончика хвоста.</p>',"
			,
			"'<p>On the average the adult cat reaches length 50 sm from a tip of a nose to a tail tip.</p>',"
			,
			"'',"
		)."
		24,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (24, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (24, 1200, 10)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		25,
		".multilang("'Дикобраз',", "'Porcupine',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Дикобразовые располагают самыми длинными иголками среди всех млекопитающих. В эволюционном отношении иголки являются видоизменёнными волосами.</p>',",
			"'<p>Porcupines have the longest needles among all mammals. In the evolutionary relation of a needle are modified hair.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Некоторые из них достигают длину 40 см и диаметр 7 мм, являются острыми и могут вызвать воспаления, если ими уколоться.</p>',"
			,
			"'<p>Some of them reach length of 40 sm and diameter of 7 mm, are sharp and can cause inflammations if them to prick.</p>',"
			,
			"'',"
		)."
		25,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (25, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (25, 1200, 1)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		26,
		".multilang("'Ежик',", "'Hedgehog',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Форма черепа варьирует от удлинённого и узкого до короткого и широкого.</p>\r\n<p>Хорошо развиты скуловые дуги, широко расставленные в стороны.</p>',",
			"'<p>The skull form varies from extended and narrow to short and wide.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Мозговой отдел небольших размеров.</p>\r\n<p>Зубов 36-44. Первый верхний резец, а иногда и первый нижний резец увеличены в размерах и похожи на клыки.</p>',"
			,
			"'<p>The malar arches widely placed in the parties are well developed.</p>\r\n<p>Brain department of the small sizes.</p>\r\n<p>Teeth 36-44. The first top cutter, and sometimes and the first bottom cutter are increased in sizes and are similar to canines.</p>',"
			,
			"'',"
		)."
		26,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (26, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (26, 700, 5)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		27,
		".multilang("'Скай терьер',", "'Skye terrier',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Длинный, приземистый, обильно одетый, в два раза косая длина туловища превышает высоту в холке.</p>',",
			"'<p>Long, stocky, plentifully dressed, twice the slanting length of a trunk exceeds height in holk.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Движения на вид совершенно без усилий. Крепкие конечности, колодка и челюсти.</p>',"
			,
			"'<p>Movements it is by sight perfect without efforts. Strong finitenesses and jaws.</p>',"
			,
			"'',"
		)."
		27,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (27, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (27, 2500, 2, 10, 18)",

	"INSERT INTO {shop_price} (good_id, price, count_goods, param_id, param_value) VALUES (27, 3000, 3, 10, 19)",

	"INSERT INTO {shop_price} (good_id, price, param_id, param_value) VALUES (27, 3500, 10, 20)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		28,
		".multilang("'Такса',", "'Turnspit',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Крепкая, с массивным костяком собака, прочно стоящая на земле, с длинной вытянутой мордой, ушки длинные, мягкие, закругляются на концах.</p>',",
			"'',"
		)."
		".multilang(
			"'<ul>\r\n    <li>Спина мускулистая, крепкая, грудь объёмная, глубокая, с характерным &laquo;килем&raquo; впереди.</li>\r\n    <li>Хвост, толстый и крепкий у основания, поставлен низко, обычно держится чуть ниже линии спины, при возбуждении торчит вверх, как антенна.</li>\r\n    <li>Конечности короткие, толстые, с рельефной мускулатурой (особенно передние).</li>\r\n    <li>Передние лапы шире и больше задних.</li>\r\n    <li>Передвигается свободно, размашисто.</li>\r\n</ul>',"
			,
			"'<ul><li>Strong, with massive skeleton a dog strongly standing on the earth, with the long extended muzzle, ears long, soft, are brief on the ends.</li><li>the Back brawny, strong, a breast volume, deep, with characteristic &laquo;kil&raquo; ahead.</li><li>the Tail, thick and strong at the basis, is put low, usually keeps hardly below a back line, at excitation sticks out upwards, as the aerial.</li><li>Finitenesses short, thick, with relief muscles (especially forward).</li><li>Forepaws more widely and there are more than back.</li><li>Moves freely, widely.</li></ul>',"
			,
			"'',"
		)."
		28,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (28, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (28, 4200, 1)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")."sort, timeedit) VALUES (
		29,
		".multilang("'Мышь',", "'Mouse',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Мышь внесла огромный вклад в развитие науки &ndash; на этих животных ставятся биологические опыты, вырабатывают противоядия и вакцины, проверяют лекарства и другие вещества на токсичность и тератогенность.</p>',",
			"'<p>The mouse has brought the huge contribution to science development &ndash; on these animals experiments in biology are put, develop antidotes and vaccines, check medicines and other substances on toxicity.</p>',",
			"'',"
		)."
		29,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (29, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (29, 200, 3)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")."sort, timeedit) VALUES (
		30,
		".multilang("'Лягушка',", "'Frog',", "'',")."
		".multilang("'1',")."
		5,
		3,
		".multilang(
			"'<p>Проводит жизнь во влажных местах, чередуя пребывание на суше и в воде.</p>',"
			,
			"'<p>Spends a life in damp places, alternating stay on a land and in water.</p>',"
			,
			"'',"
		)."
		30,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (30, 5);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (30, 310, 4)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		31,
		".multilang("'Бобр',", "'Beaver',", "'',")."
		".multilang("'1',")."
		3,
		3,
		".multilang(
			"'<p>Тело у бобра приземистое, с укороченными 5-палыми конечностями, задние значительно сильнее передних.</p>',",
			"'<p>The body at the beaver stocky, with truncated 5-palymi finitenesses, back is much stronger than lobbies.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Между пальцами имеются плавательные перепонки, сильно развитые на задних конечностях и слабо &ndash; на передних. Когти на лапах сильные, уплощённые.</p>',"
			,
			"'<p>Between fingers there are the swimming membranes strongly developed on back finitenesses and is weak &mdash; on lobbies. Claws on paws strong.</p>',"
			,
			"'',"
		)."
		31,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (31, 3);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (31, 2200, 1)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")."sort, timeedit) VALUES (
		32,
		".multilang("'Саламандра',", "'Salamander',", "'',")."
		".multilang("'1',")."
		3,
		3,
		".multilang(
			"'<p>В случае опасности они спокойно расстаются со своими хвостом или лапами. Нередки случаи полного восстановления внутренних органов и даже глаз.</p>',",
			"'<p>In case of danger they easy leave the a tail or paws. Cases of a complete recovery of an internal and even eyes are frequent.</p>',",
			"'',"
		)."
		32,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (32, 3);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (32, 4400, 5)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		33,
		".multilang("'Черепаха',", "'Turtle',", "'',")."
		".multilang("'1',")."
		3,
		3,
		".multilang(
			"'<p>Черепахи являются одними из любимых и популярных домашних животных.</p>',",
			"'<p>Turtles are one of favourite and popular pets.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Они неприхотливы и выносливы, долго живут даже в условиях российских квартир и особенно любимы детьми, хотя из-за неправильного &quot;вольного&quot; содержания многие умирают в первые 5 лет, а оставшиеся зачастую остаются калеками с кривым панцирем и грибком. Встречаются случаи, когда черепахи передаются родственниками из поколения в поколение.</p>',"
			,
			"'<p>They are unpretentious and hardy, long live even in conditions of the Russian apartments and are especially favourite by children though because of the wrong &quot;free&quot; maintenance many die in the first 5 years, and remained frequently remain cripples with a curve armour and a fungus. There are cases when turtles are transferred by relatives from generation to generation.</p>',"
			,
			"'',"
		)."
		33,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (33, 3);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (33, 3200, 30)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		34,
		".multilang("'Крокодил',", "'Crocodile',", "'',")."
		".multilang("'1',")."
		3,
		3,
		".multilang(
			"'<p>Внешность крокодила демонстрирует адаптацию к обитанию в водной среде: голова плоская, с длинным рылом; туловище приплюснутое; хвост мощный, сжатый с боков; ноги довольно короткие.</p>',",
			"'<p>Appearance of a crocodile shows adaptation to dwelling in the water environment: a head flat, with a long snout; a trunk flat; a tail powerful, compressed from sides; feet short enough.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>На передних конечностях &ndash; 5 пальцев, на задних &ndash; 4 (нет мизинца), соединённых перепонкой. Глаза с вертикально-щелевидным зрачком расположены на верхней части головы, так что животное может выглядывать из воды, выставляя наружу только ноздри и глаза; ноздри и ушные отверстия под водой закрываются подвижными клапанами.</p>',"
			,
			"'<p>On forward finitenesses &mdash; 5 fingers, on back &ndash; 4 (there is no little finger), connected by a membrane. Eyes with vertically-shchelevidnym pupil are located on the top part of a head so the animal can look out of water, exposing outside only nostrils and eyes; nostrils and ear apertures under water are closed by mobile valves.</p>',"
			,
			"'',"
		)."
		34,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (34, 3);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (34, 17000, 0)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		35,
		".multilang("'Кит',", "'Whale',", "'',")."
		".multilang("'1',")."
		3,
		3,
		".multilang(
			"'<p>Тело веретенообразное, наподобие обтекаемого тела рыбы. Плавники, иногда также называемые ластами, имеют лопастообразный вид.</p>',",
			"'<p>Body like a streamline body of fish. The fins sometimes also named flappers.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>На конце хвоста расположен стоячий плавник в виде гребня, играющий роль стабилизатора и обеспечивающий движение вперед благодаря вертикальным движениям.</p>',"
			,
			"'<p>On the tail end the standing fin in the form of a crest, playing a role of the stabilizer and furnish advance thanks to vertical movements is located.</p>',"
			,
			"'',"
		)."
		35,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (35, 3);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (35, 10000, 4)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")."sort, timeedit) VALUES (
		36,
		".multilang("'Слон',", "'Elephant',", "'',")."
		".multilang("'1',")."
		3,
		3,
		".multilang(
			"'<p>Слон потребляет 230 килограммов сена и 270 литров воды каждый день.</p>',"
			,
			"'<p>The elephant consumes 230 kgs of hay and 270 litres of water every day.</p>',"
			,
			"'',"
		)."
		36,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (36, 3);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (36, 35000, 7)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		37,
		".multilang("'Свинья',", "'Pig',", "'',")."
		".multilang("'1',")."
		3,
		3,
		".multilang(
			"'<p>В отличие от других современных копытных, свиньи всеядны. Большинство видов свиней обитает в лесах.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Характерны:</p>\r\n<ul>\r\n    <li>компактное телосложение</li>\r\n    <li>длинная морда, заканчивающаяся голым хрящевым подвижным &laquo;пятачком&raquo; &ndash; это приспособление для разрыхления земли в поисках корма</li>\r\n    <li>хорошо развитые клыки, острые, изогнуты вверх.</li>\r\n    <li>конечности четырёхпалые; боковые пальцы (второй и пятый) едва касаются земли</li>\r\n    <li>сросшиеся в копытообразное окончание пальцы</li>\r\n</ul>',"
			,
			"'<p>Are characteristic:</p><ul><li>a compact constitution</li><li>the long muzzle which is coming to an end naked cartilaginous mobile &laquo;five-kopeck coin&raquo; is an adaptation for loosening the earths in search of a forage</li><li>well developed canines, sharp, are bent upwards.</li><li>finitenesses tetradactyl; lateral fingers (the second and the fifth) hardly concern the earths</li><li>accrete in копытообразное the termination fingers</li></ul>',"
			,
			"'',"
		)."
		37,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (37, 3);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (37, 7100, 12)",

	"INSERT INTO {shop} (id, ".multilang("nameLANG,")." ".multilang("actLANG,")."cat_id, site_id, ".multilang("anonsLANG,")." ".multilang("textLANG,")."sort, timeedit) VALUES (
		38,
		".multilang("'Лев',", "'Lion',", "'',")."
		".multilang("'1',")."
		4,
		3,
		".multilang(
			"'<p>Образ жизни льва нетипичен для больших кошек. Лев живет в большой семейной группе &ndash; прайде.</p>',",
			"'<p>The way of life of a lion is atypical for the big cats. The lion lives in the big family group.</p>',",
			"'',"
		)."
		".multilang(
			"'<p>Охотится и приглядывает за детенышами, в основном, самки, самцы же охраняют территорию.</p>\r\n<p>Взрослый лев способен съесть за один раз до 18 кг мяса, а по другим оценкам, даже 31 кг. При случае убивает представителей других кошачьих и гиен.</p>',"
			,
			"'<p>Hunts and looks for cubs, basically, females, males protect territory.</p><p>The adult lion is capable to eat for once to 18 kg of meat, and by other estimations, even 31 kg. As required kills representatives of others cat''s and hyenas.</p>',"
			,
			"'',"
		)."
		38,
		'".time()."'
	);",

	"INSERT INTO {shop_category_rel} (element_id, cat_id) VALUES (38, 4);",

	"INSERT INTO {shop_price} (good_id, price, count_goods) VALUES (38, 22000, 23)",

	"INSERT INTO {shop_category} (
		id, ".multilang("nameLANG,")." ".multilang("actLANG,")." site_id, ".multilang("textLANG,")." sort, timeedit
	) VALUES (
		1,
		".multilang("'Птицы',", "'Birds',", "'',")."
		".multilang("'1',")."
		3,
		".multilang("'<p>Птицы  &mdash; животные с перьями, теплокровные, яйцекладущие с позвоночником, чьи передние конечности имеют форму крыльев.<br />\r\nВ принципе, все птицы летают, но в настоящее время существует много видов нелетающих птиц. А также у птиц должен быть клюв.</p>',"
			,
			"'<p>Birds &mdash; animals with feathers, warm-blooded, яйцекладущие with a backbone, whose forward finitenesses have the form of wings.<br />
	    Basically, all birds fly, but now there are many kinds of not flying birds. And also birds should have a beak.</p>',"
			,
			"'',"
		)."
		1,
		'".time()."'
	);",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		24,
		'shop',
		3,
		1,
		2,
		".multilang("'Птицы',", "'Birds',", "'',")."
		".multilang("'1', ")."
		24
	)",

	"INSERT INTO {shop_category} (
		id, ".multilang("nameLANG,")." ".multilang("actLANG,")." count_children, site_id, ".multilang("textLANG,")." sort, timeedit
	) VALUES (
		2,
		".multilang("'Звери',", "'Animals',", "'',")."
		".multilang("'1',")."
		2,
		3,
		".multilang("'<p>Звери &mdash;  млекопитающие животные, которые рожают детёнышей без откладывания яиц. Все звери имеют  уши, их детёныши могут кормиться от груди, и все они имеют щиколотку, что увеличивает силу их движений. Звери часто классифицируются по картине срастания зубов. Почти все современные млекопитающие &mdash; звери.</p>',"
			,
			"'<p>Animals &mdash; mammals who give birth to cubs without putting off of eggs. All animals have ears, their cubs can be fed from a breast, and all of them have an ankle that increases force of their movements. Animals are often classified on a picture of accretion of a teeth. Almost all modern mammals &mdash; animals.</p>',"
			,
			"'',"
		)."
		2,
		'".time()."'
	);",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		count_children,
		sort
	) VALUES (
		25,
		'shop',
		3,
		2,
		2,
		".multilang("'Звери',", "'Animals',", "'',")."
		".multilang("'1', ")."
		2,
		25
	)",

	"INSERT INTO {shop_category} (
		id, ".multilang("nameLANG,")." ".multilang("actLANG,")." site_id, ".multilang("textLANG,")." sort, timeedit
	) VALUES (
		3,
		".multilang("'Водоплавающие',", "'Natatorial',", "'',")."
		".multilang("'1',")."
		3,
		".multilang("'<p>Водоплавающие это живые существа,  ведущие водный образ жизни. К ним относятся все те, кто живут в воде, под водой и над водой.</p>',"
			,
			"'<p>Natatorial it is the live beings conducting a water way of life. All concern them those who live in water, under water and over water.</p>',"
			,
			"'',"
		)."
		3,
		'".time()."'
	);",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		26,
		'shop',
		3,
		3,
		2,
		".multilang("'Водоплавающие',", "'Natatorial',", "'',")."
		".multilang("'1', ")."
		26
	)",

	"INSERT INTO {shop_category} (
		id, ".multilang("nameLANG,")." ".multilang("actLANG,")." parent_id, site_id, ".multilang("textLANG,")." sort, timeedit
	) VALUES (
		4,
		".multilang("'Крупные',", "'Big',", "'',")."
		".multilang("'1',")."
		2,
		3,
		".multilang("'<p>Большие животные звери, которые больше человека, собраны здесь. Это и домашний крупный рогатый скот и дикие большие звери.</p>',"
			,
			"'<p>The big animal animals which there is more than person, are collected here. It both a house horned cattle and wild big animals.</p>',"
			,
			"'',"
		)."
		4,
		'".time()."'
	);",

	"INSERT INTO {shop_category_parents} (`element_id`, `parent_id`) VALUES (4, 2)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		27,
		'shop',
		3,
		4,
		2,
		25,
		".multilang("'Крупные',", "'Big',", "'',")."
		".multilang("'1', ")."
		27
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (27, 25)",

	"INSERT INTO {shop_category} (
		id, ".multilang("nameLANG,")." ".multilang("actLANG,")." parent_id, site_id, ".multilang("textLANG,")." sort, timeedit
	) VALUES (
		5,
		".multilang("'Мелкие',", "'Small',", "'',")."
		".multilang("'1',")."
		2,
		3,
		".multilang("'<p>Все пузатая мелочь, вроде зайцев и кошек у нас в этой категории, мелкие звери.</p>',"
			,
			"'<p>All a big-bellied trifle, like hares and cats at us in this category, small animals.</p>',"
			,
			"'',"
		)."
		5,
		'".time()."'
	);",

	"INSERT INTO {shop_category_parents} (`element_id`, `parent_id`) VALUES (5, 2)",

	"INSERT INTO {menu} (
		id,
		module_name,
		site_id,
		module_cat_id,
		cat_id,
		parent_id,
		".multilang("nameLANG, ")."
		".multilang("actLANG, ")."
		sort
	) VALUES (
		28,
		'shop',
		3,
		5,
		2,
		25,
		".multilang("'Мелкие',", "'Small',", "'',")."
		".multilang("'1', ")."
		28
	)",

	"INSERT INTO {menu_parents} (`element_id`, `parent_id`) VALUES (28, 25)",
	
	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/waterfowl/crucian', 'shop', 2, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/mouse', 'shop', 29, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/frog', 'shop', 30, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/hedgehog', 'shop', 26, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/pelican', 'shop', 3, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/goose', 'shop', 4, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/heron', 'shop', 5, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/owl2', 'shop', 6, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/owl', 'shop', 7, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/swan', 'shop')",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/duckling', 'shop')",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/ostrich', 'shop', 10, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/pigeon', 'shop', 11, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/vulture', 'shop', 12, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/eagle', 'shop', 13, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/big/deer', 'shop', 15, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/big/rhino', 'shop', 16, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/big/camel', 'shop', 17, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/big/bear', 'shop', 18, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/big/kangaroo', 'shop', 14, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/wolf', 'shop', 22, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/cat', 'shop', 24, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/skye-terrier', 'shop', 27, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/dachshund', 'shop', 28, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/waterfowl/beaver', 'shop', 31, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/waterfowl/salamander', 'shop', 32, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/waterfowl/crocodile', 'shop', 34, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/waterfowl/elephant', 'shop', 36, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/waterfowl/pig', 'shop', 37, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/big/leo', 'shop', 38, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/waterfowl/keith', 'shop', 35, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/waterfowl/turtle', 'shop', 33, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/porcupine', 'shop', 25, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/hare', 'shop', 23, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/monkey', 'shop', 21, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/squirrel', 'shop', 20, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/animals/small/gopher', 'shop', 19, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, element_id, site_id) VALUES ('shop/birds/kite', 'shop', 1, 3)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, param_id) VALUES ('shop/yellow', 'shop', 3, 10)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, param_id) VALUES ('shop/blue', 'shop', 3, 11)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, param_id) VALUES ('shop/purple', 'shop', 3, 12)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, param_id) VALUES ('shop/orange', 'shop', 3, 13)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, param_id) VALUES ('shop/green', 'shop', 3, 14)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, param_id) VALUES ('shop/black', 'shop', 3, 15)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, param_id) VALUES ('shop/pink', 'shop', 3, 16)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, param_id) VALUES ('shop/brown', 'shop', 3, 17)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('shop/birds', 'shop', 3, 1)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('shop/animals', 'shop', 3, 2)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('shop/animals/big', 'shop', 3, 4)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('shop/animals/small', 'shop', 3, 5)",

	"INSERT INTO {rewrite} (rewrite, module_name, site_id, cat_id) VALUES ('shop/waterfowl', 'shop', 3, 3)",
	
	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (3, 33)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (3, 10)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (3, 12)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (3, 21)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (2, 5)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (2, 20)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (2, 14)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 7)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 8)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 11)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 17)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (5, 20)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (6, 15)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (6, 19)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 8)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (9, 19)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (9, 24)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (10, 21)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 7)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (12, 10)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (13, 31)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (13, 34)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (15, 19)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (16, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (16, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (17, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (18, 38)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (18, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (14, 5)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (22, 30)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (24, 37)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (26, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (27, 21)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (27, 33)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (28, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (29, 38)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (31, 35)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 4)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (34, 35)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (36, 35)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (36, 34)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (37, 9)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (3, 27)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 38)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 16)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (4, 18)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 16)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 17)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 38)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (7, 18)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 8)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 11)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 16)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 17)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (8, 38)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 16)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 17)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 18)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (11, 38)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (16, 17)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (16, 18)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (16, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (16, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (16, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (16, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (16, 38)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (17, 18)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (17, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (17, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (17, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (17, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (17, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (17, 38)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (18, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (18, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (18, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (18, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (18, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (18, 8)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (38, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (38, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (38, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (38, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (38, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (32, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (32, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (32, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (29, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (29, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (29, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (26, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (26, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (26, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (25, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (25, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (25, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (23, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (36, 13)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (36, 31)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (35, 13)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (34, 31)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (12, 21)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (10, 33)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (10, 27)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (12, 27)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (12, 33)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (33, 21)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (37, 6)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (37, 15)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (37, 19)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (24, 6)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (24, 15)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (24, 19)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (15, 9)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (9, 6)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (14, 20)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 7)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 8)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 11)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 16)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 17)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 23)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 25)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 26)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 28)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 29)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 32)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 38)",

	"INSERT INTO {shop_rel} (good_id, rel_good_id) VALUES (1, 18)",

	"INSERT INTO {shop_order} (id, created, `status`, summ) VALUES (
		2,
		'".(time()-234678)."',
		'3',
		11400
	);",

	"INSERT INTO {shop_order_goods} (id, order_id, good_id, count_goods, price) VALUES (1, 2, 33, 1, 3200);",

	"INSERT INTO {shop_param_good} (value, param_id, good_id)  VALUES (15, 9, 1);",

	"INSERT INTO {shop_order_goods} (order_id, good_id, count_goods, price, depend_price)  VALUES (2, 1, 1, 3500, 20);",

	"INSERT INTO {shop_order_goods} (order_id, good_id, count_goods, price)  VALUES (2, 3, 1, 4700);",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('Серафим Подольский', 1, 2)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('serafim@podolskijy.ru', 2, 2)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('Моногорск', 4, 2)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('Широкая', 5, 2)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('1', 7, 2)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('54', 8, 2)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('+7(999)888-22-55', 3, 2)",

	"INSERT INTO {shop_order_count_goods} (created, order_id, good_id, count_goods, summ, type, user_id) VALUES ('".(time()-234678)."', 2, 33, 1, 3200, 'admin', 1)",

	"INSERT INTO {shop_order_count_goods} (created, order_id, good_id, count_goods, summ, param_value, type, user_id) VALUES ('".(time()-234678)."', 2, 1, 1, 3500, 20, 'admin', 1)",

	"INSERT INTO {shop_order_count_goods} (created, order_id, good_id, count_goods, summ, type, user_id) VALUES ('".(time()-234678)."', 2, 3, 1, 4700, 'admin', 1)",

	"INSERT INTO {shop_order} (id, created, `status`, summ) VALUES (
		3,
		'".(time()-86240)."',
		'1',
		23000
	);",

	"INSERT INTO {shop_order_goods} (order_id, good_id, count_goods, price, depend_price)  VALUES (3, 14, 2, 2000, 18);",

	"INSERT INTO {shop_order_goods} (id, order_id, good_id, count_goods, price)  VALUES (5, 3, 15, 1, 9000);",

	"INSERT INTO {shop_param_good} (value, param_id, good_id)  VALUES (12, 9, 5);",

	"INSERT INTO {shop_order_goods} (order_id, good_id, count_goods, price)  VALUES (3, 16, 1, 10000);",

	"INSERT INTO {shop_order_goods} (order_id, good, count_goods, price)  VALUES (3, 21, 1, 7900);",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('Витольд Покровский', 1, 3)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('diafan@mail.ru', 2, 3)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('Можжевельнинск', 4, 3)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('Липовая', 5, 3)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('11', 8, 3)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('+7(999)888-77-22', 3, 3)",

	"INSERT INTO {shop_order_count_goods} (created, order_id, good_id, count_goods, summ, param_value, type, user_id) VALUES ('".(time()-234678)."', 3, 14, 2, 4000, 18, 'admin', 1)",

	"INSERT INTO {shop_order_count_goods} (created, order_id, good_id, count_goods, summ, type, user_id) VALUES ('".(time()-234678)."', 3, 15, 1, 9000, 'admin', 1)",

	"INSERT INTO {shop_order_count_goods} (created, order_id, good_id, count_goods, summ, type, user_id) VALUES ('".(time()-234678)."', 3, 16, 1, 10000, 'admin', 1)",

	"INSERT INTO {shop_order} (id, user_id, created, summ) VALUES (
		4,
		2,
		'".time()."',
		37700
	);",

	"INSERT INTO {shop_order_goods} (order_id, good_id, count_goods, price)  VALUES (4, 33, 10, 3200);",

	"INSERT INTO {shop_order_goods} (order_id, good_id, count_goods, price)  VALUES (4, 3, 1, 4700);",

	"INSERT INTO {shop_order_goods} (order_id, good_id, count_goods, price)  VALUES (4, 4, 1, 1000);",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('Филимон Авруцкий', 1, 4)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('filimon@site.ru', 2, 4)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('Мохнатск', 4, 4)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('Крученая', 5, 4)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('98', 8, 4)",

	"INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('+7(999)444-55-66', 3, 4)",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, search, site_id) VALUES (
		1,
		".multilang("'Размах крыльев',", "'Wingspan',", "'',")."
		'numtext',
		1,
		'1',
		3
	);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (1, 1);",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, search, site_id) VALUES (
		2,
		".multilang("'Летный потолок',", "'Flight ceiling',", "'',")."
		'text',
		2,
		'1',
		3
	);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (2, 1);",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, search, site_id) VALUES (
		3,
		".multilang("'Хищность',", "'Rapacity',", "'',")."
		'checkbox',
		3,
		'1',
		3
	);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (3, 4);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (3, 5);",

	"INSERT INTO {shop_param_select} (id, param_id, value ".multilang(", nameLANG").") VALUES (1, 3, 0 ".multilang(", 'Не опасен'", ", 'Dangerous'").");",

	"INSERT INTO {shop_param_select} (id, param_id, value ".multilang(", nameLANG,").") VALUES (2, 3, 1 ".multilang(", 'Опасен'", ", 'Not dangerous'").");",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, search, site_id) VALUES (
		4,
		".multilang("'Содержание',", "'Keep',", "'',")."
		'select',
		4,
		'1',
		3
	);",

	"INSERT INTO {shop_param_category_rel} (module_name, element_id, cat_id) VALUES (4, 0);",

	"INSERT INTO {shop_param_select} (id, param_id".multilang(", nameLANG").", sort) VALUES (3, 4 ".multilang(", 'Домашнее'", ", 'House'").", 1);",

	"INSERT INTO {shop_param_select} (id, param_id".multilang(", nameLANG").", sort) VALUES (4, 4 ".multilang(", 'Во дворе'", ", 'In a court yard'").", 2);",

	"INSERT INTO {shop_param_select} (id, param_id".multilang(", nameLANG").", sort) VALUES (5, 4 ".multilang(", 'Дикое'", ", 'Wild'").", 3);",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, search, site_id) VALUES (
		5,
		".multilang("'Плавники',", "'Fin',", "'',")."
		'checkbox',
		5,
		'1',
		3
	);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (5, 3);",

	"INSERT INTO {shop_param_select} (id, param_id, value ".multilang(", nameLANG").") VALUES (6, 5, 0 ".multilang(", 'Отсутствуют'", ", 'Be absent'").");",

	"INSERT INTO {shop_param_select} (id, param_id, value ".multilang(", nameLANG").") VALUES (7, 5, 1 ".multilang(", 'Есть'", ", 'Be'").");",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, search, site_id) VALUES (
		6,
		".multilang("'Глубина заныривания',", "'Depth to dive',", "'',")."
		'numtext',
		6,
		'1',
		3
	);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (6, 3);",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, search, site_id) VALUES (
		7,
		".multilang("'Шерсть',", "'Wool',", "'',")."
		'checkbox',
		7,
		'1',
		3
	);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (7, 4);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (7, 5);",

	"INSERT INTO {shop_param_select} (id, param_id, value ".multilang(", nameLANG").") VALUES (8, 7, 0 ".multilang(", 'Нет'", ", 'No'").");",

	"INSERT INTO {shop_param_select} (id, param_id, value ".multilang(", nameLANG").") VALUES (9, 7, 1 ".multilang(", 'Да'", ", 'Yes'").");",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, search, site_id) VALUES (
		8,
		".multilang("'Условия проживания',", "'Residing conditions',", "'',")."
		'text',
		8,
		'1',
		3
	);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (8, 4);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (8, 5);",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, search, `list`, `block`, `required`, `page`, site_id) VALUES (
		9,
		".multilang("'Цвет',", "'Color',", "'',")."
		'multiple',
		9,
		'1',
		'1',
		'1',
		'1',
		'1',
		3
	);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (9, 0);",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (10, 9, ".multilang("'желтый',", "'yellow',", "'',")."10)",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (11, 9, ".multilang("'голубой',", "'blue',", "'',")."11)",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (12, 9, ".multilang("'фиолетовый',", "'purple',", "'',")."12)",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (13, 9, ".multilang("'оранжевый',", "'orange',", "'',")."13)",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (14, 9, ".multilang("'зеленый',", "'green',", "'',")."14)",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (15, 9, ".multilang("'черный',", "'black',", "'',")."15)",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (16, 9, ".multilang("'розовый',", "'pink',", "'',")."16)",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (17, 9, ".multilang("'коричневый',", "'brown',", "'',")."17)",

	"INSERT INTO {shop_param} (id, ".multilang("nameLANG,")." type, sort, site_id) VALUES (
		10,
		".multilang("'Размер',", "'Size',", "'',")."
		'multiple',
		10,
		3
	);",

	"INSERT INTO {shop_param_category_rel} (element_id, cat_id) VALUES (10, 0);",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (18, 10, ".multilang("'маленький',", "'small',", "'',")."18)",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (19, 10, ".multilang("'средний',", "'medium',", "'',")."19)",

	"INSERT INTO {shop_param_select} (id, param_id, ".multilang("nameLANG,")." sort) VALUES (20, 10, ".multilang("'большой',", "'big',", "'',")."20)",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 1);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1500', 2, 1);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 1, 1);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 3);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 1, 3);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 4);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 2, 4);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('2', 1, 4);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 5);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'1000',", "'1000',", "'',")." 2, 5);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 1, 5);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 6);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'300',", "'300',", "'',")." 2, 6);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('2', 1, 6);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 6);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 7);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'250',", "'250',", "'',")." 2, 7);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1.5', 1, 7);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'700',", "'700',", "'',")." 2, 8);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('2.5', 1, 8);",

	"INSERT INTO {shop_param_element} (id, value, param_id, element_id)VALUES ('5', 4, 8);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('0.3', 1, 9);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 4, 9);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'10',")." 2, 10);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('2.3', 1, 10);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 10);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'500',")." 2, 11);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('0.5', 1, 11);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 11);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 12);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'1000',", "'1000',", "'',")." 2, 12);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 1, 12);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 12);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 13);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'3000',", "'3000',", "'',")." 2, 13);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 1, 13);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 13);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('любит поесть', 8, 14);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 14);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Иногда лижут соль',", "'Sometimes lick salt',", "'',")." 8, 15);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 15);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 15);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Сидит в воде',", "'Sits in water',", "'',")." 8, 16);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 16);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 16);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Его надо вьючить',", "'It is necessary load',", "'',")." 8, 17);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 17);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 17);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Нужна будка',", "'The box is necessary',", "'',")." 8, 18);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 18);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 18);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 18);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'В полях',", "'In dales',", "'',")." 8, 19);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 19);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 19);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'На деревьях',", "'On trees',", "'',")." 8, 20);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 20);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 20);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Рядом с людьми',", "'Near to people',", "'',")." 8, 21);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 21);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 4, 21);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'В лесу',", "'In wood',", "'',")." 8, 22);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 22);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 22);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 22);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'В коробке',", "'In a box',", "'',")." 8, 23);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 23);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 4, 23);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Нужны мыши',", "'Mice are necessary',", "'',")." 8, 24);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 24);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 4, 24);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 24);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Пустыня',", "'Desert',", "'',")." 8, 25);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 25);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 25);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Под кроватью',", "'Under a bed',", "'',")." 8, 26);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 4, 26);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'На кровати',", "'On a bed',", "'',")." 8, 27);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 27);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 4, 27);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 28);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 28);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'В будке',", "'In a box',", "'',")." 8, 28);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Под плинтусом',", "'Under a plinth',", "'',")." 8, 29);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 29);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 4, 29);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 6, 30);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 30);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('2', 6, 31);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 31);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 32);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 6, 33);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('3', 4, 33);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('20', 6, 34);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 5, 34);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 34);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 34);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1000', 6, 35);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 5, 35);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 35);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'Большой двор',", "'The big court yard',", "'',")." 8, 36);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 36);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 36);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'У помойки',", "'At a dustbin',", "'',")." 8, 37);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('4', 4, 37);",

	"INSERT INTO {shop_param_element} (".multilang("valueLANG,")." param_id, element_id) VALUES (".multilang("'В саванне Африки',", "'In savanna of Africa',", "'',")." 8, 38);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 7, 38);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 38);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('1', 3, 38);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 1);",

	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('5', 4, 7);",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('16', 9, 15)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 38)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('12', 9, 37)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('11', 9, 36)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('11', 9, 35)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('11', 9, 34)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('15', 9, 33)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('12', 9, 33)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 17)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 32)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('11', 9, 31)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 18)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('16', 9, 19)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('14', 9, 30)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('13', 9, 20)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 16)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 29)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('11', 9, 13)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 28)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 26)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('15', 9, 21)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('14', 9, 22)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 23)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 25)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('12', 9, 24)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('12', 9, 15)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 11)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('16', 9, 9)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 8)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 7)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('16', 9, 6)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 4)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('15', 9, 3)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('13', 9, 2)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('10', 9, 1)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('17', 9, 14)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('17', 9, 12)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('17', 9, 10)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('13', 9, 5)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('15', 9, 27)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('17', 9, 27)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('18', 10, 27)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('19', 10, 27)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('20', 10, 27)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('18', 10, 1)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('19', 10, 1)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('20', 10, 1)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('18', 10, 2)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('19', 10, 2)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('20', 10, 2)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('18', 10, 14)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('19', 10, 14)",
	
	"INSERT INTO {shop_param_element} (value, param_id, element_id) VALUES ('20', 10, 14)",

	"INSERT INTO {shop_discount} (id, discount, act) VALUES (1, 5, '1')",

	"INSERT INTO {shop_discount} (id, discount, act) VALUES (2, 15, '1')",

	"INSERT INTO {shop_discount_object} (discount_id, good_id) VALUES (1, 2)",

	"INSERT INTO {shop_discount_object} (discount_id, good_id) VALUES (1, 30)",

	"INSERT INTO {shop_discount_object} (discount_id, good_id) VALUES (1, 4)",

	"INSERT INTO {shop_discount_object} (discount_id, good_id) VALUES (1, 7)",

	"INSERT INTO {shop_discount_object} (discount_id, cat_id) VALUES (2, 5)"

);

/**
 * Выполняет действия для основной установки модуля
 * 
 * @return void
 */
function module_basic_shop()
{
	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/shop'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/shop', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/shop/small'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/shop/small', 0777);
	}

	if (! is_dir(ABSOLUTE_PATH.USERFILES.'/shop/medium'))
	{
		mkdir(ABSOLUTE_PATH.USERFILES.'/shop/medium', 0777);
	}
}

/**
 * Выполняет действия для установки примеров заполнения модуля
 * 
 * @return void
 */
function module_example_shop()
{
	$array = array(
		1  => array(41 => 'korshun'),
		2  => array(42 => 'rybka-karasik'),
		3  => array(43 => 'pelikan'),
		4  => array(44 => 'gus'),
		5  => array(45 => 'caplya'),
		6  => array(46 => 'filin'),
		7  => array(47 => 'sova'),
		8  => array(48 => 'lebed'),
		9  => array(49 => 'utenok'),
		10 => array(50 => 'straus'),
		11 => array(51 => 'golub'),
		12 => array(52 => 'grif'),
		13 => array(53 => 'orel'),
		14 => array(54 => 'kenguru'),
		15 => array(55 => 'olen', 56 => 'olen'),
		16 => array(57 => 'nosorog'),
		17 => array(58 => 'verblyud', 59 => 'verblyud'),
		18 => array(60 => 'medved'),
		19 => array(61 => 'suslik'),
		20 => array(62 => 'belochka'),
		21 => array(63 => 'obezyana'),
		22 => array(64 => 'volk'),
		23 => array(65 => 'zayac'),
		24 => array(66 => 'kot'),
		25 => array(67 => 'dikobraz', 68 => 'dikobraz'),
		26 => array(69 => 'ezhik'),
		27 => array(70 => 'skaj-terer', 71 => 'skaj-terer'),
		28 => array(72 => 'taksa'),
		29 => array(73 => 'mysh'),
		30 => array(74 => 'lyagushka'),
		31 => array(75 => 'bobr'),
		32 => array(76 => 'salamandra'),
		33 => array(77 => 'cherepaxa', 78 => 'cherepaxa'),
		34 => array(79 => 'krokodil'),
		35 => array(80 => 'kit'),
		36 => array(81 => 'slon'),
		37 => array(82 => 'svinya'),
		38 => array(83 => 'lev')
	);

	$module = 'shop';
	foreach ($array as $k => $a)
	{
		foreach ($a as $id => $name)
		{
			$name = $name.'_'.$id.'.jpg';
			DB::query("INSERT INTO {images} (id, name, module_name, element_id, sort) VALUES ('%d', '%s', '%s', '%d', '%d')",
				  $id, $name, $module, $k, $id);

			if (! file_exists(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name))
			{
				copy('http://cms.diafan.ru/files4.2/'.$module.'/'.$name, ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name);
				copy('http://cms.diafan.ru/files4.2/'.$module.'/small/'.$name, ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name);
				copy('http://cms.diafan.ru/files4.2/'.$module.'/medium/'.$name, ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name);
			}

			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/'.$name, 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/small/'.$name, 0777);
			chmod(ABSOLUTE_PATH.USERFILES.'/'.$module.'/medium/'.$name, 0777);
		}
	}
}

/**
 * Деинсталлирует модуль
 * 
 * @return void
 */
function module_basic_uninstall_shop()
{
	$module = 'shop';
	DB::query("DROP TABLE {".$module."};");
	DB::query("DROP TABLE {".$module."_rel};");
	DB::query("DROP TABLE {".$module."_category};");
	DB::query("DROP TABLE {".$module."_category_parents};");
	DB::query("DROP TABLE {".$module."_category_rel};");
	DB::query("DROP TABLE {".$module."_price};");
	DB::query("DROP TABLE {".$module."_param};");
	DB::query("DROP TABLE {".$module."_param_element};");
	DB::query("DROP TABLE {".$module."_param_select};");
	DB::query("DROP TABLE {".$module."_param_good};");
	DB::query("DROP TABLE {".$module."_param_category_rel};");
	DB::query("DROP TABLE {".$module."_order};");
	DB::query("DROP TABLE {".$module."_order_goods};");
	DB::query("DROP TABLE {".$module."_order_count_goods};");
	DB::query("DROP TABLE {".$module."_order_param};");
	DB::query("DROP TABLE {".$module."_order_param_element};");
	DB::query("DROP TABLE {".$module."_order_param_select};");
	DB::query("DROP TABLE {".$module."_payment};");
	DB::query("DROP TABLE {".$module."_discount};");
	DB::query("DROP TABLE {".$module."_discount_object};");
	DB::query("DROP TABLE {".$module."_import};");
	DB::query("DROP TABLE {".$module."_import_category};");
	$site_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {site} WHERE addmodule='".$module."' or addmodule='order' or addmodule='basket'");
	if ($site_ids)
	{
		DB::query("DELETE FROM {site} WHERE id IN (".$site_ids.")");
		DB::query("DELETE FROM {site_parents} WHERE element_id IN (".$site_ids.")");
		DB::query("DELETE FROM {rewrite} WHERE module_name='site' AND site_id IN (".$site_ids.");");
		$menu_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {menu} WHERE site_id IN ('".$site_ids."')");
		if ($menu_ids)
		{
			DB::query("DELETE FROM {menu} WHERE id IN (".$menu_ids.")");
			$menu_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {menu_parents} WHERE parent_id IN (".$menu_ids.")");
			if ($menu_child_ids)
			{
				DB::query("DELETE FROM {menu_parents} WHERE element_id IN (".$menu_child_ids.")");
			}
			DB::query("DELETE FROM {menu_parents} WHERE element_id IN (".$menu_ids.")");
		}
	}
	$menu_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {menu} WHERE module_name='".$module."'");
	if ($menu_ids)
	{
		DB::query("DELETE FROM {menu} WHERE id IN (".$menu_ids.")");
		$menu_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {menu_parents} WHERE parent_id IN (".$menu_ids.")");
		if ($menu_child_ids)
		{
			DB::query("DELETE FROM {menu_parents} WHERE element_id IN (".$menu_child_ids.")");
		}
		DB::query("DELETE FROM {menu_parents} WHERE element_id IN (".$menu_ids.")");
	}
	DB::query("DELETE FROM {rewrite} WHERE module_name='".$module."';");
	$admin_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {adminsite} WHERE rewrite IN ('".$module."', '".$module."/config', '".$module."/category', '".$module."/param', '".$module."/order')");
	if ($admin_ids)
	{
		DB::query("DELETE FROM {adminsite} WHERE id IN (".$admin_ids.")");
		DB::query("DELETE FROM {adminsite_parents} WHERE element_id IN (".$admin_ids.")");
	}
	DB::query("DELETE FROM {config} WHERE module_name='".$module."';");
	DB::query("DELETE FROM {images} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {rating} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {comments} WHERE module_name='".$module."';");
	@DB::query("DELETE FROM {comments} WHERE module_name='".$module."_category';");
	@DB::query("DELETE FROM {tags} WHERE module_name='".$module."';");
	$trash_ids = DB::query_result("SELECT GROUP_CONCAT(id SEPARATOR ',') FROM {trash} WHERE module_name='".$module."'");
	if ($trash_ids)
	{
		DB::query("DELETE FROM {trash} WHERE id IN (".$trash_ids.")");
		$trash_child_ids = DB::query_result("SELECT GROUP_CONCAT(element_id SEPARATOR ',') FROM {trash_parents} WHERE parent_id IN (".$trash_ids.")");
		if ($trash_child_ids)
		{
			DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_child_ids.")");
		}
		DB::query("DELETE FROM {trash_parents} WHERE element_id IN (".$trash_ids.")");
	}
	$folders = array($module.'/small', $module.'/medium', $module);
	foreach ($folders as $folder)
	{
		if ($dirr = @opendir(ABSOLUTE_PATH.USERFILES.'/'.$folder))
		{
			while (($file = readdir($dirr)) !== FALSE)
			{
				@unlink(ABSOLUTE_PATH.USERFILES.'/'.$folder.'/'.$file);
			}
			closedir($dirr);
		}
		rmdir(ABSOLUTE_PATH.USERFILES.'/'.$folder);
	}
}