<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Shop
 *
 * Контроллер модуля "Магазин"
 */
class Shop extends Controller
{
	/**
	 * Инициализация модуля
	 * 
	 * @return void
	 */
	public function init()
	{
		$this->rewrite_variable_names = array('page', 'show', 'cat', 'sort', 'param');
		if ($this->diafan->configmodules("comments") || $this->diafan->configmodules("comments_cat") && ! $this->diafan->show && $this->diafan->cat)
		{
			$this->rewrite_variable_names[] = 'comments';
		}
		$this->diafan->rewrite_variable_names = $this->rewrite_variable_names;

		$model = new Shop_model($this->diafan);

		if ($this->diafan->show)
		{
			$this->result = $model->id();
		}
		elseif ($this->diafan->param)
		{
			$this->result = $model->list_param();
		}
		elseif (isset($_GET["catid"]))
		{
			$this->result = $model->list_search();
		}
		elseif (! $this->diafan->configmodules("cat"))
		{
			$this->result = $model->list_();
		}
		elseif (! $this->diafan->cat)
		{
			$this->result = $model->first_page();
		}
		else
		{
			$this->result = $model->list_category();
		}
		$this->get_global_variables();
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return boolean true
	 */
	public function show_module()
	{
		if (! empty($this->result["err"]))
		{
			echo $this->result["err"];
			return FALSE;
		}
		
		if ($this->diafan->show)
		{
			$this->diafan->_tpl->get('id', 'shop', $this->result);
		}
		elseif ($this->diafan->configmodules("cat") && ! $this->diafan->cat && ! $this->diafan->param && ! isset($_GET["catid"]))
		{
			$this->diafan->_tpl->get('first_page', 'shop', $this->result);
		}
		else
		{
			if (empty($this->result["level"]) || ! $this->diafan->_tpl->get('list_level_'.$this->result["level"], 'shop', $this->result))
			{
				$this->diafan->_tpl->get('list_', 'shop', $this->result);
			}
		}

		return TRUE;
	}

	/**
	 * Шаблонная функция: блок товаров
	 * 
	 * @param array $attributes атрибуты шаблонного тэга
	 * @return boolean
	 */
	public function show_block($attributes)
	{
		$attributes = $this->get_attributes($attributes, 'only_shop', 'count', 'cat_id', 'site_id', 'images', 'sort', 'param', 'template');

		$count   = $attributes["count"] ? intval($attributes["count"]) : 3;
		$cat_id  = intval($attributes["cat_id"]);
		$site_id = intval($attributes["site_id"]);
		$images  = intval($attributes["images"]);
		$param   = $attributes["param"];
		$sort    = $attributes["sort"] == "date" || $attributes["sort"] == "rand" || $attributes["sort"] == "price" ? $attributes["sort"] : "date";
		$only_shop = $attributes["only_shop"];

		if ($only_shop && ($this->diafan->module != "shop" || $site_id && $this->diafan->cid != $site_id))
			return FALSE;

		include_once(ABSOLUTE_PATH.'modules/shop/shop.model.php');
		$model = new Shop_model($this->diafan);
		$result = $model->show_block($count, $cat_id, $site_id, $sort, $images, $param);

		if (! $attributes["template"] || ! $this->diafan->_tpl->get('show_block_'.$attributes["template"], 'shop', $result))
		{
			$this->diafan->_tpl->get('show_block', 'shop', $result);
		}

		return TRUE;
	}

	/**
	 * Шаблонная функция: форма поиска по товарам
	 * 
	 * @param array $attributes атрибуты шаблонного тэга
	 * @return boolean
	 */
	public function show_search($attributes)
	{
		$attributes = $this->get_attributes($attributes, 'only_shop', 'cat_id', 'site_id', 'template');

		$only_shop = $attributes["only_shop"];
		$cat_id    = $attributes["cat_id"] === 'current' ? 'current' : intval($attributes["cat_id"]);
		$site_id   = intval($attributes["site_id"]);

		if ($only_shop && ($this->diafan->module != "shop" || $site_id && $this->diafan->cid != $site_id))
			return FALSE;

		include_once(ABSOLUTE_PATH.'modules/shop/shop.model.php');
		$model = new Shop_model($this->diafan);
		$result = $model->show_search($cat_id, $site_id);

		if (! $attributes["template"] || ! $this->diafan->_tpl->get('show_search_'.$attributes["template"], 'shop', $result))
		{
			$this->diafan->_tpl->get('show_search', 'shop', $result);
		}

		return TRUE;
	}
}