<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Shop_view
 *
 * Шаблон модуля "Магазин"
 */
class Shop_view extends View
{
	/**
	 * Шаблон вывода списка товаров (в группе, результатов поиска или если группировка не используется)
	 * 
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean true
	 */
	public function list_($result)
	{
		//сортировка
		if (! empty($result["link_sort"]) && ! empty($result["rows"]))
		{
			echo '<div class="shop_order">'.$this->_('ORDER_BY').': '.$this->_('PRICE').' ';
			if ($result["link_sort"][1])
			{
				echo '<a href="'.BASE_PATH_HREF.$result["link_sort"][1].'">▲</a>';
			}
			else
			{
				echo '<span class="active">▲</span>';
			}
			if ($result["link_sort"][2])
			{
				echo ' <a href="'.BASE_PATH_HREF.$result["link_sort"][2].'">▼</a> ';
			}
			else
			{
				echo ' <span class="active">▼</span> ';
			}
			echo $this->_('NAME_GOOD');
			if ($result["link_sort"][3])
			{
				echo ' <a href="'.BASE_PATH_HREF.$result["link_sort"][3].'">▲</a>';
			}
			else
			{
				echo ' <span class="active">▲</span>';
			}
			if ($result["link_sort"][4])
			{
				echo ' <a href="'.BASE_PATH_HREF.$result["link_sort"][4].'">▼</a>';
			}
			else
			{
				echo ' <span class="active">▼</span>';
			}
			echo '</div>';
		}
		echo '<div class="shop_list">';

		//описание текущей категории
		if (! empty($result["text"]))
		{
			echo '<div class="shop_cat_text">'.$result["text"].'</div>';
		}

		//изображения текущей категории
		if (! empty($result["img"]))
		{
			echo '<div class="shop_cat_all_img">';
			foreach ($result["img"] as $img)
			{
				switch($img["type"])
				{
					case 'animation':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$result["id"].'shop]">';
						break;
					case 'big_image':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
						break;
					default:
						echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
						break;
				}
				echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
				.'</a> ';
			}
			echo '</div>';
		}

		//подкатегории
		if (! empty($result["children"]))
		{
			foreach ($result["children"] as $child)
			{
				echo '<div class="shop_cat_link">';

				//изображение подкатегории
				if (! empty($child["img"]))
				{
					echo '<div class="shop_cat_img">';
					foreach ($child["img"] as $img)
					{
						switch($img["type"])
						{
							case 'animation':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$child["id"].'shop]">';
								break;
							case 'big_image':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
								break;
							default:
								echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
								break;
						}
						echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
						.'</a> ';
					}
					echo '</div>';
				}

				//название и ссылка подкатегории
				echo '<a href="'.BASE_PATH_HREF.$child["link"].'">'.$child["name"].'</a>';

				//краткое описание подкатегории
				if ($child["anons"])
				{
					echo '<div class="shop_cat_anons">'.$child["anons"].'</div>';
				}
				echo '</div>';
			}
		}

		//товары
		if (! empty($result["rows"]))
		{
			foreach ($result["rows"] as $row)
			{
				echo '<div class="shop">';

				//изображения товара
				if (! empty($row["img"]))
				{
					echo '<div class="shop_img">';
					foreach ($row["img"] as $img)
					{
						switch($img["type"])
						{
							case 'animation':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'shop]">';
								break;
							case 'big_image':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
								break;
							default:
								echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
								break;
						}
						echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
						.'</a> ';
					}
					echo '</div>';
				}

				//название и ссылка товара
				echo '<div class="shop_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a>';

				//рейтинг товара
				if (! empty($row["show_rating"]))
				{
					echo ' '.$row["show_rating"];
				}
				echo '</div>';

				//артикул
				if (! empty($row["article"]))
				{
					echo '<div class="shop_article">'.$this->_('ARTICLE').': <span class="shop_article_value">'.$row["article"].'</span></div>';
				}

				//цена на товар
				if (empty($row["depend"]) && ! empty($row["price"]))
				{
					echo '<div class="shop_price">'.$this->_('PRICE').': <span class="shop_price_value">'.$row["price"].'</span> <span class="shop_price_currency">'.$result["currency"].'</span></div>';
					if (! empty($row["old_price"]))
					{
						echo '<div class="shop_old_price">'.$this->_('OLD_PRICE').': <span class="shop_price_value">'.$row["old_price"].'</span>'
						.' <span class="shop_price_currency">'.$result["currency"].'</span></div>';
					}
				}

				//скидка на товар
				if (! empty($row["discount"]))
				{
					echo '<div class="shop_discount">'.$this->_('DISCOUNT').': <span class="shop_discount_value">'.$row["discount"].' %</span></div>';
				}

				// параметры товара
				if (! empty($row["param"]))
				{
					self::param($row["param"]);
				}

				//краткое описание товара
				if (! empty($row["anons"]))
				{
					echo '<div class="shop_anons">'.$row["anons"].'</div>';
				}

				//кнопка "Купить"
				self::form($row, $result);

				//теги товара
				if (! empty($row["tags"]))
				{
					echo $row["tags"];
				}
				echo '</div>';
			}
			echo '<div class="clear"></div>';
		}

		//постраничная навигация
		if (! empty($result["paginator"]))
		{
			echo $result["paginator"];
		}

		//ссылки на предыдущую и последующую категории
		if (! empty($result["previous"]) || ! empty($result["next"]))
		{
			echo '<div class="previous_next_links">';
			if (! empty($result["previous"]))
			{
				echo '<div class="previous_link"><a href="'.BASE_PATH_HREF.$result["previous"]["link"].'">&larr; '.$result["previous"]["text"].'</a></div>';
			}
			if (! empty($result["next"]))
			{
				echo '<div class="next_link"><a href="'.BASE_PATH_HREF.$result["next"]["link"].'">'.$result["next"]["text"].' &rarr;</a></div>';
			}
			echo '</div>';
		}

		//комментарии к категориям
		if (! empty($result["comments"]))
		{
			echo $result["comments"];
		}
		echo '</div>';

		return TRUE;
	}

	/**
	 * Шаблон первой страницы магазина
	 * 
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean
	 */
	public function first_page($result)
	{
		if (empty($result["categories"]))
			return FALSE;

		//категории
		foreach ($result["categories"] as $cat_id => $cat)
		{
			echo '<div class="shop_list">';

			//название категории
			echo '<h2>'.$cat["name"].'</h2>';

			//изображения категории
			if (! empty($cat["img"]))
			{
				echo '<div class="shop_cat_img">';
				foreach ($cat["img"] as $img)
				{
					switch($img["type"])
					{
						case 'animation':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$cat_id.'shop]">';
							break;
						case 'big_image':
							echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
							break;
						default:
							echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
							break;
					}
					echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
					.'</a> ';
				}
				echo '</div>';
			}

			//краткое описание категории
			if (! empty($cat["anons"]))
			{
				echo '<div class="shop_cat_anons">'.$cat["anons"].'</div>';
			}

			//подкатегории
			if (! empty($cat["children"]))
			{
				foreach ($cat["children"] as $child)
				{
					echo '<div class="shop_cat_link">';

					//изображения подкатегории
					if (! empty($child["img"]))
					{
						echo '<div class="shop_cat_img">';
						foreach ($child["img"] as $img)
						{
							switch($img["type"])
							{
								case 'animation':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$child["id"].'shop]">';
									break;
								case 'big_image':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
									break;
								default:
									echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
									break;
							}
							echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
							.'</a> ';
						}
						echo '</div>';
					}

					//название и ссылка подкатегории
					echo '<a href="'.BASE_PATH_HREF.$child["link"].'">'.$child["name"].'</a>';

					//краткое описание подкатегории
					if (! empty($child["anons"]))
					{
						echo '<div class="shop_cat_anons">'.$child["anons"].'</div>';
					}
					echo '</div>';
				}
			}

			//товары в категории
			if (! empty($cat["rows"]))
			{
				foreach ($cat["rows"] as $row)
				{
					echo '<div class="shop">';

					//изображения товара
					if (! empty($row["img"]))
					{
						echo '<div class="shop_img">';
						foreach ($row["img"] as $img)
						{
							switch($img["type"])
							{
								case 'animation':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'shop]">';
									break;
								case 'big_image':
									echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
									break;
								default:
									echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
									break;
							}
							echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
							.'</a> ';
						}
						echo '</div>';
					}

					//название и ссылка товара
					echo '<div class="shop_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a>';

					//рейтинг товара
					if (! empty($row["show_rating"]))
					{
						echo ' '.$row["show_rating"];
					}
					echo '</div>';

					//артикул
					if (! empty($row["article"]))
					{
						echo '<div class="shop_article">'.$this->_('ARTICLE').': <span class="shop_article_value">'.$row["article"].'</span></div>';
					}

					//цена на товар
					if (empty($row["depend"]) && ! empty($row["price"]))
					{
						echo '<div class="shop_price">'.$this->_('PRICE').': <span class="shop_price_value">'.$row["price"].'</span> <span class="shop_price_currency">'.$result["currency"].'</span></div>';
						if (! empty($row["old_price"]))
						{
							echo '<div class="shop_old_price">'.$this->_('OLD_PRICE').': <span class="shop_price_value">'.$row["old_price"].'</span>'
							.' <span class="shop_price_currency">'.$result["currency"].'</span></div>';
						}
					}

					//скидка на товар
					if (! empty($row["discount"]))
					{
						echo '<div class="shop_discount">'.$this->_('DISCOUNT').': <span class="shop_discount_value">'.$row["discount"].' %</span></div>';
					}

					// параметры товара
					if (! empty($row["param"]))
					{
						self::param($row["param"]);
					}

					//краткое описание товара
					if (! empty($row["anons"]))
					{
						echo '<div class="shop_anons">'.$row["anons"].'</div>';
					}

					//кнопка "Купить"
					self::form($row, $result);

					//теги товара
					if (! empty($row["tags"]))
					{
						echo $row["tags"];
					}
					echo '</div>';
				}
			}

			//ссылка на все товары в категории
			if ($cat["link_all"])
			{
				echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$cat["link_all"].'">'
				.$this->_('SHOW_ALL_GOODS_IN_CATEGORY').' '.$this->_('LQUOT').$cat["name"].$this->_('RQUOT')
				.'</a></div>';
			}
			echo '</div>';
		}

		return TRUE;
	}

	/**
	 * Шаблон страницы товара
	 * 
	 * @param array $row данные о товаре
	 * @return boolean true
	 */
	public function id($row)
	{
		echo '<div class="shop_id">';

		//рейтинг товара
		if (! empty($row["show_rating"]))
		{
			echo $row["show_rating"];
		}

		//форма оценки товара
		if (! empty($row["add_rating"]))
		{
			echo $row["add_rating"];
		}

		//артикул
		if (! empty($row["article"]))
		{
			echo '<div class="shop_article">'.$this->_('ARTICLE').': <span class="shop_article_value">'.$row["article"].'</span></div>';
		}

		//цена товара
		if (empty($row["depend"]) && ! empty($row["price"]))
		{
			echo '<div class="shop_price">'.$this->_('PRICE').': <span class="shop_price_value">'.$row["price"].'</span> <span class="shop_price_currency">'.$row["currency"].'</span></div>';
			if (! empty($row["old_price"]))
			{
				echo '<div class="shop_old_price">'.$this->_('OLD_PRICE').': <span class="shop_price_value">'.$row["old_price"].'</span>'
				.' <span class="shop_price_currency">'.$row["currency"].'</span></div>';
			}
		}

		//скидка на товар
		if (! empty($row["discount"]))
		{
			echo '<div class="shop_discount">'.$this->_('DISCOUNT').': <span class="shop_discount_value">'.$row["discount"].' %</span></div>';
		}

		//кнопка "Купить"
		self::form($row, $row);
		//параметры товара
		if (! empty($row["param"]))
		{
			self::param($row["param"]);
		}

		//краткое описание товара
		if ($row['anons'])
		{
			echo '<div class="shop_anons">'.$row['anons'].'</div>';
		}

		//описание товара
		echo '<div class="shop_text">'.$row['text'].'</div>';

		//изображения товара
		if (! empty($row["img"]))
		{
			echo '<div class="shop_all_img">';
			foreach ($row["img"] as $img)
			{
				switch($img["type"])
				{
					case 'animation':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'shop]">';
						break;
					case 'big_image':
						echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
						break;
					default:
						echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
						break;
				}
				echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
				.'</a> ';
			}
			echo '</div>';
		}

		//похожие товары
		if (! empty($row["rel_goods"]))
		{
			echo '<h2>'.$this->_('REL_GOODS').'</h2>
			<div class="shop_rel">';
			foreach ($row["rel_goods"] as $rel_row)
			{
				echo '<div class="shop">';

				//изображения товара
				if (! empty($rel_row["img"]))
				{
					echo '<div class="shop_img">';
					foreach ($rel_row["img"] as $img)
					{
						switch($img["type"])
						{
							case 'animation':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$rel_row["id"].'shop]">';
								break;
							case 'big_image':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
								break;
							default:
								echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
								break;
						}
						echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
						.'</a> ';
					}
					echo '</div>';
				}

				//название и ссылка товара
				echo '<div class="shop_name"><a href="'.BASE_PATH_HREF.$rel_row["link"].'">'.$rel_row["name"].'</a>';

				//рейтинг товара
				if (! empty($rel_row["show_rating"]))
				{
					echo ' '.$rel_row["show_rating"];
				}
				echo '</div>';

				//артикул
				if (! empty($rel_row["article"]))
				{
					echo '<div class="shop_article">'.$this->_('ARTICLE').': <span class="shop_article_value">'.$rel_row["article"].'</span></div>';
				}

				//цена на товар
				if (empty($rel_row["depend"]) && ! empty($rel_row["price"]))
				{
					echo '<div class="shop_price">'.$this->_('PRICE').': <span class="shop_price_value">'.$rel_row["price"].'</span> <span class="shop_price_currency">'.$row["currency"].'</span></div>';
					if (! empty($rel_row["old_price"]))
					{
						echo '<div class="shop_old_price">'.$this->_('OLD_PRICE').': <span class="shop_price_value">'.$rel_row["old_price"].'</span>'
						.' <span class="shop_price_currency">'.$row["currency"].'</span></div>';
					}
				}

				//скидка на товар
				if (! empty($rel_row["discount"]))
				{
					echo '<div class="shop_discount">'.$this->_('DISCOUNT').': <span class="shop_discount_value">'.$rel_row["discount"].' %</span></div>';
				}

				// параметры товара
				if (! empty($rel_row["param"]))
				{
					self::param($rel_row["param"]);
				}

				//краткое описание товара
				if (! empty($rel_row["anons"]))
				{
					echo '<div class="shop_anons">'.$rel_row["anons"].'</div>';
				}

				//кнопка "Купить"
				self::form($rel_row, $row);

				//теги товара
				if (! empty($rel_row["tags"]))
				{
					echo $rel_row["tags"];
				}
				echo '</div>';
			}
			echo '</div>';
		}

		//ссылки на предыдущий и последующий товар
		if (! empty($row["previous"]) || ! empty($row["next"]))
		{
			echo '<div class="previous_next_links">';
			if (! empty($row["previous"]))
			{
				echo '<div class="previous_link"><a href="'.BASE_PATH_HREF.$row["previous"]["link"].'">&larr; '.$row["previous"]["text"].'</a></div>';
			}
			if (! empty($row["next"]))
			{
				echo '<div class="next_link"><a href="'.BASE_PATH_HREF.$row["next"]["link"].'">'.$row["next"]["text"].' &rarr;</a></div>';
			}
			echo '</div>';
		}

		//комментарии к товару
		if (! empty($row["comments"]))
		{
			echo $row["comments"];
		}
		echo '</div>';

		return TRUE;
	
	}

	/**
	 * Шаблонная функция: блок товаров
	 * 
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean
	 */
	public function show_block($result)
	{
		if (empty($result["rows"]))
		{
			return FALSE;
		}
		echo '<div class="shop_block">';

		//заголовок блока
		if (! empty($result["name"]))
		{
			echo '<h2>'.$result["name"].'</h2>';
		}

		//товары в разделе
		if (! empty($result["rows"]))
		{
			foreach ($result["rows"] as $row)
			{
				echo '<div class="shop">';

				//название и ссылка товара
				echo '<div class="shop_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a></div>';

				//изображения товара
				if (! empty($row["img"]))
				{
					echo '<div class="shop_img">';
					foreach ($row["img"] as $img)
					{
						switch($img["type"])
						{
							case 'animation':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="prettyPhoto[gallery'.$row["id"].'shop]">';
								break;
							case 'big_image':
								echo '<a href="'.BASE_PATH.$img["link"].'" rel="big_image" width="'.$img["link_width"].'" height="'.$img["link_height"].'">';
								break;
							default:
								echo '<a href="'.BASE_PATH_HREF.$img["link"].'">';
								break;
						}
						echo '<img src="'.$img["src"].'" width="'.$img["width"].'" height="'.$img["height"].'" alt="'.$img["alt"].'" title="'.$img["title"].'">'
						.'</a> ';
					}
					echo '</div>';
				}

				//артикул
				if (! empty($row["article"]))
				{
					echo '<div class="shop_article">'.$this->_('ARTICLE').': <span class="shop_article_value">'.$row["article"].'</span></div>';
				}

				//цена на товар
				if (empty($row["depend"]) && ! empty($row["price"]))
				{
					echo '<div class="shop_price">'.$this->_('PRICE').': <span class="shop_price_value">'.$row["price"].'</span> <span class="shop_price_currency">'.$result["currency"].'</span></div>';
					if (! empty($row["old_price"]))
					{
						echo '<div class="shop_old_price">'.$this->_('OLD_PRICE').': <span class="shop_price_value">'.$row["old_price"].'</span>'
						.' <span class="shop_price_currency">'.$result["currency"].'</span></div>';
					}
				}

				// параметры товара
				if (! empty($row["param"]))
				{
					self::param($row["param"]);
				}

				//краткое описание товара
				if (! empty($row["anons"]))
				{
					echo '<div class="shop_anons">'.$row["anons"].'</div>';
				}

				//скидка на товар
				if (! empty($row["discount"]))
				{
					echo '<div class="shop_discount">'.$this->_('DISCOUNT').': <span class="shop_discount_value">'.$row["discount"].' %</span></div>';
				}

				//кнопка "Купить"
				self::form($row, $result);
				echo '</div>';
			}
		}

		//ссылка на все товары
		if (! empty($result["link_all"]))
		{
			echo '<div class="show_all"><a href="'.BASE_PATH_HREF.$result["link_all"].'">';
			if ($result["category"])
			{
				echo $this->_('SHOW_ALL_GOODS_IN_CATEGORY').' '.$this->_('LQUOT').$result["name"].$this->_('RQUOT');
			}
			else
			{
				echo $this->_('ALL_GOODS');
			}
			echo '</a></div>';
		}
		echo '</div>';

		return TRUE;
	}

	/**
	 * Шаблонная функция: форма поиска по товарам
	 * 
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean true
	 */
	public function show_search($result)
	{
		echo '<div class="shop_search">';
		echo '<h2>'.$this->_('SEARCH_GOODS').'</h2>';
		echo '<form method="get" action="'.BASE_PATH_HREF.$result["path"].'">
		<input type="hidden" value="'.$result["cat_id"].'" name="catid">';

		if (! empty($result["name"]))
		{
			echo '<div class="shop_search_name">
				<span class="infofield">'.$this->_('NAME').':</span>
				<input type="text" name="n" size="20" value="'.$result["name"]["value"].'" class="inptext">
			</div>';
		}

		if (! empty($result["article"]))
		{
			echo '<div class="shop_search_article">
				<span class="infofield">'.$this->_('ARTICLE').':</span>
				<input type="text" name="a" size="20" value="'.$result["article"]["value"].'" class="inptext">
			</div>';
		}

		if (! empty($result["text"]))
		{
			echo '<div class="shop_search_description">
				<span class="infofield">'.$this->_('DESCRIPTION').':</span>
				<input type="text" name="d" size="20" value="'.$result["text"]["value"].'" class="inptext">
			</div>';
		}

		if (! empty($result["price"]))
		{
			echo '<div class="shop_search_price">
				<span class="infofield">'.$this->_('PRICE').':</span> 
				'.$this->_('FROM').' <input type="text" name="pr1" size="5" value="'.$result["price"]["value1"].'" class="inpnum"> '
				.$this->_('TO').' <input type="text" name="pr2" size="5" value="'.$result["price"]["value2"].'" class="inpnum">
			</div>';
		}

		if (! empty($result["rows"]))
		{
			foreach ($result["rows"] as $row)
			{
				echo '<div class="shop_search_param'.$row["id"].'">';
				switch($row["type"])
				{
					case 'text':
					case 'textarea':
					case 'editor':
						echo '<span class="infofield">'.$row["name"].':</span>
						<input type="text" name="p'.$row["id"].'" size="20" value="'.$row["value"].'" class="inptext">';
						break;
					case 'title':
						echo '<span class="infoform">'.$row["name"].'</span>';
						break;
					case 'date':
						if (empty($timecalendar))
						{
							echo '<link rel="stylesheet" href="'.BASE_PATH.'css/timecalendar.css">
							<script type="text/javascript" src="'.BASE_PATH.'js/timecalendar.js"></script>';
						}
						echo '
						<span class="infofield">'.$row["name"].':</span>
						'.$this->_('FROM').'
	
						<input type="text" name="p'.$row["id"].'_1" size="5" value="'.$row["value1"].'" class="inptext timecalendar" showTime="false">
	
						'.$this->_('TO').'
	
						<input type="text" name="p'.$row["id"].'_2" size="5" value="'.$row["value2"].'" class="inptext timecalendar" showTime="false">';
						break;
					case 'numtext':
						echo '
						<span class="infofield">'.$row["name"].':</span>
						'.$this->_('FROM').' <input type="text" name="p'.$row["id"].'_1" size="5" value="'
						.$row["value1"].'" class="inpnum"> 
						
						'.$this->_('TO').' <input type="text" name="p'.$row["id"].'_2" size="5" value="'
						.$row["value2"].'" class="inpnum">';
						break;
					case 'checkbox':
						echo '
						<span class="infofield">'.$row["name"].':</span>
						<input type="checkbox" name="p'.$row["id"].'" value="1"'.($row["value"] ? " checked" : '').' class="inpcheckbox">';
						break;
					case 'select':
					case 'multiple':
						echo '
						<span class="infofield">'.$row["name"].':</span>';
						foreach ($row["select_array"] as $key => $value)
						{
							echo '<br><input type="checkbox" name="p'.$row["id"].'[]" value="'.$key.'"'.(in_array($key, $row["value"]) ? " checked" : '').' class="inpcheckbox"> '.$value;
						}
				}
				echo '
				</div>';
			}
		}
		echo '
			<input type="submit" value="'.$this->_('SEARCH', FALSE).'" class="button">
			</form>
		</div>';

		return TRUE;
	}

	/**
	 * Шаблон вывода кнопки "Купить"
	 * 
	 * @param integer $row данные о товаре
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean
	 */
	private function form($row, $result)
	{
		if (! $result["buy"])
			return FALSE;

		if ($row["no_buy"] || ! $row["count"] && ! $row["depend"])
		{
			echo '<div class="shop_no_buy">'.$this->_('NO_BUY').'</div>';
			return FALSE;
		}

		if ($row["depend"])
		{
			$depends = $result["depends"][$row["depend"]["param_id"]];
			foreach ($row["depend"]["rows"] as $r)
			{
				echo '<form method="post" action="" class="shop_form ajax">
					<input type="hidden" name="addshop" value="'.$row["id"].'">
					<input type="hidden" name="depend" value="'.$r["value"].'">
					<input type="hidden" name="module" value="shop">
					<input type="hidden" name="ajax" value="">';

					echo '<div class="shop_depend_param">'.$depends["name"].': '.$depends["values"][$r["value"]].'</div>';

					if (! empty($row["param_select_buy"]))
					{
						foreach ($row["param_select_buy"] as $id => $rows)
						{
							$deps = $result["depends"][$id];
							echo '<div class="shop_form_param">
								'.$deps["name"].':
								<select name="param'.$id.'" class="inpselect">
									<option value="" rel="">-</option>';
							foreach ($rows as $rs)
							{
								echo '<option value="'.$rs["value"].'"'.($rs["selected"] ? ' selected' : '').'>'.$deps["values"][$rs["value"]].'</option>';
							}
							echo '</select>
							</div>';
						}
					}
					if (! empty($r["old_price"]))
					{
						echo '<div class="shop_old_price">'.$this->_('OLD_PRICE').': <span class="shop_price_value">'.$r["old_price"].'</span>'
						.' <span class="shop_price_currency">'.$result["currency"].'</span></div>';
					}
					echo '<div class="shop_price">'.$this->_('PRICE').': <span class="shop_price_value">'.$r["price"].'</span> <span class="shop_price_currency">'.$result["currency"].'</span></div>';
					if ($r["count"])
					{
						echo '<input type="text" class="inpnum" value="1" name="count" size="1">
						<input type="submit" class="button" value="'.$this->_('BUY', FALSE).'">';
					}
					else
					{
						echo '<span class="shop_no_buy">'.$this->_('NO_BUY').'</span>';
					}
					echo '<div class="error">';
					if (! empty($r["count_in_basket"]))
					{
						echo sprintf($this->_('GOOD_IN_BASKET'), BASE_PATH_HREF.$result["basket_link"], $r["count_in_basket"]);
					}
					echo '</div>
				</form>';
			}
		}
		else
		{
			echo '
			<form method="post" action="" class="shop_form ajax">
			<input type="hidden" name="addshop" value="'.$row["id"].'">
			<input type="hidden" name="module" value="shop">
			<input type="hidden" name="ajax" value="">';
	
			if (! empty($row["param_select_buy"]))
			{
				foreach ($row["param_select_buy"] as $id => $rows)
				{
					$depends = $result["depends"][$id];
					echo '
					<div class="shop_form_param">
						'.$depends["name"].':
						<select name="param'.$id.'" class="inpselect">
							<option value="" rel="">-</option>';
					foreach ($rows as $r)
					{
						echo '
							<option value="'.$r["value"].'"'.($r["selected"] ? ' selected' : '').'>'.$depends["values"][$r["value"]].'</option>';
					}
					echo '</select>
					</div>';
				}
			}
			echo '
			<input type="text" class="inpnum" value="1" name="count" size="1">
			<input type="submit" class="button" value="'.$this->_('BUY', FALSE).'">
			<div class="error">';
			if (! empty($row["count_in_basket"]))
			{
				echo sprintf($this->_('GOOD_IN_BASKET'), BASE_PATH_HREF.$result["basket_link"], $row["count_in_basket"]);
			}
			echo '</div>
			</form>';
		}

		return TRUE;
	}

	/**
	 * Шаблон вывода параметров товара
	 * 
	 * @param array $params параметры
	 * @return boolean true
	 */
	private function param($params)
	{
		foreach ($params as $param)
		{
			echo '<div class="shop_param">'.$param["name"];
			if ($param["value"])
			{
				echo ': <span class="shop_param_value">';
				if (! empty($param["link"]))
				{
					echo '<a href="'.BASE_PATH_HREF.$param["link"].'">'.$param["value"].'</a>';
				}
				elseif (is_array($param["value"]))
				{
					foreach ($param["value"] as $p)
					{
						if ($param["value"][0] != $p)
						{
							echo ', ';
						}
						if (is_array($p))
						{
							if ($p["link"])
							{
								echo '<a href="'.BASE_PATH_HREF.$p["link"].'">'.$p["name"].'</a>';
							}
							else
							{
								echo $p["name"];
							}
						}
						else
						{
							echo $p;
						}
					}
				}
				else
				{
					echo $param["value"];
				}
				echo '</span>';
			}
			echo '</div>';
		}

		return TRUE;
	}
}