<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "". (http://diafan.ru)
 */

define('DIAFAN', 1);
define('IS_ADMIN', 0);
define('_LANG', '');
define('ABSOLUTE_PATH', dirname(dirname(dirname(__FILE__))).'/');

include_once(ABSOLUTE_PATH.'config.php');

include_once (ABSOLUTE_PATH.'includes/developer.php');
Dev::set_error();

include_once(ABSOLUTE_PATH.'includes/http.php');
include_once(ABSOLUTE_PATH.'includes/https.php');
include_once(ABSOLUTE_PATH.'includes/xml.php');
require_once(ABSOLUTE_PATH.'includes/core.php');
require_once(ABSOLUTE_PATH.'includes/database.php');

/**
 * Shopyandex
 * 
 *    .
 */
class Shop_yandex extends Core
{
	/**
	 * @var array   
	 */
	private $route;

	/**
	 * @var integer    
	 */
	private $timeedit;

	/**
	 *  
	 * 
	 * @return void
	 */
	public function __construct()
	{
		include_once(ABSOLUTE_PATH.'includes/cache.php');
		$this->_cache = new Cache;

		include_once(ABSOLUTE_PATH.'includes/route.php');
		$this->_route = new Route($this);

		define('BASE_PATH', "http://".$_SERVER["HTTP_HOST"]."/".(REVATIVE_PATH ? REVATIVE_PATH.'/' : ''));
		if (! $this->configmodules('yandex', 'shop'))
		{
			include_once(ABSOLUTE_PATH.'includes/404.php');
		}
		header('Content-type: application/xml');
		echo utf::to_windows1251($this->init());
	}

	/**
	 *   YML-
	 * 
	 * @return string
	 */
	private function init()
	{
		$cache_meta = array(
				"name"     => "yandex"
			);
		if (! $text = $this->_cache->get($cache_meta, "shop"))
		{
			$text  = $this->get_info();
			$text .= $this->get_categories();
			$text .= $this->get_offers();
	
			$text = '<?xml version="1.0" encoding="windows-1251"?>
			<!DOCTYPE yml_catalog SYSTEM "shops.dtd">
			<yml_catalog date="'.date("Y-m-d H:i", $this->timeedit).'">
				<shop>
				'.$text.'
				</shop>
			</yml_catalog>';
			$this->_cache->save($text, $cache_meta, "shop");
		}
		return $text;
	}

	/**
	 *   YML-,    
	 * 
	 * @return string
	 */
	private function get_info()
	{
		$text = '
			<name>'.$this->prepare($this->configmodules('nameshop', 'shop')).'</name>
			<company>'.$this->prepare(TIT).'</company>
			<url>'.BASE_PATH.'</url>
			<currencies>
			<currency id="';
			if ($this->configmodules('currencyyandex', 'shop'))
			{
				$text .= $this->prepare($this->configmodules('currencyyandex', 'shop'));
			}
			else
			{
				$text .= 'RUR';
			}
	
			$text .= '" rate="';
		
			if (! $this->configmodules('currencyyandex', 'shop') || $this->configmodules('currencyyandex', 'shop') == 'RUR')
			{
				$text .= '1';
			}
			else
			{
				if ($this->configmodules('currencyratesel', 'shop') == 1)
				{
					$text .= preg_replace('/[^0-9\.]+/', '', str_replace(',', '.', $this->configmodules('currencyrate', 'shop')));
				}
				else
				{
					$text .= 'CBRF';
				}
			}
		
			if ($this->configmodules('currencyyandex', 'shop') && $this->configmodules('currencyyandex', 'shop') != 'RUR'
			   && $this->configmodules('currencyratesel', 'shop') == 3 && $k)
			{
				$text .= '" plus="'.preg_replace('/[^0-9\.]+/', '', str_replace(',', '.', $this->configmodules('currencyrate', 'shop')));
			}
		
			$text .= '" />
			</currencies>';
		return $text;
	}

	/**
	 *   YML-,     
	 * 
	 * @return string
	 */
	private function get_categories()
	{
		$text = '';
		if ($this->configmodules('cat', 'shop'))
		{
			$text .= '
			<categories>';
			$result = DB::query("SELECT id, name, parent_id, timeedit FROM {shop_category} WHERE act='1' AND trash='0'"
					    .($this->configmodules('show_yandex_category', 'shop') ? " AND show_yandex='1'" : ""));
			while ($row = DB::fetch_array($result))
			{
				$text .= '
				<category id="'.$row["id"].($row["parent_id"] ? '" parentId="'.$row["parent_id"] : '').'">'
					.$this->prepare($row["name"]).'</category>';
				$this->timeedit = $row["timeedit"] > $this->timeedit ? $row["timeedit"] : $this->timeedit;
			}
			
			$text .= '
			</categories>';
		}
		return $text;
	}

	/**
	 *   YML-,     
	 * 
	 * @return string
	 */
	private function get_offers()
	{
		$text = '
		<offers>';
	
		$result = DB::query("SELECT id, name, yandex, cat_id, text, site_id, timeedit FROM {shop} WHERE act='1' AND trash='0'"
				    .($this->configmodules('show_yandex_element', 'shop') ? " AND show_yandex='1'" : ""));
		while ($row = DB::fetch_array($result))
		{
			$yandex = array();
			$link = BASE_PATH.$this->_route->link($row["site_id"], "shop", $row["cat_id"], $row["id"]);
			$this->timeedit = $row["timeedit"] > $this->timeedit ? $row["timeedit"] : $this->timeedit;

			if ($row["yandex"])
			{
				$y_arr = explode("\n", $this->prepare($row["yandex"]));
				foreach ($y_arr as $y_a)
				{
					list($k,$v) = explode("=", $y_a, 2);
					$yandex[$k] = $v;
				}   	
			}
			$price = DB::query_result("SELECT price FROM {shop_price} WHERE good_id=%d ORDER BY price ASC LIMIT 1", $row["id"]);
			
			$img = DB::fetch_array(DB::query("SELECT id, name FROM {images} WHERE module_name='shop' AND"
							." element_id='%d' AND trash='0' ORDER BY sort ASC LIMIT 1", $row["id"]));
			$picture = $img ? BASE_PATH.USERFILES.'/shop/medium/'.$img["name"] : '';
		
			if (empty($yandex["typePrefix"]) || empty($yandex["vendor"]) || empty($yandex["vendorCode"]) || empty($yandex["model"]))
			{
				$text .= '
				<offer id="'.$row["id"].'" available="true" bid="'.$this->configmodules('bid', 'shop').'">
					<url>'.$link.'</url>
					<price>'.$price.'</price>
					<currencyId>';
					if ($this->configmodules('currencyyandex', 'shop'))
					{
						$text .= $this->prepare($this->configmodules('currencyyandex', 'shop'));
					}
					else
					{
						$text .= 'RUR';
					}
				$text .= '</currencyId>';
				if ($this->configmodules('cat', 'shop'))
				{
					$text .= '
					<categoryId>'.$row["cat_id"].'</categoryId >';
				}
				if ($picture)
				{
					$text .= '
					<picture>'.$picture.'</picture>';
				}
				$text .= '
					<delivery>true</delivery>
					<name>'.$this->prepare($row["name"]).'</name>';
				if (! empty($yandex["vendor"]))
				{
					$text .= '
					<vendor>'.$yandex["vendor"].'</vendor>';
				}
				if (! empty($yandex["vendorCode"]))
				{
					$text .= '
					<vendorCode>'.$yandex["vendorCode"].'</vendorCode>';
				}
				if ($row["text"])
				{
					$text .= '
					<description>'.$this->prepare($row["text"]).'</description>';
				}
				if (! empty($yandex["country_of_origin"]))
				{
					$text .= '
					<country_of_origin>'.$yandex["country_of_origin"].'</country_of_origin>';
				}
				$text .= '
				</offer>';
			}
			else
			{
				$text .= '
				<offer id="'.$row["id"].'" type="vendor.model" available="true" bid="'.$this->configmodules('bid', 'shop')
				.($this->configmodules('cbid', 'shop') ? '" cbid="'.$this->configmodules('cbid', 'shop'):'').'">
					<url>'.$link.'</url>
					<price>'.$price.'</price>
					<currencyId>';
					if ($this->configmodules('currencyyandex', 'shop'))
					{
						$text .= $this->prepare($this->configmodules('currencyyandex', 'shop'));
					}
					else
					{
						$text .= 'RUR';
					}
				$text .= '</currencyId>';
				if ($this->configmodules('cat', 'shop'))
				{
					$text .= '
					<categoryId>'.$row["cat_id"].'</categoryId >';
				}
				if ($picture)
				{
					$text .= '
					<picture>'.$picture.'</picture>';
				}
				$text .= '
					<delivery>true</delivery>';
				$text .= '
					<typePrefix>'.$yandex["typePrefix"].'</typePrefix>
					<vendor>'.$yandex["vendor"].'</vendor>';
				if (! empty($yandex["vendorCode"]))
				{
					$text .= '
					<vendorCode>'.$yandex["vendorCode"].'</vendorCode>';
				}
				$text .= '
					<model>'.$yandex["model"].'</model>';
				if ($row["text"])
				{
					$text .= '
					<description>'.$this->prepare($row["text"]).'</description>';
					$text .= '
					<manufacturer_warranty>'.(! empty($yandex["manufacturer_warranty"]) ? 'true' : 'false').'</manufacturer_warranty>';
				}
				if (! empty($yandex["country_of_origin"]))
				{
					$text .= '
					<country_of_origin>'.$yandex["country_of_origin"].'</country_of_origin>';
				}
				$text .= '
				</offer>';
			}
		}
		$text.='
		</offers>';
		return $text;
	}

	/**
	 *      YML-
	 *
	 * @param string $text  
	 * @return string
	 */
	private function prepare($text)
	{
		$repl = array('&nbsp', '"','&','>','<',"'", chr(0), chr(1), chr(2), chr(3), chr(4),
			      chr(5), chr(6), chr(7), chr(8), chr(11), chr(12), chr(14), chr(15),
			      chr(16), chr(17), chr(18), chr(19), chr(20), chr(21), chr(22), chr(23),
			      chr(24), chr(25), chr(26), chr(27), chr(28), chr(29), chr(30), chr(31));
		$replm = array(' ', '&quot;', '&amp;', '&gt;', '&lt;', '&apos;', '', '', '', '', '',
			       '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '',
			       '', '', '', '', '', '');
		
		$text = str_replace($repl, $replm, strip_tags($text));
		return $text;
	}
}

$shy = new Shop_yandex();