<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Tags_admin_del
 * 
 * Удаление прикрепленных тегов
 */
class Tags_admin_del
{
	/**
	 * Помечает теги на удаление или удаляет теги
	 * 
	 * @param string $module_name название модуля, к которому прикреплены теги
	 * @param integer $element_id номер элемента, к которому прикреплены теги
	 * @param integer $trash_id номер записи в корзине, с которой связано удаление
	 * @param integer $is_category удаляемый элемент - категория
	 * @return boolean true
	 */
	public static function delete($th, $module_name, $element_id, $trash_id = 0, $is_category = FALSE)
	{
		if ($is_category)
		{
			return FALSE;
		}
		$th->del_or_trash_where("tags", "element_id='".$element_id."' AND module_name='".$module_name."'", $trash_id);
		$th->diafan->_cache->delete("", "tags");
		return TRUE;
	}
}