<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Tags
 *
 * Контроллер модуля "Тэги"
 */
class Tags extends Controller
{
	/**
	 * Инициализация модуля
	 * 
	 * @return void
	 */
	public function init()
	{
		$model = new Tags_model($this->diafan);
		$this->rewrite_variable_names = array('page', 'show');

		if (! $this->diafan->show)
		{
			$this->result = $model->show_block(TRUE);
		}
		else
		{
			$this->result = $model->list_module();
		}

		if (! empty($this->result["title"]))
		{
			$this->diafan->name = $this->result["title"];
		}
	}

	/**
	 * Выводит контент модуля
	 * 
	 * @return boolean true
	 */
	public function show_module()
	{
		if (! $this->diafan->show)
		{
			$this->diafan->_tpl->get('show_block', 'tags', $this->result);
		}
		else
		{
			$this->diafan->_tpl->get('list_', 'tags', $this->result);
		}
		return TRUE;
	}

	/**
	 * Шаблонная функция: выводит облако тэгов
	 * 
	 * @param array $attributes атрибуты шаблонного тэга
	 * @return boolean
	 */
	public function show_block($attributes)
	{
		$this->diafan = $this->diafan;
		
		if ($this->diafan->module == "tags" && ! $this->diafan->show)
			return FALSE;
		
		include_once(ABSOLUTE_PATH.'modules/tags/tags.model.php');
		$model = new Tags_model($this->diafan);
		$result = $model->show_block();
		
		$this->diafan->_tpl->get('show_block', 'tags', $result);

		return TRUE;
	}
}