<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Tags_view
 *
 * Шаблон модуля "Тэги"
 */
class Tags_view extends View
{
	/**
	 * Шаблон списка элементов, к которым прикреплен тэг
	 *
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean
	 */
	public function list_($result)
	{
		if (empty($result["rows"]))
			return FALSE;
		
		foreach ($result["rows"] as $row)
		{
			if (! empty($row["class"]))
			{
				$this->get($row["func"], $row["class"], $row["result"]);
			}
			else
			{
				echo '
				<div class="tags_list">
					<div class="tag_name"><a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a></div>
					<div class="tag_text">'.$row["snippet"].'</div>
				</div>';
			}
		}
		echo (! empty($result["paginator"]) ? $result["paginator"] : '');

		return TRUE;
	}

	/**
	 * Шаблон списка прикрепленных к элементу тэгов
	 * 
	 * @param array $rows список тэгов
	 * @return string
	 */
	public function show_get($rows)
	{
		$text = '';
		if (! empty($rows))
		{
			$k = 0;
			$text .= '
			<div class="tags"><span class="tags_header">'.$this->_('TAGS').':</span> ';
			foreach ($rows as $row)
			{
				$text .= ($k ? ', ' : '').'<a href="'.BASE_PATH_HREF.$row["link"].'">'.$row["name"].'</a>
				';
				$k++;
			}
			$text .= '</div>';
		}
		return $text;
	}

	/**
	 * Шаблон облака тэгов
	 * 
	 * @param array $result сгенерированные в моделе данные
	 * @return boolean
	 */
	public function show_block($result)
	{
		if (! $result["rows"])
			return FALSE;
		
		echo '<div class="tags_block">';
		if (! $result["title_no_show"])
		{
			echo '<h2>'.$this->_('TAGS').'</h2>';
		}
		
		foreach ($result["rows"] as $row)
		{
			if (! $row["selected"])
			{
				echo '
				<a href="'.BASE_PATH_HREF.$row["link"].'" style="font-size: '.$row["size"].'em;">'.$row["name"].'</a> ';
			}
			else
			{
				echo '
				<span style="font-size: '.$row["size"].'em;">'.$row["name"].'</span> ';
			}
		}
		echo '</div>';

		return TRUE;
	}
}