<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Update_admin_list
 *
 * Список закрытых для обновления файлов
 */
class Update_admin_list extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file = 'update';

	/**
	 * @var string таблица в базе данных
	 */
	public $table = 'update';

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;

		//поля в базе данных для редактирования	
		$this->variable_table = array(
			'name'    => 'text',
			'user_id' => 'function',
			'created' => 'datetime'
		);

		$this->config_module = array(
			'del'  => 1, //удалить
			'date' => 1 //показывать дату в списке, сортировать по дате
		);

		//выводить в списке содержание полей:
		$this->config_other_row = array(
			'user_id'
		);
	}

	/**
	 * Выводит контент модуля
	 * @return boolean true
	 */
	public function show_module()
	{
		$this->addnew_init(_ADMIN_ADD_UPDATE_LIST);
		echo '<table class="list">';
		$this->list_row();	
		echo '</table>';

		return TRUE;
	}

	/**
	 * Выводит имя пользователя, добавившего файл
	 * @return string
	 */
	protected function other_row_user_id($row)
	{
		return '</td><td>'
		.($row["user_id"] ? '<a href="'.BASE_PATH_HREF.'users/edit'.$row["user_id"].'/">'.DB::title("users", $row["user_id"], "fio").'</a>' : '');
	}

	/**
	 * Редактирование поля "Пользователь"
	 * 
	 * @return boolean
	 */
	protected function edit_user_id_module()
	{
		if ($this->diafan->addnew)
		{
			return FALSE;
		}
		echo '
		<tr'.$this->get_other().' valign="top">
			<td class="td_first">'.$this->variable_names().'</td>
			<td><a href="'.BASE_PATH_HREF.'users/edit'.$this->value.'/">'
			.DB::query_result("SELECT fio FROM {users} WHERE id=%d", $this->value)
			.'</a>'.$this->show_help_row().'
			</td>
		</tr>';
		return TRUE;
	}

	/**
	 * Сохранение поля "Пользователь"
	 * 
	 * @return boolean
	 */
	protected function save_user_id_module()
	{
		if ($this->diafan->savenew)
		{
			$this->query[] = "user_id='%d'";
			$this->value[] = $this->diafan->_user->id;
		}
		return TRUE;
	}
}