<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Useradmin_view
 *
 * Шаблон модуля "Редактирование из пользовательской части"
 */
class Useradmin_view extends View
{
	/**
	 * Шаблон формы добавления комментария
	 * 
	 * @param array $result данные, сгенерированные в моделе
	 * @return string
	 */
	public function get($result)
	{
		$text = '<span class="useradmin_contener" href="'.($result["module_name"] == "language_file" ? BASE_PATH_HREF : BASE_PATH)
		.'useradmin/edit/?module_name='.$result["module_name"].'&amp;name='.$result["name"].'&amp;element_id='.$result["element_id"]
		.'&amp;lang_id='.$result["lang_id"].'&amp;type='.$result["type"].'&amp;iframe=true&amp;';
		switch($result["type"])
		{
			case 'editor':
			case 'textarea':
				$text .= 'width=800&amp;height=400';
				break;
			case 'date':
				$text .= 'width=300&amp;height=250';
				break;
			case 'text':
			case 'numtext':
				$text .= 'width=600&amp;height=120';
				break;
		}
		$text .= '">'.$result["text"].'</span>';
		return $text;
	}
	
	public function edit($result)
	{
	echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
	<html>
	<head>
		<title>'.$this->_('EDITING', FALSE).'</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="'.BASE_PATH.'modules/useradmin/useradmin.edit.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="'.BASE_PATH.'js/jquery-1.4.2.min.js"></script>
		<script type="text/javascript" src="'.BASE_PATH.'js/jquery.form.js"></script>
		<script type="text/javascript" src="'.BASE_PATH.'modules/useradmin/useradmin.edit.js"></script>
		<script type="text/javascript" src="'.BASE_PATH.'adm/htmleditor/tiny_mce/tiny_mce.js"></script>
		<script type="text/javascript" src="'.BASE_PATH.'adm/htmleditor/tiny_mce/plugins/images/images_init.php"></script>
		<script type="text/javascript" src="'.BASE_PATH.'adm/htmleditor/tiny_mce/config.js"></script>
	</head>
	<body>
		<form method="POST" action="'.BASE_PATH.ADMIN_FOLDER.'/" class="useradmin_form">
		<input type="hidden" name="module" value="useradmin">
		<input type="hidden" name="action" value="save">
		<input type="hidden" name="name" value="'.$result["name"].'">
		<input type="hidden" name="element_id" value="'.$result["element_id"].'">
		<input type="hidden" name="module_name" value="'.$result["module_name"].'">
		<input type="hidden" name="check_hash_user" value="'.$result["hash"].'">
		<input type="hidden" name="lang_id" value="'.$result["lang_id"].'">
		<input type="hidden" name="type" value="'.$result["type"].'">';
		switch($result["type"])
		{
			case 'textarea':
				echo '<textarea name="value" style="width:400px; height:310px">'.$result["text"].'</textarea>';
				break;
			case 'editor':
				echo '<textarea name="value" class="htmleditor" style="width:400px; height:310px">'.$result["text"].'</textarea>';
				break;
			case 'date':
				if (! $result["text"])
				{
					$result["text"] = time();
				}
				echo '
					<link rel="stylesheet" href="'.BASE_PATH.'css/timecalendar.css" />
					<script type="text/javascript" src="'.BASE_PATH.'js/timecalendar.js"></script>
					<input name="value" type="text" value="'.date("d.m.Y H:i", $result["text"]).'" size="20" class="timecalendar">';
				break;
			case 'text':
				echo '<input name="value" type="text" value="'.$result["text"].'" size="60">';
				break;
			case 'numtext':
				echo '<input name="value" type="text" value="'.$result["text"].'" size="20" class="inpnum">';
				break;
		}
		if ($result["error"])
		{
			echo '<div class="errors">'.$result["error"].'</div>';
		}
		echo '
		<input type="submit" value="'.$this->_('SAVE', FALSE).'" class="useradmin_button">
		</form>
	</body>
	</html>';
	}
}