<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Users_admin_role
 *
 * Редактирование права администраторов
 */
class Users_admin_role extends Frame_admin
{
	/**
	 * @var string название файла. используется в имени констант, определяющих названия полей
	 */
	public $file	=	'usersrole';

	/**
	 * @var string таблица в базе данных
	 */
	public $table	=	'users_role';
	private $no_rules = array(
		'update' => array(
				'del'    => 1,
				'edit'   => 1,
				'save'   => 1,
				'act'    => 1,
				'order'  => 1,
				'addnew' => 1
				),
		'update/install' => array(
				'del'    => 1,
				'edit'   => 1,
				'save'   => 1,
				'act'    => 1,
				'order'  => 1,
				'addnew' => 1
				),
		'update/list' => array(
				'act'    => 1,
				'order'  => 1
				),
		'update/repair' => array(
				'del'    => 1,
				'edit'   => 1,
				'save'   => 1,
				'act'    => 1,
				'order'  => 1,
				'addnew' => 1
				),
		'config' => array(
				'del'    => 1,
				'act'    => 1,
				'order'  => 1,
				'addnew' => 1
				),
		'tags' => array(
				'act'    => 1,
				'addnew' => 1
		),
		'adminsite' => array(
				'order'  => 1
		),
		'faq' => array(
				'order' => 1
		),
		'feedback' => array(
				'order' => 1
		),
		'news'=>array(
				'order'=> 1
		),
		'clauses'=>array(
				'order'=> 1
		),
		'subscribtion' => array(
				'order' => 1
		),
		'comments' => array(
				'order'  => 1,
				'addnew' => 1
		),
		'rating' => array(
				'order'  => 1,
				'addnew' => 1,
				'act'    => 1
		),
		'usersite' => array(
				'order' => 1
		),
		'usersite/param' => array(
				'act' => 1
		),
		'users'=>array(
				'order'  => 1
		),
		'shop/param' => array(
				'act'    => 1
		),
		'shop/order' => array(
				'act'    => 1,
				'order'  => 1,
				'addnew' => 1
		),
		'shop/ordercount' => array(
				'act'    => 1,
				'save'   => 1,
				'edit'   => 1,
				'order'  => 1,
				'addnew' => 1
		),
		'shop/orderparam' => array(
				'act'    => 1
		),
		'shop/discount' => array(
				'order'    => 1
		),
		'shop/import' => array(
				'act'    => 1,
				'order'  => 1
		),
		'menu/category' => array(
				'order'   => 1
		),
		'feedback/param' => array(
				'act'    => 1,
				'config' => 1
		),
		'users/role' => array(
				'act'    => 1,
				'order'  => 1
		),
		'language' => array(
				'act'    => 1,
				'order'  => 1
		),
		'trash' => array(
				'act'    => 1,
				'order'  => 1,
				'edit'   => 1,
				'save'   => 1,
				'addnew' => 1
		)
	);
	
	private $rewrite_variable_roles = array(
		_ADMIN_USERSROLE_INIT	=> 'init',
		_ADMIN_USERSROLE_EDIT	=> 'edit',
		_ADMIN_USERSROLE_SAVE	=> 'save',
		_ADMIN_USERSROLE_ADDNEW	=> 'addnew',
		_ADMIN_USERSROLE_DEL	=> 'del',
		_ADMIN_USERSROLE_ACT	=> 'act',
		_ADMIN_USERSROLE_ORDER	=> 'order'
	);

	/**
	 * Конструктор класса
	 * 
	 * @return void
	 */
	public function __construct($diafan)
	{
		$this->diafan = $diafan;
		
		//поля в базе данных для редактирования
		$this->variable_table = array(
			'name'	=> 'text',
			'perm'	=> 'function'
		);
		
		$this->config_module = array(
			'del'	=> 1,	//удалить
			'trash' => 1	//использовать корзину
		);
	}

	/**
	 * Выводит список типов пользователей
	 * @return boolean true
	 */
	public function show_module()
	{
		$this->addnew_init(_ADMIN_USERSROLE_ADD);
		echo '<table class="list">';
		$this->list_row();	
		echo '</table>';

		return TRUE;
	}

	/**
	 * Редактирование поля "Права доступа"
	 * @return boolean true
	 */
	protected function edit_perm_module()
	{
		$roles = explode(',', $this->values["perm"]);
	
		echo '
		<tr>
			<td colspan="2">
				<table class="border">
					<tr id="tr_first">
						<td>&nbsp;';		
					foreach ($this->rewrite_variable_roles as $key => $v)
					{
						echo '
						</td>
						<td>
							'.$key.'
							<br>
							<input type="checkbox" name="check_all_role" value="'.$v.'">';
					}
					echo '
						</td>
					</tr>';

		?><script type="text/javascript" language="JavaScript">
		$(document).ready(function(){
			$("input[name=check_all_role]").click(function(){
				$(".checkbox_"+$(this).attr("value")).attr("checked", $(this).attr("checked"));
			});
			$(".checkbox").click(function(){
				if ($(this).attr("checked"))
				{
					if (! $(this).is('.checkbox_init'))
					{
						$(this).parents('.border tr').find('.checkbox_init').attr("checked", $(this).attr("checked"));
					}
					if ($(this).is('.checkbox_save'))
					{
						$(this).parents('.border tr').find('.checkbox_edit').attr("checked", $(this).attr("checked"));
					}
					if ($(this).is('.checkbox_addnew'))
					{
						$(this).parents('.border tr').find('.checkbox_save, .checkbox_edit').attr("checked", $(this).attr("checked"));
					}
				}
				else
				{
					if ($(this).is('.checkbox_init'))
					{
						$(this).parents('.border tr').find('.checkbox').attr("checked", $(this).attr("checked"));
					}
					if ($(this).is('.checkbox_save'))
					{
						$(this).parents('.border tr').find('.checkbox_addnew').attr("checked", $(this).attr("checked"));
					}
					if ($(this).is('.checkbox_edit'))
					{
						$(this).parents('.border tr').find('.checkbox_addnew, .checkbox_save').attr("checked", $(this).attr("checked"));
					}
				}
			});
		});
		</script>
		<?php
		$rewrites = array();
		$result = DB::query("SELECT id, name, rewrite FROM {adminsite} WHERE parent_id=0 ORDER BY sort ASC");
		$k = 0;
		while ($row = DB::fetch_array($result))
		{
			$rewrites[] = $row["rewrite"];
			echo '
			<tr>
				<td align="right"><b>'.$row["name"].'</b>';
			foreach ($this->rewrite_variable_roles as $v)
			{
				echo (isset($this->no_rules[$row["rewrite"]][$v])
				      ? '</td><td>&nbsp;&nbsp;x '
				      : '</td><td><input type="checkbox" name="'.$v.'[]" value="'.$row["id"].'" class="checkbox checkbox_'.$v.'"'
				      .(! $this->diafan->addnew ? (! $this->diafan->admin_roles($v, $row["rewrite"], $roles) ? " checked" : '') : '')
				      .'>'
				);
			}
			echo '
				</td>
			</tr>';
			$k++;

			$result2 = DB::query("SELECT id, name, rewrite FROM {adminsite} WHERE parent_id='".$row["id"]."' ORDER BY sort ASC"); 
			while ($row2 = DB::fetch_array($result2))
			{
				if (in_array($row2["rewrite"], $rewrites))
					continue;
				if (strstr($row2["rewrite"], '/config'))
				{
					$this->no_rules[$row2["rewrite"]] = array(
						'del'    => 1,
						'act'    => 1,
						'order'  => 1,
						'addnew' => 1
					);
				}
				$rewrites[] = $row2["rewrite"];
				echo '<tr><td align="right">'.$row2["name"];		
				foreach ($this->rewrite_variable_roles as $v)
				{
					echo (isset($this->no_rules[$row2["rewrite"]][$v])
					      ? '</td><td>&nbsp;&nbsp;x '
					      : '</td><td><input type="checkbox" name="'.$v.'[]" value="'.$row2["id"].'" class="checkbox checkbox_'.$v.'"'
					      .(! $this->diafan->addnew ? (! $this->diafan->admin_roles($v, $row2["rewrite"], $roles) ? " checked" : '') : '')
					      .'>'
					);
				}
				echo '</td></tr>'."\n";
				$k++;
			}
		}
		echo '
				</table>
			</td>
		</tr>';

		return TRUE;
	}

	/**
	 * Сохранение поля "Права доступа"
	 * @return boolean true
	 */
	protected function save_perm_module()
	{
		$perm = '';
		$perm0 = array();
		$p0 = 0;
		
		$result = DB::query("SELECT id,rewrite FROM {adminsite}");
		while ($row = DB::fetch_array($result))
		{   
			$p1 = 0;
			$perm1 = array();
			if (strstr($row["rewrite"], '/config'))
			{
				$this->no_rules[$row2["rewrite"]] = array(
					'del'    => 1,
					'act'    => 1,
					'order'  => 1,
					'addnew' => 1
				);
			}
			
			foreach ($this->rewrite_variable_roles as $v)
			{
				if (! empty($_POST[$v]) && in_array($row["id"], $_POST[$v]))
				{
					$perm1[] = 'admin '.$row["rewrite"].' '.$v;
				}
				elseif (! isset($this->no_rules[$row["rewrite"]][$v]))
				{
					$p1 = 1;
				}
			}
			
			if (! $p1)
			{
				$perm0[] = 'admin '.$row["rewrite"].' all';
			}
			else
			{
				$p0 = 1;
				$perm0 = array_merge($perm0, $perm1);
			}
		}
		
		if (! $p0)
		{
			$perm = 'admin all';
		}
		else
		{
			$perm = implode(',', $perm0);
		}
		
		$this->query[] = "perm='%s'";
		$this->value[] = $perm;

		return TRUE;
	}
}