<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

if (! defined('DIAFAN'))
{
	include(dirname(dirname(dirname(__FILE__))).'/includes/404.php');
}

/**
 * Votes_view
 *
 * Шаблон модуля "Голосование"
 */
class Votes_view extends View
{
	/**
	 * Шаблон формы голосования
	 * 
	 * @param array $rows список опросов
	 * @return boolean true
	 */
	public function show_module($rows)
	{
		if (! empty($rows))
		{
			foreach ($rows as $result)
			{
				echo '
				<div class="votes_question">'.$result["question"].'</div>
				<form method="post" action="" class="votes_form ajax" id="votes'.$result["question_id"].'">
				<div id="votes'.$result["question_id"].'_form">
				'.$result["answers"].'
				</div>
				<div class="errors error"'.($result["error"] ? '>'.$result["error"] : ' style="display:none">').'</div>
				</form>';
			}
			echo '<script type="text/javascript" src="'.BASE_PATH.'modules/votes/votes.js"></script>';
		}

		return TRUE;
	}

	/**
	 * Шаблон вопросов для голосования
	 * 
	 * @param array $rows список ответов
	 * @return string
	 */
	public function form($result)
	{
		$text = '
			<input type="hidden" name="question" value="'.$result["question_id"].'">
			<input type="hidden" name="ajax" value="0">
			<input type="hidden" name="module" value="votes">
			<input type="hidden" name="result" value="">';
		if (! empty($result))
		{
			foreach ($result["answers"] as $row)
			{
				$text .= '
				<div class="votes_form_answer">
					<input type="radio" name="answer" value="'.$row["id"].'"'.($row == $result["answers"][0] ? " checked" : '').'>
					'.$row["name"].'
				</div>';
			}
			$text .= $result["captcha"].'
				<input type="submit" class="button" value="'.$this->_('VOTE', FALSE).'">
				<input type="button" class="button votes_result" value="'.$this->_('RESULT', FALSE).'">';
		}
		return $text;
	}

	/**
	 * Шаблон результатов голосования
	 * 
	 * @param array $rows список ответов
	 * @return string
	 */
	public function answers($result)
	{
		$text = '
			<input type="hidden" name="question" value="'.$result["question_id"].'">
			<input type="hidden" name="ajax" value="0">
			<input type="hidden" name="module" value="votes">
			<input type="hidden" name="result" value="2">';
		if (! empty($result))
		{
			foreach ($result["answers"] as $row)
			{
				$text .= '<div class="votes_answer">'.$row["name"].' - '.$row["persent"].'% ('.$row["count"].')';
				$text .= '<div class="votes_line" style="width: '.$row["persent"].'%"></div>';
				$text .= '</div>';
			}
			$text .= '<div class="votes_count">'.$this->_('COUNT_VOTES').': '.$result["summ"].'</div>';
			$text .= (! empty($result["result"]) ? '
			<input type="submit" class="button" value="'.$this->_('VOTE', FALSE).'">' : '');
		}
		return $text;
	}
}