<?php
/**
 * Diafan.CMS
 *
 * @author     diafan.ru
 * @version    4.4
 * @license http://cms.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2011 OOO "Диафан". (http://diafan.ru)
 */

define('DIAFAN', 1);
include_once(dirname(__FILE__)."/config.php");
include_once(dirname(__FILE__)."/bdcfg.php");


if (defined('VERSION_CMS') && VERSION_CMS == '4.4')
{
	include(dirname(__FILE__)."/includes/404.php");
}


define('IS_ADMIN', 1);
define('IS_INSTALL', 1);

error_reporting(0);

define("VERSION", "4.4");
define("D_UPDATE", "1314355680");
define("ABSOLUTE_PATH", dirname(__FILE__)."/");

include_once(ABSOLUTE_PATH.'includes/function.php');
include_once(ABSOLUTE_PATH.'includes/http.php');
include_once(ABSOLUTE_PATH.'includes/https.php');
include_once(ABSOLUTE_PATH.'includes/xml.php');
include_once(ABSOLUTE_PATH.'includes/core.php');
require_once(ABSOLUTE_PATH.'includes/database.php');
require_once(ABSOLUTE_PATH.'includes/session.php');
require_once(ABSOLUTE_PATH.'includes/user.php');
include_once(ABSOLUTE_PATH.'includes/init.php');

$diafan = new Init();

$language = array();
$result = DB::query("SELECT id FROM {language}");
while ($row = DB::fetch_array($result))
{
    $language[] = $row["id"] != 1 ? $row["id"] : '';
}

// Добавляем дополнительных параметры сессии, уникальный хэш пользователя
DB::query("ALTER TABLE {sessions} ADD user_agent VARCHAR(255) NOT NULL DEFAULT '' AFTER `hostname`;");
DB::query("ALTER TABLE {sessions_site} ADD user_agent VARCHAR(255) NOT NULL DEFAULT '' AFTER `hostname`;");
DB::query("CREATE TABLE {sessions_hash} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`user_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`type` ENUM( 'user', 'admin' ) NOT NULL DEFAULT 'user',
	`hash` CHAR( 32 ) NOT NULL DEFAULT '',
	`created` INT(12) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8");

// Дорабатываем модуль "Прикрепленные файлы"
DB::query("RENAME TABLE {attachment} TO {attachments};");
DB::query("ALTER TABLE {attachments} ADD `is_image` ENUM('0', '1') NOT NULL DEFAULT '0' AFTER `size`");

// Изменяем структуру хранения данных о конфигурации модуля
DB::query("ALTER TABLE {config} ADD `name` VARCHAR( 50 ) NOT NULL DEFAULT '' AFTER `module_name`, ADD `lang_id` TINYINT( 3 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `module_name`");
DB::query("ALTER TABLE {config} CHANGE `config` `value` TEXT NOT NULL");
DB::query("ALTER TABLE {config} CHANGE `cat_id` `site_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0'");

$result = DB::query("SELECT * FROM {config}");
while ($row = DB::fetch_array($result))
{
	if ($row["name"])
		continue;
	$config = explode("\n", $row["value"]);
	for ($i = 0; $i < count($config); $i++)
	{
		list($name, $value) = explode('=', $config[$i], 2);
		if ($lang_id = intval(substr($name, -1)))
		{
			$name = substr($name, 0, -1);
		}
		switch($name)
		{
			case 'show_form':
				if ($row["module_name"] == 'faq')
					continue;
				break;
			case 'files':
				$name = 'attachments';
				break;
			case 'max-count-files':
				$name = 'max_count_attachments';
				break;
			case 'attachment-extensions':
				$name = 'attachment_extensions';
				break;
			case 'image':
				if ($row["module_name"] == 'forum')
				{
					$name = 'recognize_image';
				}
				else
				{
					$name = 'images';
				}
				break;
			case 'image_cat':
				$name = 'images_cat';
				break;
			case 'big_height':
			case 'big_width':
			case 'big_quality':
			case 'medium_height':
			case 'medium_width':
			case 'medium_quality':
				if ($row["module_name"] == 'forum')
				{
					$name = 'attach_'.$name;
				}
				break;
			default:
				$name = str_replace('-', '_', $name);
		}
		if ($value)
		{
			DB::query("INSERT INTO {config} (`module_name`, `name`, `lang_id`, `value`, `site_id`) VALUES ('%h', '%h', '%d', '%s', '%d')",
			           $row["module_name"], $name, $lang_id, $value, $row["site_id"]);
		}
	}
	DB::query("DELETE FROM {config} WHERE id=%d", $row["id"]);
}
DB::query("INSERT INTO {config} (`module_name`, `name`, `value`) VALUES ('photo', 'page_show', '1')");

// Дорабатываем модуль "Изображения"
DB::query("ALTER TABLE {images} CHANGE `name` `name` VARCHAR(255) NOT NULL DEFAULT ''");
$result = DB::query("SELECT * FROM {images}");
while ($row = DB::fetch_array($result))
{
	DB::query("UPDATE {images} SET name='%h' WHERE id=%d", $row["name"].'_'.$row["id"].'.jpg', $row["id"]);
}

// Добавляем тегам поле "Показывать на сайте" и сортировку тегов
foreach ($language as $lang_id)
{
	DB::query("ALTER TABLE {tags} ADD `act".$lang_id."` ENUM( '0', '1' ) NOT NULL");
	$result = DB::query("SELECT element_id, module_name, id FROM {tags}");
	while ($row = DB::fetch_array($result))
	{
		if (DB::query_result("SELECT `act".$lang_id."` FROM {".$row["module_name"]."} WHERE id=%d", $row["element_id"]))
		{
			DB::query("UPDATE {tags} SET `act".$lang_id."`='1' WHERE id=%d", $row["id"]);
		}
	}
}
DB::query("ALTER TABLE {tags_name} ADD `sort` INT( 11 ) UNSIGNED NOT NULL");
DB::query("UPDATE {tags_name} SET `sort`=`id`");

// Реализуем возможность прикреплять рассылку к нескольким категориям
DB::query("ALTER TABLE {category} CHANGE `module_name` `module_name` VARCHAR( 12 ) NOT NULL DEFAULT '';");
$result = DB::query("SELECT id, cat_id FROM {subscribtion}");
while ($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {category} (module_name, element_id, cat_id) VALUES ('subscribtion', %d, %d)", $row["id"], $row["cat_id"]);
}
// Добавляем поле "Не показывать на карте сайта"
DB::query("ALTER TABLE {site} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `title_no_show`");
DB::query("ALTER TABLE {news} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {news_category} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {clauses} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {clauses_category} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {faq} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {faq_category} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {photo} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {photo_category} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {shop} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {shop_category} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {files} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {files_category} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `act`");
DB::query("ALTER TABLE {tags_name} ADD `map_no_show` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `sort`");

// Таблицу "Параметры" делим на несколько для каждого модуля
DB::query("RENAME TABLE {param} TO {shop_param};");
DB::query("RENAME TABLE {param_element} TO {shop_param_element};");
DB::query("RENAME TABLE {param_select} TO {shop_param_select};");

DB::query("CREATE TABLE {feedback_param} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	".multilang("nameLANG VARCHAR(250) NOT NULL DEFAULT '',")."
	type VARCHAR(20) NOT NULL DEFAULT '',
	site_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
	required ENUM('0', '1') NOT NULL DEFAULT '0',
	".multilang("textLANG TEXT NOT NULL,")."
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id)
) CHARSET=utf8");

DB::query("CREATE TABLE {feedback_param_element} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	value text NOT NULL,
	param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	element_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id),
	KEY element_id (element_id),
	KEY param_id (param_id),
	KEY value (value(5))
) CHARSET=utf8");

DB::query("CREATE TABLE {feedback_param_select} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	value TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
	".multilang("nameLANG VARCHAR(50) NOT NULL DEFAULT '',")."
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id),
	KEY param_id (param_id)
) CHARSET=utf8");

DB::query("CREATE TABLE {shop_param_good} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	value INT(11) UNSIGNED NOT NULL DEFAULT '0',
	param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	good_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id),
	KEY good_id (good_id)
) CHARSET=utf8");

$result = DB::query("SELECT * FROM {shop_param_select}");
while ($row = DB::fetch_array($result))
{
	DB::query("UPDATE {shop_param_element} SET value='%d' WHERE param_id=%d AND value='%d'", $row["id"], $row["param_id"], $row["value"]);
}

$result = DB::query("SELECT * FROM {shop_param} WHERE module_name='feedback'");
while ($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {feedback_param} (id, name, type, site_id, sort, required, trash) VALUES (%d, '%h', '%h', %d, %d, '%d', '%d')",
			  $row["id"], $row["name"], $row["type"], $row["site_id"], $row["sort"], $row["required"], $row["trash"]);
	foreach ($language as $lang_id)
	{
		if ($lang_id)
		{
			DB::query("UPDATE {feedback_param} SET name".$lang_id."='%h' WHERE id=%d", $row["name".$lang_id], $row["id"]);
		}
	}
	$result2 = DB::query("SELECT * FROM {shop_param_select} WHERE param_id=%d", $row["id"]);
	while ($row2 = DB::fetch_array($result2))
	{
		DB::query("INSERT INTO {feedback_param_select} (id, param_id, value, name, trash) VALUES (%d, %d, %d, '%h', '%d')",
				  $row2["id"], $row2["param_id"], $row2["value"], $row2["name"], $row2["trash"]);
		foreach ($language as $lang_id)
		{
			if ($lang_id)
			{
				DB::query("UPDATE {feedback_param_select} SET name".$lang_id."='%h' WHERE id=%d", $row2["name".$lang_id], $row2["id"]);
			}
		}
	}
	DB::query("DELETE FROM {shop_param_select} WHERE param_id=%d", $row["id"]);
}
DB::query("DELETE FROM {shop_param} WHERE module_name='feedback'");
DB::query("ALTER TABLE {shop_param} DROP module_name");

$result = DB::query("SELECT * FROM {shop_param_element} WHERE module_name='feedback'");
while ($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {feedback_param_element} (id, value, param_id, element_id, trash) VALUES (%d, '%h', %d, %d, '%d')",
			  $row["id"], $row["value"], $row["param_id"], $row["element_id"], $row["trash"]);
}
DB::query("DELETE FROM {shop_param_element} WHERE module_name='feedback'");

$result = DB::query("SELECT * FROM {shop_param_element} WHERE module_name='shopgoods'"); 
while ($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {shop_param_good} (id, value, param_id, good_id, trash) VALUES (%d, '%d', %d, %d, '%d')",
			  $row["id"], $row["value"], $row["param_id"], $row["element_id"], $row["trash"]);
}
DB::query("DELETE FROM {shop_param_element} WHERE module_name='shopgoods'");

DB::query("ALTER TABLE {shop_param_element} DROP module_name");

// Добавляем модуль "Меню", переносим меню и каталог в новый модуль
DB::query("CREATE TABLE {menu_category} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	".multilang("nameLANG VARCHAR(100) NOT NULL DEFAULT '',")."
	show_title ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	show_all_level ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	hide_parent_link ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
	trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	PRIMARY KEY  (id)
) CHARSET=utf8");

DB::query("CREATE TABLE {menu} (
	id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
	".multilang("nameLANG VARCHAR(100) NOT NULL DEFAULT '',")."
	module_name VARCHAR( 13 ) NOT NULL DEFAULT '',
	site_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	element_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	module_cat_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	cat_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	othurl VARCHAR(250) NOT NULL DEFAULT '',
	access ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	sort INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	".multilang("actLANG ENUM('0', '1') NOT NULL DEFAULT '0',")."
	trash ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	import_parent_id INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (id),
	KEY parent_id (parent_id)
) CHARSET=utf8");

DB::query("INSERT INTO {menu_category} (`id`, `name`, `show_title`, `show_all_level`, `hide_parent_link`, `act`, `trash`) VALUES
(1, 'Основное меню', '0', '0', '0', '1', '0'),
(2, 'Каталог', '0', '0', '0', '1', '0');");

$result = DB::query("SELECT * FROM {site} WHERE actm='1' AND trash='0'"); 
while ($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {menu} (name, site_id, module_name, sort, cat_id, access, import_parent_id, act, othurl) VALUES ('%h', '%d', 'site', %d, '1', '%d', %d, '%d', '%h')", $row["name"], $row["id"], $row["sort"], $row["access"], $row["parent_id"], $row["act"], $row["othurl"]);
	$id = DB::next_id("menu");
	foreach ($language as $lang_id)
	{
		if ($lang_id && $row["act".$lang_id])
		{
			DB::query("UPDATE {menu} SET `act".$lang_id."`='1', `name".$lang_id."`='%h' WHERE id=%d", $row["name".$lang_id], $id);
		}
	}
	if ($row["othurl"])
	{
		DB::query("DELETE FROM {site} WHERE id=%d", $row["id"]);
	}
}

$result = DB::query("SELECT import_parent_id, id FROM {menu} WHERE import_parent_id<>0"); 
while ($row = DB::fetch_array($result))
{
	$parent_id = DB::query_result("SELECT id FROM {menu} WHERE site_id=%d", $row["import_parent_id"]);
	DB::query("UPDATE {menu} SET parent_id='%d', import_parent_id=0 WHERE id=%d", $parent_id, $row["id"]);
}
DB::query("ALTER TABLE {site} DROP `othurl`");

$result = DB::query("SELECT * FROM {shop_category} WHERE trash='0'");
while ($row = DB::fetch_array($result))
{
	DB::query("INSERT INTO {menu} (name, site_id, module_cat_id, module_name, sort, cat_id, import_parent_id, act) VALUES ('%h', '%d', '%d', 'shop', %d, '2', '%d', '%d')",
			  $row["name"], $row["site_id"], $row["id"], $row["sort"], $row["parent_id"], $row["act"]);
	$id = DB::next_id("menu");
	foreach ($language as $lang_id)
	{
		if ($lang_id && $row["act".$lang_id])
		{
			DB::query("UPDATE {menu} SET `act".$lang_id."`='1', `name".$lang_id."`='%h' WHERE id=%d", $row["name".$lang_id], $id);
		}
	}
}

$result = DB::query("SELECT import_parent_id, id FROM {menu} WHERE import_parent_id<>0"); 
while ($row = DB::fetch_array($result))
{
	$parent_id = DB::query_result("SELECT id FROM {menu} WHERE module_cat_id=%d", $row["import_parent_id"]);
	DB::query("UPDATE {menu} SET parent_id='%d', import_parent_id=0 WHERE id=%d", $parent_id, $row["id"]);
}

DB::query("ALTER TABLE {menu} DROP import_parent_id");
DB::query("ALTER TABLE {site} DROP `actm`");

// Добавляем сортировку в модуль "Голосование"
DB::query("ALTER TABLE {votes} ADD `sort` INT( 11 ) UNSIGNED NOT NULL");
DB::query("ALTER TABLE {votes_category} ADD `sort` INT( 11 ) UNSIGNED NOT NULL");
DB::query("UPDATE {votes} SET sort=id");
DB::query("UPDATE {votes_category} SET sort=id");

// Добавляем таблицы родительских связей
$tables = array("site", "menu", "news_category", "clauses_category", "faq_category", "files_category", "photo_category", "subscribtion_category", "shop_category", "forum_category", "forum", "trash", "adminsite");
foreach ($tables as $table)
{
	DB::query("CREATE TABLE {".$table."_parents} (
		id INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
		element_id INT( 11 ) UNSIGNED NOT NULL ,
		parent_id INT( 11 ) UNSIGNED NOT NULL,
		".(! in_array($table, array("trash", "adminsite")) ? " trash ENUM( '0', '1' ) NOT NULL DEFAULT '0'," : "")."
		PRIMARY KEY (id)
	) CHARSET=utf8");
	DB::query("DELETE FROM {".$table."_parents}");
	$result = DB::query("SELECT parent_id, id FROM {".$table."}"); 
	while ($row = DB::fetch_array($result))
	{
		$parents = parents($row["parent_id"], $table);
		foreach ($parents as $p)
		{
			if ($p)
			{
				DB::query("INSERT INTO {".$table."_parents} (parent_id, element_id) VALUES('%d', '%d')", $p, $row["id"]);
			}
		}
	}
	DB::query("ALTER TABLE {".$table."} ADD `count_children` TINYINT( 3 ) UNSIGNED NOT NULL AFTER `parent_id` ");
	$result = DB::query("SELECT id FROM {".$table."}"); 
	while ($row = DB::fetch_array($result))
	{
		$count = DB::query_result("SELECT COUNT(*) FROM  {".$table."_parents} WHERE parent_id=%d", $row["id"]);
		DB::query("UPDATE {".$table."} SET count_children=%d WHERE id=%d", $count, $row["id"]);
	}
}

// Полностью обновляем таблицу {adminsite}
DB::query("ALTER TABLE {adminsite} ADD `group_id` ENUM( '1', '2', '3', '4' ) NOT NULL AFTER `count_children`");
$result = DB::query("SELECT rewrite FROM {adminsite}"); 
while ($row = DB::fetch_array($result))
{
	$adminsite_rewrite[] = $row["rewrite"];
}
DB::query("DELETE FROM {adminsite}");
include_once(ABSOLUTE_PATH.'installation/core.php');
foreach ($sql as $query)
{
	if (strstr($query, 'INSERT INTO {adminsite}'))
	{
		DB::query($query);
	}
}
foreach ($adminsite_rewrite as $rewrite)
{
	if (file_exists(ABSOLUTE_PATH.'modules/'.$rewrite.'/'.$rewrite.'.install.php'))
	{
		include_once(ABSOLUTE_PATH.'modules/'.$rewrite.'/'.$rewrite.'.install.php');
		foreach ($sql as $query)
		{
			if (strstr($query, 'INSERT INTO {adminsite}'))
			{
				DB::query($query);
			}
		}
	}
}

// Все таблицы должны начинатся с названия модуля
DB::query("RENAME TABLE {actlink} TO {usersite_actlink} ;");
DB::query("RENAME TABLE {payment} TO {shop_payment} ;");

// Содержимое таблицы {info} для модуля Магазин переносим в конфигурацию
$result = DB::query("SELECT id FROM {info}"); 
while ($row = DB::fetch_array($result))
{
	$key = str_replace("shop_", "", $row["tag_name"]);
	DB::query("INSERT INTO {config} (module_name, name, value, lang_id) VALUES ('shop', '%h', '%s', '')", $key, $row["text"]);
	foreach ($language as $lang_id)
	{
		if ($lang_id && $row["text".$lang_id])
		{
			DB::query("INSERT INTO {config} (module_name, name, value, lang_id) VALUES ('shop', '%h', '%s', '%d')", $key, $row["text".$lang_id], $lang_id);
		}
	}
}
DB::query("DROP TABLE {info};");

// Добавляем сортировку значений списка дополнительных параметров и полей
DB::query("ALTER TABLE {shop_param_select} ADD `sort` INT( 11 ) UNSIGNED NOT NULL");
DB::query("ALTER TABLE {feedback_param_select} ADD `sort` INT( 11 ) UNSIGNED NOT NULL");
DB::query("UPDATE {shop_param_select} SET sort=id");
DB::query("UPDATE {feedback_param_select} SET sort=id");

// Теперь значения списка (доплнительный параметр/поле) не порядковый номер, а идентификатор в таблице
$result = DB::query("SELECT * FROM {shop_param_select}"); 
while ($row = DB::fetch_array($result))
{
	DB::query("UPDATE {shop_param_element} SET value=%d WHERE param_id=%d AND value=%d AND type IN ('select', 'multiple')", $row["id"], $row["param_id"], $row["value"]);
	DB::query("UPDATE {shop_param_good} SET value=%d WHERE param_id=%d AND value=%d", $row["id"], $row["param_id"], $row["value"]);
}
$result = DB::query("SELECT * FROM {feedback_param_select}"); 
while ($row = DB::fetch_array($result))
{
	DB::query("UPDATE {feedback_param_element} SET value=%d WHERE param_id=%d AND value=%d AND type IN ('select', 'multiple')", $row["id"], $row["param_id"], $row["value"]);
}

// Добавляем конструктор оформления заказа
DB::query("CREATE TABLE {shop_order_param} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	".multilang("nameLANG VARCHAR(250) NOT NULL DEFAULT '',")."
	".multilang("textLANG text NOT NULL,")."
	type VARCHAR(20) NOT NULL DEFAULT '',
	sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
	required ENUM('0', '1') NOT NULL DEFAULT '0',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id)
) CHARSET=utf8");

DB::query("CREATE TABLE {shop_order_param_element} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	value text NOT NULL,
	param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	element_id  INT(11) UNSIGNED NOT NULL DEFAULT '0',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id)
) CHARSET=utf8");

DB::query("CREATE TABLE {shop_order_param_select} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	param_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	value TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
	".multilang("nameLANG VARCHAR(50) NOT NULL DEFAULT '',")."
	sort INT(11) UNSIGNED NOT NULL DEFAULT '0',
	trash ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id),
	KEY param_id (param_id)
) CHARSET=utf8");

// Заносим поля по-умолчанию для формы оформления заказа
DB::query("INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`, `required`) VALUES 
(1, ".multilang("'ФИО или название компании',", "'Name&amp;Surname',", "'',")." 'text', 1, '1')");

DB::query("INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`, `required`) VALUES 
(2, ".multilang("'E-mail',")."'email', 2, '1')");

DB::query("INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`, `required`) VALUES 
(3, ".multilang("'Контактные телефоны (с кодом города)',", "'Telephones',", "'',")." 'text', 3, '1')");

DB::query("INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
(4, ".multilang("'Город',", "'Town',", "'',")." 'text', 4)");

DB::query("INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
(5, ".multilang("'Улица, проспект и пр.',", "'Street',", "'',")." 'text', 5)");

DB::query("INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
(6, ".multilang("'Номер дома',", "'House number',", "'',")." 'text', 6)");

DB::query("INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
(7, ".multilang("'Корпус',", "'Block',", "'',")." 'text', 7)");

DB::query("INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
(8, ".multilang("'Квартира, офис',", "'Flat, office',", "'',")." 'text', 8)");

DB::query("INSERT INTO {shop_order_param} (id, ".multilang("nameLANG,")." `type`, `sort`) VALUES 
(9, ".multilang("'Дополнительно',", "'More',", "'',")." 'textarea', 9)");

// Данные о старых заказах переносим в новую таблицу конструктора
$result = DB::query("SELECT * FROM {shop_order}"); 
while ($row = DB::fetch_array($result))
{
	DB::query("DELETE FROM {shop_order_param_element} WHERE element_id=%d", $row["id"]);
	if (! $row["user_id"] && preg_match('/^(.*?), (.*?)<br><br>/', $row["address"], $m))
	{
		DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '1', '%d')", $m[1], $row["id"]);
		DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '2', '%d')", $m[2], $row["id"]);
	}
	if (preg_match('/Город: (.*?)<br>/', $row["address"], $m) && $m[1])
	{
		DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '4', '%d')", $m[1], $row["id"]);
	}
	if (preg_match('/Улица, проспект и пр.: (.*?)<br>/', $row["address"], $m) && $m[1])
	{
		DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '5', '%d')", $m[1], $row["id"]);
	}
	if (preg_match('/Номер дома: (.*?)<br>/', $row["address"], $m) && $m[1])
	{
		DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '6', '%d')", $m[1], $row["id"]);
	}
	if (preg_match('/Корпус: (.*?)<br>/', $row["address"], $m) && $m[1])
	{
		DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '7', '%d')", $m[1], $row["id"]);
	}
	if (preg_match('/Квартира, офис: (.*?)<br>/', $row["address"], $m) && $m[1])
	{
		DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '8', '%d')", $m[1], $row["id"]);
	}
	if (preg_match('/Контактные телефоны (с кодом города): (.*?)/', $row["address"], $m) && $m[1])
	{
		DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '3', '%d')", $m[1], $row["id"]);
	}
	if ($row["more"])
	{
		DB::query("INSERT INTO {shop_order_param_element} (value, param_id, element_id) VALUES ('%h', '9', '%d')", $row["more"], $row["id"]);
	}
}
DB::query("ALTER TABLE {shop_order} DROP `more`");
DB::query("ALTER TABLE {users_site} DROP `address`");

// Разбиваем таблицу свезей с категориями на несколько таблиц для каждого модуля
$tables = array('shop', 'shop_param', 'news', 'clauses', 'photo', 'files', 'faq', 'subscribtion');
foreach ($tables as $table)
{
	DB::query("CREATE TABLE {".$table."_category_rel} (
		`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
		`element_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`cat_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
		`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
		PRIMARY KEY (`id`),
		KEY cat_id (`cat_id`)
	) CHARSET=utf8");
	$result = DB::query("SELECT * FROM {category} WHERE module_name='%h'", str_replace('_', '', $table)); 
	while ($row = DB::fetch_array($result))
	{
		DB::query("INSERT INTO {".$table."_category_rel} (element_id, cat_id) VALUES (%d, %d)", $row["element_id"], $row["cat_id"]);
	}
}
DB::query("DROP TABLE {category};");

// Изменяем список возможных типов дополнительных характеристик товара, чтобы была возможность добавить новые типы
DB::query("ALTER TABLE {shop_param} CHANGE `type` `type` VARCHAR(20) NOT NULL DEFAULT ''");

// Добавляем описание для дополнительных характеристик
foreach ($language as $lang_id)
{
	DB::query("ALTER TABLE {shop_param} ADD `text".$lang_id."` TEXT NOT NULL AFTER `required`");
}

// Добавляем поле "Отдельная страница для значений" для дополнительных характеристик товара с типом "Список"
DB::query("ALTER TABLE {shop_param} ADD `page` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `required` ");

// Добавляем поле "Раздел сайта" для дополнительных характеристик товара, заполняем поле
DB::query("ALTER TABLE {shop_param} ADD `site_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `page` ");
$result = DB::query("SELECT * FROM {shop_param}");
while ($row = DB::fetch_array($result))
{
	$site_id = DB::query_result("SELECT c.site_id FROM {shop_category} AS c INNER JOIN {shop_param_category_rel} AS r"
								." ON r.cat_id=c.id AND r.element_id=%d LIMIT 1", $row["id"]); 
	if (! $site_id)
	{
		$site_id = DB::query_result("SELECT id FROM {site} WHERE addmodule='shop' LIMIT 1");
	}
	DB::query("UPDATE {shop_param} SET site_id=%d WHERE id=%d", $site_id, $row["id"]);
}

// Добавляем в таблицу с ЧПУ возможность открытия страниц параметров
DB::query("ALTER TABLE {rewrite} ADD `param_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `cat_id`");

// Добавлем таблицу связей товаров
DB::query("CREATE TABLE {shop_rel} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	good_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	rel_good_id INT(11) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY  (id)
) CHARSET=utf8");

// Добавляем товарам свойство "Количество" и "Нет на складе"
DB::query("ALTER TABLE {shop} ADD `no_buy` ENUM('0', '1') NOT NULL DEFAULT '0' AFTER `show_yandex`");
DB::query("ALTER TABLE {shop_price} ADD `count_goods` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0' AFTER `price`");
DB::query("ALTER TABLE {shop_price} ADD `trash` ENUM('0', '1') NOT NULL DEFAULT '0'");

// Приводим к единообразию название таблиц и полей в модуле Магазин
DB::query("ALTER TABLE {shop_price} CHANGE `shop_id` `good_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0'");
DB::query("RENAME TABLE {shop_goods} TO {shop_order_goods};");
DB::query("ALTER TABLE {shop_order_goods} CHANGE `good` `good_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0'");

// Добавляем отчеты о продажах
DB::query("CREATE TABLE {shop_order_count_goods} (
	id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`created` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`order_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`good_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`count_goods` INT( 5 ) UNSIGNED NOT NULL DEFAULT '0',
	`summ` FLOAT NOT NULL DEFAULT '0',
	`param_value` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`type` ENUM( 'admin', 'user' ) NOT NULL DEFAULT 'admin',
	`user_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (id)
) CHARSET=utf8;");

// Добавляем скидки на товары
DB::query("CREATE TABLE {shop_discount} (
	`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`date_start` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`date_finish` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`discount` FLOAT NOT NULL DEFAULT '0',
	`act` ENUM('0', '1') NOT NULL DEFAULT '0',
	`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8;");

DB::query("CREATE TABLE {shop_discount_object} (
	`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`discount_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`cat_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`good_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8;");

// Добавляем импорт товаров/категорий
DB::query("CREATE TABLE {shop_import_category} (
	`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`name` VARCHAR(250) NOT NULL DEFAULT '',
	`format` ENUM('csv', 'xls') NOT NULL DEFAULT 'csv',
	`type` ENUM('good', 'category') NOT NULL DEFAULT 'good',
	`delete_items` ENUM('0', '1') NOT NULL DEFAULT '0',
	`site_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`trash` ENUM( '0', '1' ) NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8;");

DB::query("CREATE TABLE {shop_import} (
	`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`name` VARCHAR(250) NOT NULL DEFAULT '',
	`cat_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`type` VARCHAR(10) NOT NULL DEFAULT '',
	`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8");

DB::query("ALTER TABLE {shop} ADD `import` ENUM( '0', '1' ) NOT NULL AFTER `no_buy`,
ADD `import_id` VARCHAR( 32 ) NOT NULL AFTER `import`");

DB::query("ALTER TABLE {shop_category} ADD `import` ENUM( '0', '1' ) NOT NULL AFTER `show_yandex`,
ADD `import_id` VARCHAR( 32 ) NOT NULL AFTER `import`,
ADD `import_parent_id` VARCHAR( 32 ) NOT NULL AFTER `import`");

DB::query("ALTER TABLE {shop} ADD `article` VARCHAR(30) NOT NULL DEFAULT '' AFTER `act`");

// Добавляем список файлов, запрещенных для обновления
DB::query("CREATE TABLE {update} (
	`id` TINYINT( 3 ) UNSIGNED NOT NULL AUTO_INCREMENT,
	`user_id` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	`name` TEXT NOT NULL DEFAULT '',
	`created` INT( 11 ) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8");

// Добавляем конструктор формы регистрации
DB::query("CREATE TABLE {usersite_param} (
	`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	".multilang("`nameLANG` VARCHAR(250) NOT NULL DEFAULT '',")."
	".multilang("`textLANG` text NOT NULL,")."
	`type` VARCHAR(20) NOT NULL DEFAULT '',
	`form` ENUM('none', 'form', 'reg', 'user') NOT NULL DEFAULT 'none',
	`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`required` ENUM('0', '1') NOT NULL DEFAULT '0',
	`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8");

DB::query("CREATE TABLE {usersite_param_element} (
	`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`value` text NOT NULL,
	`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`element_id`  INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`)
) CHARSET=utf8");

DB::query("CREATE TABLE {usersite_param_select} (
	`id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`param_id` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`value` TINYINT(2) UNSIGNED NOT NULL DEFAULT '0',
	".multilang("`nameLANG` VARCHAR(50) NOT NULL DEFAULT '',")."
	`sort` INT(11) UNSIGNED NOT NULL DEFAULT '0',
	`trash` ENUM('0', '1') NOT NULL DEFAULT '0',
	PRIMARY KEY  (`id`),
	KEY param_id (`param_id`)
) CHARSET=utf8");

if (! is_dir(ABSOLUTE_PATH.USERFILES.'/avatar'))
{
	mkdir(ABSOLUTE_PATH.USERFILES.'/avatar', 0777);
}

DB::query("ALTER TABLE {site} ADD `block` ENUM( '0', '1' ) NOT NULL DEFAULT '0' AFTER `map_no_show`");

DB::query("RENAME TABLE {role} TO {users_role};");

DB::query("UPDATE {shop_order} SET status='0' WHERE status='1'");

DB::query("UPDATE {shop_order} SET status='1' WHERE status='4' OR status='2'");

DB::query("UPDATE {shop_order} SET status='2' WHERE status='3'");

DB::query("UPDATE {shop_order} SET status='3' WHERE status='5'");

$diafan->_cache->delete("", array());

	
//////////////////////config
$new_values = array(
		'ROUTE_END' => '/',
		'ROUTE_AUTO_MODULE' => FALSE,
		'VERSION_CMS' => VERSION,
		'DATE_UPDATE' => D_UPDATE
	);
$lang = array();
foreach ($language as $l)
{
	$lang[] = array($l);
}
include_once(ABSOLUTE_PATH.'includes/config.php');
Config::save($new_values, $lang);

unlink(ABSOLUTE_PATH."bdcfg.php");

echo 'Обновление успешно завершено!';

function multilang($str)
{
	global $language;
	$result = '';

	$arg = func_get_args();
	$i = 0;

	foreach ($language as $lang)
	{
		if (isset($arg[$i]))
		{
			$str = $arg[$i];
		}
		$result .= str_replace('LANG', $lang, $str).' ';
		$i ++;
	}
	return $result;
}

function parents($parent_id, $table)
{
	$array[] = $parent_id;
	while ($parent_id != 0)
	{
		$parent_id = DB::query_result("SELECT parent_id FROM {".$table."} WHERE id = %d", $parent_id);
		if (in_array($parent_id, $array))
		{
			return $array;
		}
		if ($parent_id)
		{
			$array[] = $parent_id;
		}
	}
	return $array;
}
